Sat Nov 24 22:37:54 EST 2012  stevenj@fftw.org
  * fixed deadlock bug caused by bogosity flag getting out of synch between processes; thanks to Michael Pippig for the bug report

    M ./kernel/ifftw.h +1
    M ./kernel/planner.c -3 +6
    M ./mpi/api.c +12

Wed Nov 21 18:34:29 EST 2012  athena@fftw.org
  * Updated NEWS

    M ./NEWS -2 +7

Wed Nov 21 18:33:15 EST 2012  athena@fftw.org
  * use 2x2 AVX transposition instead of individual stores.
  
  This seems to improve single-precision AVX on Sandy Bridge machines.
  

    M ./simd-support/simd-avx.h -2 +14

Tue Nov 20 12:18:00 EST 2012  stevenj@fftw.org
  * revert part of Taylor patch to acx_mpi.m4: do not link -lmpi if mpicc works without libraries, as -lmpi may be some completely different MPI implementation

    M ./m4/acx_mpi.m4 -3 +3

Tue Nov 20 11:44:57 EST 2012  stevenj@fftw.org
  * fix deadlock bug (thanks to Michael Pippig for the bug report and patch, and to Graham Dennis for the bug report) in which some processes called MPI_Alltoall and some called MPI_Alltoallv

    M ./mpi/transpose-alltoall.c -3 +2

Mon Oct 29 15:20:01 EDT 2012  athena@fftw.org
  * fix texinfo quirk

    M ./doc/tutorial.texi -2 +2

Mon Oct 29 09:16:43 EDT 2012  athena@fftw.org
  * clarify that padding only applies to in-place transforms

    M ./doc/tutorial.texi -5 +10

Sun Oct 28 18:42:48 EDT 2012  athena@fftw.org
  * make the index-computation logic less paranoid
  
  The problem is that for each K and for each expression of the form P[I
  + STRIDE * K] in a loop, most compilers will try to lift an induction
  variable PK := &P[I + STRIDE * K].  In large codelets we have many
  such values of K.  For example, a codelet of size 32 with 4 input
  pointers will generate O(128) induction variables, which will likely
  overflow the register set, which is likely worse than doing the index
  computation in the first place.
  
  In the past we (wisely and correctly) assumed that compilers will do
  the wrong thing, and consequently we disabled the induction-variable
  "optimization" altogether by setting STRIDE ^= ZERO, where ZERO is a
  value guaranteed to be 0.  Since the compiler does not know that
  ZERO=0, it cannot perform its "optimization" and it is forced to
  behave sensibly.
  
  With this patch, FFTW is a little bit less paranoid.  FFTW now
  disables the induction-variable optimization" only when we estimate
  that the codelet uses more than ESTIMATED_AVAILABLE_INDEX_REGISTERS
  induction variables.
  
  Currently we set ESTIMATED_AVAILABLE_INDEX_REGISTERS=16.  16 registers ought
  to be enough for anybody (or so the amd64 and ARM ISA's seem to imply).
  

    M ./genfft/gen_hc2c.ml -1 +1
    M ./genfft/gen_hc2cdft.ml -1 +1
    M ./genfft/gen_hc2cdft_c.ml -1 +1
    M ./genfft/gen_hc2hc.ml -1 +1
    M ./genfft/gen_notw.ml -2 +2
    M ./genfft/gen_notw_c.ml -2 +2
    M ./genfft/gen_r2cb.ml -3 +3
    M ./genfft/gen_r2cf.ml -3 +3
    M ./genfft/gen_r2r.ml -2 +2
    M ./genfft/gen_twiddle.ml -1 +1
    M ./genfft/gen_twiddle_c.ml -1 +1
    M ./genfft/gen_twidsq.ml -2 +2
    M ./genfft/gen_twidsq_c.ml -2 +2
    M ./genfft/genutil.ml -1 +2
    M ./kernel/ifftw.h -3 +20

Sun Oct 28 18:33:24 EDT 2012  athena@fftw.org
  * silence warnings

    M ./kernel/buffered.c +1
    M ./rdft/rank0.c +1

Sat Oct 27 09:58:49 EDT 2012  athena@fftw.org
  * bump version to 3.3.3

    M ./NEWS +7
    M ./configure.ac -1 +1

Sat Oct 27 09:55:15 EDT 2012  athena@fftw.org
  * evaluate plans for >1ms when using gettimeofday()
  
  The previous limit 10ms was too paranoid, and it made life difficult
  on machines without an "official" cycle counter, such as ARM.

    M ./kernel/timer.c -1 +1

Sat Oct 27 09:46:04 EDT 2012  athena@fftw.org
  * use 4-way NEON SIMD instead of 2-way
  
  Kai-Uwe Bloem tried to warn me a year ago that 128-bit NEON was better
  than 64-bit NEON even on machines with a 64-bit pipe, but I foolishly
  did not listen.  Now that 128-bit NEON pipes are starting to appear on
  the market it is definitely time to switch.
  

    M ./simd-support/simd-neon.h -55 +100

Wed Sep 26 14:21:12 EDT 2012  athena@fftw.org
  * Note that fftw-3.3 includes MPI support

    M ./doc/intro.texi -5 +4

Wed Jul 18 11:25:40 EDT 2012  athena@fftw.org
  * remove obsolete unused function

    M ./dft/bluestein.c -14

Fri Jun 29 15:57:14 EDT 2012  stevenj@fftw.org
  * whoops, call omp_get_max_threads; thanks to Hanno Rein for the bug report

    M ./doc/threads.texi -1 +1

Sat Apr 28 10:55:09 EDT 2012  athena@fftw.org
  * Fix libfftw3/libfftw3_threads chicken-egg problem
  
  On most systems we want to build libfftw3 first, so that
  libfftw3_threads can depend upon libfftw3.  When producing a single
  combined-thread library (e.g. on Windows) we want the opposite,
  so that libfftw3 can include libfftw3_threads.
  

    M ./Makefile.am -1 +18
    M ./threads/Makefile.am +5

Sat Apr 28 10:11:28 EDT 2012  athena@fftw.org
  * updated NEWS for 3.3.2

    M ./NEWS +15

Thu Apr 26 19:36:11 EDT 2012  athena@fftw.org
  * change revision to 3.3.2

    M ./configure.ac -2 +2

Thu Apr 26 19:31:02 EDT 2012  athena@fftw.org
  * Remove old aligned_main() hack.
  
  On i386, in our benchmark program we used to manually aligned the
  stack to 16-byte boundary via asm trickery.  This was a good idea in
  1999 (and it was actually necessary to make things work) but the hack
  is now obsolete and it seems to break gcc-4.7.  So the hack is now
  gone.
  

    M ./libbench2/Makefile.am -6 +6
    R ./libbench2/aligned-main.c
    M ./libbench2/main.c -1 +1

Thu Mar 29 16:26:16 EDT 2012  athena@fftw.org
  * Bugfix: a couple of uninitialized values in the benchmark program

    M ./libbench2/problem.c -1 +1

Tue Mar 20 19:03:47 EDT 2012  athena@fftw.org
  * make libfftw{threads,mpi} depend upon libfftw for libtool purposes
  
  Thanks Julian Taylor for the patch

    M ./Makefile.am -1 +1
    M ./m4/acx_mpi.m4 -3 +3
    M ./mpi/Makefile.am +1
    M ./threads/Makefile.am +1

Tue Mar  6 04:44:00 EST 2012  stevenj@fftw.org
  * formatting tweak

    M ./doc/reference.texi -1 +1

Mon Mar  5 21:05:27 EST 2012  athena@fftw.org
  * destroying => overwriting

    M ./doc/tutorial.texi -1 +1

Fri Mar  2 10:31:20 EST 2012  stevenj@fftw.org
  * note that WISDOM_ONLY is a documented flag

    M ./api/fftw3.h -1 +1

Fri Mar  2 10:27:08 EST 2012  stevenj@fftw.org
  * check for icc pretending to be gcc before including quad-precision decls; thanks to Michael Anselmi for the bug report

    M ./api/fftw3.h +1

Fri Mar  2 10:23:19 EST 2012  stevenj@fftw.org
  * foo_CFLAGS needs to manually include AM_CFLAGS; thanks to Henry Gomersall for the Windows bug report

    M ./threads/Makefile.am -2 +2

Sat Feb 25 15:21:39 EST 2012  athena@fftw.org
  * update for latest mingw

    M ./support/BUILD-MINGW32.sh -3 +3
    M ./support/BUILD-MINGW64.sh -2 +7

Sat Feb 25 15:21:17 EST 2012  athena@fftw.org
  tagged fftw-3.3.1


Mon Feb 20 23:06:13 EST 2012  stevenj@fftw.org
  * added Fortran NEWS

    M ./NEWS +6

Mon Feb 20 23:00:13 EST 2012  stevenj@fftw.org
  * move non-portable extended/quad precision F03 interfaces into separate .f03 files (while keeping double/single in fftw3.f03 for minimal ABI breakage)

    M ./api/Makefile.am -3 +10
    M ./api/f03api.sh -2 +4
    M ./api/genf03.pl -5 +5
    M ./doc/modern-fortran.texi -2 +39
    M ./doc/mpi.texi -2 +2
    M ./mpi/Makefile.am -5 +11
    M ./mpi/f03api.sh -2 +4

Mon Feb 20 11:21:57 EST 2012  athena@fftw.org
  * rm mpi/fftw3-mpi.f03 at make clean time; thanks Tyler Luchko for the bug report.

    M ./mpi/Makefile.am +1

Mon Feb 20 11:18:24 EST 2012  athena@fftw.org
  * Disable a Visual Studion warning that was obnoxious enough for Sebastian Schuberth to send us a patch.

    M ./simd-support/simd-sse2.h +14

Mon Feb 20 11:18:06 EST 2012  athena@fftw.org
  * Change version to 3.3.1

    M ./configure.ac -1 +1

Mon Feb 20 11:03:15 EST 2012  athena@fftw.org
  * Integrated Visual Studio AVX patches by Carsten Steger

    M ./NEWS +3
    M ./simd-support/amd64-cpuid.h -10 +40
    M ./simd-support/simd-avx.h +6
    M ./simd-support/simd-sse2.h +8
    M ./simd-support/x86-cpuid.h +7

Wed Nov  9 10:13:32 EST 2011  stevenj@fftw.org
  * typo

    M ./doc/modern-fortran.texi -2 +2

Tue Nov  8 22:45:09 EST 2011  stevenj@fftw.org
  * add missing F77 set_timelimit function; thanks to Martin Diehl for the bug repory

    M ./api/f77funcs.h +5

Sun Sep 25 10:54:56 EDT 2011  athena@fftw.org
  * note requirement of /machine:x64 in windows x64 README

    M ./support/BUILD-MINGW64.sh +7

Sun Sep 18 09:28:20 EDT 2011  athena@fftw.org
  * AVX detection for MSVC

    M ./simd-support/amd64-cpuid.h -2 +10

Tue Sep 13 14:58:29 EDT 2011  athena@fftw.org
  * compile with C89

    M ./dft/bluestein.c -1 +1
    M ./dft/generic.c -1 +1
    M ./rdft/dht-rader.c -1 +1

Sat Sep  3 16:25:50 EDT 2011  athena@fftw.org
  * use the same search pruning heuristics for threaded plans as for nonthreaded plans

    M ./threads/ct.c -1 +3
    M ./threads/hc2hc.c -1 +3

Sat Sep  3 16:12:11 EDT 2011  athena@fftw.org
  * shorten ESTIMATE planning time for certain weird sizes
  
  FFTW includes a collection of "solvers" that apply to a subset of
  "problems".  Assume for simplicity that a "problem" is a single 1D
  complex transform of size N, even though real "problems" are much more
  general than that.  FFTW includes three "prime" solvers called
  "generic", "bluestein", and "rader", which implement different
  algorithms for prime sizes.
  
  Now, for a "problem" of size 13 (say) FFTW also includes special code
  that handles that size at high speed.  It would be a waste of time to
  measure the execution time of the prime solvers, since we know that
  the special code is way faster.  However, FFTW is modular and one may
  or may not include the special code for size 13, in which case we must
  resort to one of the "prime" solvers.  To address this issue, the
  "prime" solvers (and others) are proclaimed to be SLOW".  When
  planning, FFTW first tries to produce a plan ignoring all the SLOW
  solvers, and if this fails FFTW tries again allowing SLOW solvers.
  
  This heuristic works ok unless the sizes are too large.  For example
  for 1044000=2*2*2*2*2*3*3*5*5*5*29 FFTW explores a huge search tree of
  all zillion factorizations of 1044000/29, failing every time because
  29 is SLOW; then it finally allows SLOW solvers and finds a solution
  immediately.
  
  This patch proclaims solvers to be SLOW only for small values of N.
  For example, the "generic" solver implements an O(n^2) DFT algorithm;
  we say that it is SLOW only for N<=16.
  
  The side effects of this choice are as follows.  If one modifies FFTW to
  include a fast solver of size 17, then planning for N=17*K will be
  slower than today, because FFTW till try both the fast solver and the
  generic solver (which is SLOW today and therefore not tried, but is no
  longer SLOW after the patch).  If one removes a fast solver, of size say
  13, then he may still fall into the current exponential-search behavior
  for "problems" of size 13*HIGHLY_FACTORIZABLE_N.
  
  If somebody had compleined about transforms of size 1044000 ten years
  ago, "don't do that" would have been an acceptable answer.  I guess the
  bar is higher today, so I am going to include this patch in our 3.3.1
  release despite their side-effects for people who want to modify FFTW.
  

    M ./dft/bluestein.c -5 +14
    M ./dft/generic.c -15 +6
    M ./dft/rader.c -7 +7
    M ./kernel/ifftw.h +8
    M ./kernel/primes.c +6
    M ./rdft/dht-rader.c -7 +8
    M ./rdft/generic.c -14 +4

Sat Aug 27 13:55:24 EDT 2011  athena@fftw.org
  * Fix typo fftw_execute_dft_r2r => fftw_execute_r2r
  
  Thanks KIU Shueng Chuan for the bug report.

    M ./doc/reference.texi -1 +1

Fri Aug 26 06:13:55 EDT 2011  athena@fftw.org
  * In Rader's algorithm, compute the generator lazily.  
  
  The planner was spending a lot of time computing generators for
  plans that were immediately discarded.  Now we compute generators
  only when absolutely needed.

    M ./NEWS +5
    M ./dft/rader.c -3 +4
    M ./rdft/dht-rader.c -3 +4

Sun Aug 21 16:27:31 EDT 2011  athena@fftw.org
  tagged fftw-3.3.1-beta1


Sun Aug 21 16:16:38 EDT 2011  athena@fftw.org
  * Release notes for 3.3.1-beta1

    M ./NEWS +4
    M ./configure.ac -1 +1
    M ./doc/install.texi -8 +18
    M ./doc/other.texi -2 +3

Fri Aug 19 19:59:17 EDT 2011  stevenj@alum.mit.edu
  * make fftw_mpi_block routine 10x faster, since it is being called zillions of times (thanks to Tom Vacek for the profiling)

    M ./mpi/block.c -6 +2

Thu Aug 18 14:19:36 EDT 2011  athena@fftw.org
  * Implement autodetection of NEON extensions

    M ./simd-support/neon.c -4 +51

Sun Aug 14 14:12:29 EDT 2011  athena@fftw.org
  * Update the FSF address.
  
  The FSF moved downtown.

    M ./COPYRIGHT -1 +1
    M ./api/api.h -1 +1
    M ./api/apiplan.c -1 +1
    M ./api/configure.c -1 +1
    M ./api/execute-dft-c2r.c -1 +1
    M ./api/execute-dft-r2c.c -1 +1
    M ./api/execute-dft.c -1 +1
    M ./api/execute-r2r.c -1 +1
    M ./api/execute-split-dft-c2r.c -1 +1
    M ./api/execute-split-dft-r2c.c -1 +1
    M ./api/execute-split-dft.c -1 +1
    M ./api/execute.c -1 +1
    M ./api/export-wisdom-to-file.c -1 +1
    M ./api/export-wisdom-to-string.c -1 +1
    M ./api/export-wisdom.c -1 +1
    M ./api/f77api.c -1 +1
    M ./api/f77funcs.h -1 +1
    M ./api/flops.c -1 +1
    M ./api/forget-wisdom.c -1 +1
    M ./api/import-system-wisdom.c -1 +1
    M ./api/import-wisdom-from-file.c -1 +1
    M ./api/import-wisdom-from-string.c -1 +1
    M ./api/import-wisdom.c -1 +1
    M ./api/malloc.c -1 +1
    M ./api/map-r2r-kind.c -1 +1
    M ./api/mapflags.c -1 +1
    M ./api/mkprinter-file.c -1 +1
    M ./api/mktensor-iodims.h -1 +1
    M ./api/mktensor-rowmajor.c -1 +1
    M ./api/plan-dft-1d.c -1 +1
    M ./api/plan-dft-2d.c -1 +1
    M ./api/plan-dft-3d.c -1 +1
    M ./api/plan-dft-c2r-1d.c -1 +1
    M ./api/plan-dft-c2r-2d.c -1 +1
    M ./api/plan-dft-c2r-3d.c -1 +1
    M ./api/plan-dft-c2r.c -1 +1
    M ./api/plan-dft-r2c-1d.c -1 +1
    M ./api/plan-dft-r2c-2d.c -1 +1
    M ./api/plan-dft-r2c-3d.c -1 +1
    M ./api/plan-dft-r2c.c -1 +1
    M ./api/plan-dft.c -1 +1
    M ./api/plan-guru-dft-c2r.h -1 +1
    M ./api/plan-guru-dft-r2c.h -1 +1
    M ./api/plan-guru-dft.h -1 +1
    M ./api/plan-guru-r2r.h -1 +1
    M ./api/plan-guru-split-dft-c2r.h -1 +1
    M ./api/plan-guru-split-dft-r2c.h -1 +1
    M ./api/plan-guru-split-dft.h -1 +1
    M ./api/plan-many-dft-c2r.c -1 +1
    M ./api/plan-many-dft-r2c.c -1 +1
    M ./api/plan-many-dft.c -1 +1
    M ./api/plan-many-r2r.c -1 +1
    M ./api/plan-r2r-1d.c -1 +1
    M ./api/plan-r2r-2d.c -1 +1
    M ./api/plan-r2r-3d.c -1 +1
    M ./api/plan-r2r.c -1 +1
    M ./api/print-plan.c -1 +1
    M ./api/rdft2-pad.c -1 +1
    M ./api/the-planner.c -1 +1
    M ./api/version.c -1 +1
    M ./api/x77.h -1 +1
    M ./commercialize.sh -2 +2
    M ./dft/bluestein.c -1 +1
    M ./dft/buffered.c -1 +1
    M ./dft/codelet-dft.h -1 +1
    M ./dft/conf.c -1 +1
    M ./dft/ct.c -1 +1
    M ./dft/ct.h -1 +1
    M ./dft/dft.h -1 +1
    M ./dft/dftw-direct.c -1 +1
    M ./dft/dftw-directsq.c -1 +1
    M ./dft/dftw-generic.c -1 +1
    M ./dft/dftw-genericbuf.c -1 +1
    M ./dft/direct.c -1 +1
    M ./dft/generic.c -1 +1
    M ./dft/indirect-transpose.c -1 +1
    M ./dft/indirect.c -1 +1
    M ./dft/kdft-dif.c -1 +1
    M ./dft/kdft-difsq.c -1 +1
    M ./dft/kdft-dit.c -1 +1
    M ./dft/kdft.c -1 +1
    M ./dft/nop.c -1 +1
    M ./dft/plan.c -1 +1
    M ./dft/problem.c -1 +1
    M ./dft/rader.c -1 +1
    M ./dft/rank-geq2.c -1 +1
    M ./dft/scalar/n.c -1 +1
    M ./dft/scalar/n.h -1 +1
    M ./dft/scalar/t.c -1 +1
    M ./dft/scalar/t.h -1 +1
    M ./dft/simd/common/genus.c -1 +1
    M ./dft/simd/n1b.h -1 +1
    M ./dft/simd/n1f.h -1 +1
    M ./dft/simd/n2b.h -1 +1
    M ./dft/simd/n2f.h -1 +1
    M ./dft/simd/n2s.h -1 +1
    M ./dft/simd/q1b.h -1 +1
    M ./dft/simd/q1f.h -1 +1
    M ./dft/simd/t1b.h -1 +1
    M ./dft/simd/t1bu.h -1 +1
    M ./dft/simd/t1f.h -1 +1
    M ./dft/simd/t1fu.h -1 +1
    M ./dft/simd/t2b.h -1 +1
    M ./dft/simd/t2f.h -1 +1
    M ./dft/simd/t3b.h -1 +1
    M ./dft/simd/t3f.h -1 +1
    M ./dft/simd/ts.h -1 +1
    M ./dft/solve.c -1 +1
    M ./dft/vrank-geq1.c -1 +1
    M ./dft/zero.c -1 +1
    M ./doc/f77_wisdom.f -1 +1
    M ./doc/license.texi -3 +3
    M ./genfft/algsimp.ml -1 +1
    M ./genfft/algsimp.mli -1 +1
    M ./genfft/annotate.ml -1 +1
    M ./genfft/annotate.mli -1 +1
    M ./genfft/assoctable.ml -1 +1
    M ./genfft/assoctable.mli -1 +1
    M ./genfft/c.ml -1 +1
    M ./genfft/c.mli -1 +1
    M ./genfft/complex.ml -1 +1
    M ./genfft/complex.mli -1 +1
    M ./genfft/conv.ml -1 +1
    M ./genfft/conv.mli -1 +1
    M ./genfft/dag.ml -1 +1
    M ./genfft/dag.mli -1 +1
    M ./genfft/expr.ml -1 +1
    M ./genfft/expr.mli -1 +1
    M ./genfft/fft.ml -1 +1
    M ./genfft/fft.mli -1 +1
    M ./genfft/gen_hc2c.ml -1 +1
    M ./genfft/gen_hc2cdft.ml -1 +1
    M ./genfft/gen_hc2cdft_c.ml -1 +1
    M ./genfft/gen_hc2hc.ml -1 +1
    M ./genfft/gen_mdct.ml -1 +1
    M ./genfft/gen_notw.ml -1 +1
    M ./genfft/gen_notw_c.ml -1 +1
    M ./genfft/gen_r2cb.ml -1 +1
    M ./genfft/gen_r2cf.ml -1 +1
    M ./genfft/gen_r2r.ml -1 +1
    M ./genfft/gen_twiddle.ml -1 +1
    M ./genfft/gen_twiddle_c.ml -1 +1
    M ./genfft/gen_twidsq.ml -1 +1
    M ./genfft/gen_twidsq_c.ml -1 +1
    M ./genfft/genutil.ml -1 +1
    M ./genfft/littlesimp.ml -1 +1
    M ./genfft/littlesimp.mli -1 +1
    M ./genfft/magic.ml -1 +1
    M ./genfft/monads.ml -1 +1
    M ./genfft/number.ml -1 +1
    M ./genfft/number.mli -1 +1
    M ./genfft/oracle.ml -1 +1
    M ./genfft/oracle.mli -1 +1
    M ./genfft/schedule.ml -1 +1
    M ./genfft/schedule.mli -1 +1
    M ./genfft/simd.ml -1 +1
    M ./genfft/simd.mli -1 +1
    M ./genfft/simdmagic.ml -1 +1
    M ./genfft/to_alist.ml -1 +1
    M ./genfft/to_alist.mli -1 +1
    M ./genfft/trig.ml -1 +1
    M ./genfft/trig.mli -1 +1
    M ./genfft/twiddle.ml -1 +1
    M ./genfft/twiddle.mli -1 +1
    M ./genfft/unique.ml -1 +1
    M ./genfft/unique.mli -1 +1
    M ./genfft/util.ml -1 +1
    M ./genfft/util.mli -1 +1
    M ./genfft/variable.ml -1 +1
    M ./genfft/variable.mli -1 +1
    M ./kernel/align.c -1 +1
    M ./kernel/alloc.c -1 +1
    M ./kernel/assert.c -1 +1
    M ./kernel/awake.c -1 +1
    M ./kernel/buffered.c -1 +1
    M ./kernel/cpy1d.c -1 +1
    M ./kernel/cpy2d-pair.c -1 +1
    M ./kernel/cpy2d.c -1 +1
    M ./kernel/ct.c -1 +1
    M ./kernel/debug.c -1 +1
    M ./kernel/extract-reim.c -1 +1
    M ./kernel/hash.c -1 +1
    M ./kernel/iabs.c -1 +1
    M ./kernel/ifftw.h -1 +1
    M ./kernel/kalloc.c -1 +1
    M ./kernel/md5-1.c -1 +1
    M ./kernel/md5.c -1 +1
    M ./kernel/minmax.c -1 +1
    M ./kernel/ops.c -1 +1
    M ./kernel/pickdim.c -1 +1
    M ./kernel/plan.c -1 +1
    M ./kernel/planner.c -1 +1
    M ./kernel/primes.c -1 +1
    M ./kernel/print.c -1 +1
    M ./kernel/problem.c -1 +1
    M ./kernel/rader.c -1 +1
    M ./kernel/scan.c -1 +1
    M ./kernel/solver.c -1 +1
    M ./kernel/solvtab.c -1 +1
    M ./kernel/stride.c -1 +1
    M ./kernel/tensor.c -1 +1
    M ./kernel/tensor1.c -1 +1
    M ./kernel/tensor2.c -1 +1
    M ./kernel/tensor3.c -1 +1
    M ./kernel/tensor4.c -1 +1
    M ./kernel/tensor5.c -1 +1
    M ./kernel/tensor7.c -1 +1
    M ./kernel/tensor8.c -1 +1
    M ./kernel/tensor9.c -1 +1
    M ./kernel/tile2d.c -1 +1
    M ./kernel/timer.c -1 +1
    M ./kernel/transpose.c -1 +1
    M ./kernel/trig.c -1 +1
    M ./kernel/twiddle.c -1 +1
    M ./libbench2/aligned-main.c -1 +1
    M ./libbench2/bench-main.c -1 +1
    M ./libbench2/bench-user.h -1 +1
    M ./libbench2/bench.h -1 +1
    M ./libbench2/can-do.c -1 +1
    M ./libbench2/dotens2.c -1 +1
    M ./libbench2/info.c -1 +1
    M ./libbench2/main.c -1 +1
    M ./libbench2/my-getopt.c -1 +1
    M ./libbench2/my-getopt.h -1 +1
    M ./libbench2/problem.c -1 +1
    M ./libbench2/report.c -1 +1
    M ./libbench2/speed.c -1 +1
    M ./libbench2/tensor.c -1 +1
    M ./libbench2/timer.c -1 +1
    M ./libbench2/useropt.c -1 +1
    M ./libbench2/util.c -1 +1
    M ./libbench2/verify-dft.c -1 +1
    M ./libbench2/verify-lib.c -1 +1
    M ./libbench2/verify-r2r.c -1 +1
    M ./libbench2/verify-rdft2.c -1 +1
    M ./libbench2/verify.c -1 +1
    M ./libbench2/verify.h -1 +1
    M ./libbench2/zero.c -1 +1
    M ./mpi/any-true.c -1 +1
    M ./mpi/api.c -1 +1
    M ./mpi/block.c -1 +1
    M ./mpi/choose-radix.c -1 +1
    M ./mpi/conf.c -1 +1
    M ./mpi/dft-problem.c -1 +1
    M ./mpi/dft-rank-geq2-transposed.c -1 +1
    M ./mpi/dft-rank-geq2.c -1 +1
    M ./mpi/dft-rank1-bigvec.c -1 +1
    M ./mpi/dft-rank1.c -1 +1
    M ./mpi/dft-serial.c -1 +1
    M ./mpi/dft-solve.c -1 +1
    M ./mpi/dtensor.c -1 +1
    M ./mpi/ifftw-mpi.h -1 +1
    M ./mpi/mpi-dft.h -1 +1
    M ./mpi/mpi-rdft.h -1 +1
    M ./mpi/mpi-rdft2.h -1 +1
    M ./mpi/mpi-transpose.h -1 +1
    M ./mpi/rdft-problem.c -1 +1
    M ./mpi/rdft-rank-geq2-transposed.c -1 +1
    M ./mpi/rdft-rank-geq2.c -1 +1
    M ./mpi/rdft-rank1-bigvec.c -1 +1
    M ./mpi/rdft-serial.c -1 +1
    M ./mpi/rdft-solve.c -1 +1
    M ./mpi/rdft2-problem.c -1 +1
    M ./mpi/rdft2-rank-geq2-transposed.c -1 +1
    M ./mpi/rdft2-rank-geq2.c -1 +1
    M ./mpi/rdft2-serial.c -1 +1
    M ./mpi/rdft2-solve.c -1 +1
    M ./mpi/rearrange.c -1 +1
    M ./mpi/testsched.c -1 +1
    M ./mpi/transpose-alltoall.c -1 +1
    M ./mpi/transpose-pairwise.c -1 +1
    M ./mpi/transpose-problem.c -1 +1
    M ./mpi/transpose-recurse.c -1 +1
    M ./mpi/transpose-solve.c -1 +1
    M ./mpi/wisdom-api.c -1 +1
    M ./rdft/buffered.c -1 +1
    M ./rdft/buffered2.c -1 +1
    M ./rdft/codelet-rdft.h -1 +1
    M ./rdft/conf.c -1 +1
    M ./rdft/ct-hc2c-direct.c -1 +1
    M ./rdft/ct-hc2c.c -1 +1
    M ./rdft/ct-hc2c.h -1 +1
    M ./rdft/dft-r2hc.c -1 +1
    M ./rdft/dht-r2hc.c -1 +1
    M ./rdft/dht-rader.c -1 +1
    M ./rdft/direct-r2c.c -1 +1
    M ./rdft/direct-r2r.c -1 +1
    M ./rdft/direct2.c -1 +1
    M ./rdft/generic.c -1 +1
    M ./rdft/hc2hc-direct.c -1 +1
    M ./rdft/hc2hc-generic.c -1 +1
    M ./rdft/hc2hc.c -1 +1
    M ./rdft/hc2hc.h -1 +1
    M ./rdft/indirect.c -1 +1
    M ./rdft/khc2c.c -1 +1
    M ./rdft/khc2hc.c -1 +1
    M ./rdft/kr2c.c -1 +1
    M ./rdft/kr2r.c -1 +1
    M ./rdft/nop.c -1 +1
    M ./rdft/nop2.c -1 +1
    M ./rdft/plan.c -1 +1
    M ./rdft/plan2.c -1 +1
    M ./rdft/problem.c -1 +1
    M ./rdft/problem2.c -1 +1
    M ./rdft/rank-geq2-rdft2.c -1 +1
    M ./rdft/rank-geq2.c -1 +1
    M ./rdft/rank0-rdft2.c -1 +1
    M ./rdft/rank0.c -1 +1
    M ./rdft/rdft-dht.c -1 +1
    M ./rdft/rdft.h -1 +1
    M ./rdft/rdft2-inplace-strides.c -1 +1
    M ./rdft/rdft2-rdft.c -1 +1
    M ./rdft/rdft2-strides.c -1 +1
    M ./rdft/rdft2-tensor-max-index.c -1 +1
    M ./rdft/scalar/hb.h -1 +1
    M ./rdft/scalar/hc2c.c -1 +1
    M ./rdft/scalar/hc2cb.h -1 +1
    M ./rdft/scalar/hc2cf.h -1 +1
    M ./rdft/scalar/hf.h -1 +1
    M ./rdft/scalar/hfb.c -1 +1
    M ./rdft/scalar/r2c.c -1 +1
    M ./rdft/scalar/r2cb.h -1 +1
    M ./rdft/scalar/r2cbIII.h -1 +1
    M ./rdft/scalar/r2cf.h -1 +1
    M ./rdft/scalar/r2cfII.h -1 +1
    M ./rdft/scalar/r2r.c -1 +1
    M ./rdft/scalar/r2r.h -1 +1
    M ./rdft/simd/common/genus.c -1 +1
    M ./rdft/simd/hc2cbv.h -1 +1
    M ./rdft/simd/hc2cfv.h -1 +1
    M ./rdft/solve.c -1 +1
    M ./rdft/solve2.c -1 +1
    M ./rdft/vrank-geq1-rdft2.c -1 +1
    M ./rdft/vrank-geq1.c -1 +1
    M ./rdft/vrank3-transpose.c -1 +1
    M ./reodft/conf.c -1 +1
    M ./reodft/redft00e-r2hc-pad.c -1 +1
    M ./reodft/redft00e-r2hc.c -1 +1
    M ./reodft/reodft.h -1 +1
    M ./reodft/reodft00e-splitradix.c -1 +1
    M ./reodft/reodft010e-r2hc.c -1 +1
    M ./reodft/reodft11e-r2hc-odd.c -1 +1
    M ./reodft/reodft11e-r2hc.c -1 +1
    M ./reodft/reodft11e-radix2.c -1 +1
    M ./reodft/rodft00e-r2hc-pad.c -1 +1
    M ./reodft/rodft00e-r2hc.c -1 +1
    M ./simd-support/altivec.c -1 +1
    M ./simd-support/amd64-cpuid.h -1 +1
    M ./simd-support/avx.c -1 +1
    M ./simd-support/neon.c -1 +1
    M ./simd-support/simd-altivec.h -1 +1
    M ./simd-support/simd-avx.h -1 +1
    M ./simd-support/simd-common.h -1 +1
    M ./simd-support/simd-neon.h -1 +1
    M ./simd-support/simd-sse2.h -1 +1
    M ./simd-support/sse2-nonportable.c -1 +1
    M ./simd-support/sse2.c -1 +1
    M ./simd-support/taint.c -1 +1
    M ./simd-support/x86-cpuid.h -1 +1
    M ./simd/altivec.c -1 +1
    M ./simd/mips_ps.c -1 +1
    M ./simd/mips_ps.h -1 +1
    M ./simd/nonportable/sse.c -1 +1
    M ./simd/nonportable/sse2.c -1 +1
    M ./simd/simd-altivec.h -1 +1
    M ./simd/simd-mips_ps.h -1 +1
    M ./simd/simd-sse.h -1 +1
    M ./simd/simd-sse2.h -1 +1
    M ./simd/simd.h -1 +1
    M ./simd/sse.c -1 +1
    M ./simd/sse2.c -1 +1
    M ./simd/taint.c -1 +1
    M ./simd/x86-cpuid.h -1 +1
    M ./threads/api.c -1 +1
    M ./threads/conf.c -1 +1
    M ./threads/ct.c -1 +1
    M ./threads/dft-vrank-geq1.c -1 +1
    M ./threads/f77api.c -1 +1
    M ./threads/f77funcs.h -1 +1
    M ./threads/hc2hc.c -1 +1
    M ./threads/openmp.c -1 +1
    M ./threads/rdft-vrank-geq1.c -1 +1
    M ./threads/threads.c -1 +1
    M ./threads/threads.h -1 +1
    M ./threads/vrank-geq1-rdft2.c -1 +1
    M ./tools/fftw-wisdom-to-conf.1 -1 +1
    M ./tools/fftw-wisdom-to-conf.in -1 +1
    M ./tools/fftw-wisdom.c -1 +1
    M ./tools/fftw_wisdom.1.in -1 +1

Thu Aug 11 14:54:38 EDT 2011  stevenj@fftw.org
  * allow specifying TRANSPOSE_{IN/OUT} transpose plans, since libbench does not canonicalize rnk=1 n=1 plans as rnk=0

    M ./mpi/mpi-bench.c -2 +2

Thu Aug 11 14:17:24 EDT 2011  stevenj@fftw.org
  * check.pl should occasionally check DESTROY_INPUT problems too (especially since those enable slightly different algorithms in MPI)

    M ./tests/check.pl +1

Thu Aug 11 12:37:51 EDT 2011  stevenj@fftw.org
  * unify post-MPI transpose handling in pairwise and alltoall solvers; should make the former faster in the destroy-input out-of-place case, and the latter more widely applicable

    M ./mpi/mpi-transpose.h +5
    M ./mpi/transpose-alltoall.c -69 +24
    M ./mpi/transpose-pairwise.c -66 +97

Mon Aug  8 10:06:14 EDT 2011  athena@fftw.org
  * Add support for ARM NEON

    M ./Makefile.am -1 +6
    M ./api/version.c +4
    M ./configure.ac -5 +23
    M ./dft/codelet-dft.h +1
    M ./dft/conf.c +4
    M ./dft/simd/Makefile.am -1 +1
    A ./dft/simd/neon/
    A ./dft/simd/neon/Makefile.am
    M ./kernel/ifftw.h +2
    M ./m4/ax_cc_maxopt.m4 +10
    M ./rdft/codelet-rdft.h +1
    M ./rdft/conf.c +4
    M ./rdft/simd/Makefile.am -1 +1
    A ./rdft/simd/neon/
    A ./rdft/simd/neon/Makefile.am
    M ./simd-support/Makefile.am -1 +2
    A ./simd-support/neon.c
    M ./simd-support/simd-common.h +3
    A ./simd-support/simd-neon.h

Fri Aug  5 17:25:32 EDT 2011  stevenj@fftw.org
  * more C++ paranoia

    M ./tests/fftw-bench.h +10

Fri Aug  5 17:02:00 EDT 2011  stevenj@fftw.org
  * tentative version bump for 3.3.1

    M ./NEWS +5
    M ./configure.ac -2 +2

Fri Aug  5 16:52:28 EDT 2011  stevenj@fftw.org
  * fixes so that MPI code compiles when MPICC is a C++ compiler, even if the serial code is compiled with a C compiler; thanks to Kyle Spyksma for the bug report

    M ./api/api.h +12
    M ./api/plan-guru-r2r.h -2
    M ./api/plan-many-r2r.c -2
    M ./dft/dft.h +9
    M ./kernel/ifftw.h +9
    M ./mpi/api.c -3 +1
    M ./mpi/dtensor.c -1 +1
    M ./mpi/ifftw-mpi.h -1 +4
    M ./mpi/mpi-bench.c -1 +1
    M ./rdft/rdft.h +9

Fri Aug  5 16:04:06 EDT 2011  stevenj@fftw.org
  * use correct precision in f03-wrap.c, avoiding a (harmless) implicit pointer cast that prevented compilation under C++; thanks to Kyle Spyksma for the bug report

    M ./mpi/genf03-wrap.pl +2

Fri Aug  5 14:04:32 EDT 2011  stevenj@fftw.org
  * manual typo

    M ./doc/modern-fortran.texi -1 +1

Wed Jul 27 12:50:25 EDT 2011  athena@fftw.org
  tagged fftw-3.3


Tue Jul 26 20:55:45 EDT 2011  athena@fftw.org
  * Honor WITH_OUR_MALLOC in libbench2

    M ./libbench2/util.c -6 +5

Tue Jul 26 20:27:28 EDT 2011  athena@fftw.org
  * fixed typo: incorrect name of combined threads library on Windows

    M ./Makefile.am -1 +1

Mon Jul 25 14:38:20 EDT 2011  stevenj@fftw.org
  * 3.3 version bump & NEWS

    M ./NEWS -5 +16
    M ./configure.ac -1 +1

Mon Jul 25 14:37:48 EDT 2011  stevenj@fftw.org
  * use int(..., C_SIZE_T) rather than declaring another variable in the Fortran examples

    M ./doc/modern-fortran.texi -12 +9

Wed Jul 13 05:02:32 EDT 2011  stevenj@fftw.org
  * typo, thanks to Rhys Ulerich for the comment

    M ./doc/mpi.texi -1 +1

Mon Jul 11 14:39:52 EDT 2011  athena@fftw.org
  * Fix bug in bubblesort
  
  Bubblesort was not sorting.  This was a bug in the benchmark library
  (not in FFTW per se), and it impacted the benchmark program
  with --report-time and --report-mflops causing it to output
  an incorrect value for the median.  (The minimum, maximum, and
  average value were correct.)  Thanks Dima Baksheev of Intel for
  reporting this bug.
  

    M ./libbench2/report.c -2 +2

Fri Jul  8 13:35:59 EDT 2011  stevenj@fftw.org
  * small manual typos

    M ./doc/modern-fortran.texi -2 +2

Wed Jul  6 10:49:40 EDT 2011  athena@fftw.org
  * Detection of altivec.h requires $ALTIVEC_CFLAGS

    M ./configure.ac -5 +4

Tue Jul  5 19:58:47 EDT 2011  athena@fftw.org
  * Introduce fake dependency so that my-getopt.c is recompiled
  
  my-getopt.c does not depend on anything, and so it is not rebuilt when
  reconfiguring for a different ISA (e.g., CC="gcc -m32" vs CC="gcc
  -m64").  Add a fake dependency on <config.h> so that the file is
  recompiled.
  
  

    M ./libbench2/my-getopt.c +1

Tue Jul  5 18:53:36 EDT 2011  stevenj@fftw.org
  * support compiling/installing --enable-threads --enable-openmp at the same time, although in this case the test program only uses the threads variety.  Update documentation accordingly, and in general expand the documentation of the OpenMP support

    M ./Makefile.am -1 +1
    M ./configure.ac -21 +13
    M ./doc/install.texi -14 +13
    M ./doc/threads.texi -19 +43
    M ./mpi/Makefile.am -2 +6
    M ./tests/Makefile.am -2 +6
    M ./tests/fftw-bench.c -1 +3
    M ./threads/Makefile.am -6 +20
    M ./threads/conf.c -4
    M ./threads/openmp.c -4
    M ./threads/threads.c -3
    M ./tools/Makefile.am -4 +8

Tue Jul  5 16:04:03 EDT 2011  stevenj@fftw.org
  * call omp_set_num_threads in fftw-bench so that the number of OpenMP threads corresponds with the number of FFTW threads

    M ./tests/fftw-bench.c +5

Tue Jul  5 16:03:06 EDT 2011  stevenj@fftw.org
  * when --enable-openmp, install as fftw3_omp rather than fftw3_threads, so that both the POSIX threads and OpenMP variants of FFTW can be installed at once

    M ./Makefile.am -1 +1
    M ./configure.ac +4
    M ./threads/Makefile.am -4 +4

Sat Jul  2 02:21:22 EDT 2011  stevenj@fftw.org
  * don't even declare an fftw_execute interface in Fortran, since it is unsafe and we recommend against it anyway; thanks to Arjen Markus for the suggestion

    M ./api/f03api.sh -1 +1
    M ./doc/modern-fortran.texi -2 +4

Fri Jul  1 14:35:44 EDT 2011  athena@fftw.org
  * consistently use the order single, double, long double

    M ./support/BUILD-MINGW32.sh -1 +1
    M ./support/BUILD-MINGW64.sh -1 +1

Wed Jun 29 17:27:06 EDT 2011  athena@fftw.org
  * MSVC AVX 64-bit detection does not work, punt for now.

    M ./simd-support/amd64-cpuid.h -16 +2

Wed Jun 29 15:52:27 EDT 2011  stevenj@fftw.org
  * fixed typo, added note on transposed flags for r2c/c2r; thanks to Rhys Ulerich for the suggestions

    M ./doc/mpi.texi -1 +14

Wed Jun 29 09:41:39 EDT 2011  athena@fftw.org
  * fixes for compiling with MSVC (untested)

    M ./simd-support/amd64-cpuid.h -2 +16
    M ./simd-support/simd-avx.h -11 +16
    M ./simd-support/x86-cpuid.h -1 +7

Tue Jun 28 16:48:36 EDT 2011  athena@fftw.org
  * comment

    M ./simd-support/sse2-nonportable.c +3

Mon Jun 27 21:01:56 EDT 2011  stevenj@fftw.org
  * rm extraneous line break in HTML output ... I hate texinfo

    M ./doc/reference.texi -6 +3

Mon Jun 27 06:43:57 EDT 2011  athena@fftw.org
  tagged fftw-3.3-beta1


Mon Jun 27 00:47:33 EDT 2011  stevenj@fftw.org
  * maintainer-clean should delete html directory (otherwwise we keep obsolete HTML files in the dist tarball, sigh)

    M ./doc/Makefile.am -2 +2

Mon Jun 27 00:45:28 EDT 2011  stevenj@fftw.org
  tagged fftw-3.3-beta1


Sun Jun 26 23:36:32 EDT 2011  stevenj@fftw.org
  * update copyright year in manual

    M ./doc/license.texi -2 +2

Sun Jun 26 22:52:54 EDT 2011  stevenj@fftw.org
  * whoops, don't dist .f03 headers, since those are built by the user's Makefile

    M ./api/Makefile.am -1 +2
    M ./mpi/Makefile.am -1 +2

Sun Jun 26 22:43:49 EDT 2011  stevenj@fftw.org
  * fix embarrassing deadlock/crashing bug in my previous nowisdom_hook fix -- I forgot to handle the case where one process has wisdom and another one doesn't, requiring a nowisdom_hook in the latter case; this should only affect MPI transforms since otherwise these hook functions are NULL

    M ./kernel/ifftw.h +1
    M ./kernel/planner.c -44 +48
    M ./mpi/api.c +14

Sun Jun 26 21:02:15 EDT 2011  stevenj@fftw.org
  * subsubheadings, MPI transpose reference

    M ./doc/mpi.texi -7 +53

Sun Jun 26 20:48:53 EDT 2011  stevenj@fftw.org
  * add MPI plan reference

    M ./doc/mpi.texi -5 +197

Sun Jun 26 17:07:21 EDT 2011  stevenj@fftw.org
  * portions of MPI reference docs; tweaks to NEWS

    M ./NEWS -2 +3
    M ./doc/mpi.texi -12 +264

Sun Jun 26 12:40:43 EDT 2011  stevenj@fftw.org
  * use $(CHECK_PL_OPTS) more consistently

    M ./tests/Makefile.am -1 +1

Sun Jun 26 10:04:54 EDT 2011  athena@fftw.org
  * accept \r\n as well as \n.  Grrr...

    M ./tests/check.pl -1 +2

Sun Jun 26 09:52:11 EDT 2011  athena@fftw.org
  * new configure option --with-incoming-stack-boundary=N
  
  This option selects CFLAGS to align the stack at all externally-callable
  functions.  This currently comprises api/* and threads/*
  

    M ./api/Makefile.am +1
    M ./configure.ac +14
    M ./support/BUILD-MINGW32.sh -1 +1
    M ./threads/Makefile.am +1

Sun Jun 26 09:51:37 EDT 2011  athena@fftw.org
  * add -fomit-frame-pointer back
  
  Somehow -O3 does not imply -fomit-frame-pointer on ia32
  

    M ./m4/ax_cc_maxopt.m4 -2 +3

Sun Jun 26 07:20:27 EDT 2011  athena@fftw.org
  * Note that removal of mips-ps is temporary.

    M ./NEWS -3 +5

Sat Jun 25 23:15:03 EDT 2011  stevenj@fftw.org
  * update copyright year

    M ./COPYRIGHT -2 +2
    M ./api/api.h -2 +2
    M ./api/apiplan.c -2 +2
    M ./api/configure.c -2 +2
    M ./api/execute-dft-c2r.c -2 +2
    M ./api/execute-dft-r2c.c -2 +2
    M ./api/execute-dft.c -2 +2
    M ./api/execute-r2r.c -2 +2
    M ./api/execute-split-dft-c2r.c -2 +2
    M ./api/execute-split-dft-r2c.c -2 +2
    M ./api/execute-split-dft.c -2 +2
    M ./api/execute.c -2 +2
    M ./api/export-wisdom-to-file.c -2 +2
    M ./api/export-wisdom-to-string.c -2 +2
    M ./api/export-wisdom.c -2 +2
    M ./api/f77api.c -2 +2
    M ./api/f77funcs.h -2 +2
    M ./api/fftw3.h -2 +2
    M ./api/flops.c -2 +2
    M ./api/forget-wisdom.c -2 +2
    M ./api/import-system-wisdom.c -2 +2
    M ./api/import-wisdom-from-file.c -2 +2
    M ./api/import-wisdom-from-string.c -2 +2
    M ./api/import-wisdom.c -2 +2
    M ./api/malloc.c -2 +2
    M ./api/map-r2r-kind.c -2 +2
    M ./api/mapflags.c -2 +2
    M ./api/mkprinter-file.c -2 +2
    M ./api/mktensor-iodims.h -2 +2
    M ./api/mktensor-rowmajor.c -2 +2
    M ./api/plan-dft-1d.c -2 +2
    M ./api/plan-dft-2d.c -2 +2
    M ./api/plan-dft-3d.c -2 +2
    M ./api/plan-dft-c2r-1d.c -2 +2
    M ./api/plan-dft-c2r-2d.c -2 +2
    M ./api/plan-dft-c2r-3d.c -2 +2
    M ./api/plan-dft-c2r.c -2 +2
    M ./api/plan-dft-r2c-1d.c -2 +2
    M ./api/plan-dft-r2c-2d.c -2 +2
    M ./api/plan-dft-r2c-3d.c -2 +2
    M ./api/plan-dft-r2c.c -2 +2
    M ./api/plan-dft.c -2 +2
    M ./api/plan-guru-dft-c2r.h -2 +2
    M ./api/plan-guru-dft-r2c.h -2 +2
    M ./api/plan-guru-dft.h -2 +2
    M ./api/plan-guru-r2r.h -2 +2
    M ./api/plan-guru-split-dft-c2r.h -2 +2
    M ./api/plan-guru-split-dft-r2c.h -2 +2
    M ./api/plan-guru-split-dft.h -2 +2
    M ./api/plan-many-dft-c2r.c -2 +2
    M ./api/plan-many-dft-r2c.c -2 +2
    M ./api/plan-many-dft.c -2 +2
    M ./api/plan-many-r2r.c -2 +2
    M ./api/plan-r2r-1d.c -2 +2
    M ./api/plan-r2r-2d.c -2 +2
    M ./api/plan-r2r-3d.c -2 +2
    M ./api/plan-r2r.c -2 +2
    M ./api/print-plan.c -2 +2
    M ./api/rdft2-pad.c -2 +2
    M ./api/the-planner.c -2 +2
    M ./api/version.c -2 +2
    M ./api/x77.h -2 +2
    M ./dft/bluestein.c -2 +2
    M ./dft/buffered.c -2 +2
    M ./dft/codelet-dft.h -2 +2
    M ./dft/conf.c -2 +2
    M ./dft/ct.c -2 +2
    M ./dft/ct.h -2 +2
    M ./dft/dft.h -2 +2
    M ./dft/dftw-direct.c -2 +2
    M ./dft/dftw-directsq.c -2 +2
    M ./dft/dftw-generic.c -2 +2
    M ./dft/dftw-genericbuf.c -2 +2
    M ./dft/direct.c -2 +2
    M ./dft/generic.c -2 +2
    M ./dft/indirect-transpose.c -2 +2
    M ./dft/indirect.c -2 +2
    M ./dft/kdft-dif.c -2 +2
    M ./dft/kdft-difsq.c -2 +2
    M ./dft/kdft-dit.c -2 +2
    M ./dft/kdft.c -2 +2
    M ./dft/nop.c -2 +2
    M ./dft/plan.c -2 +2
    M ./dft/problem.c -2 +2
    M ./dft/rader.c -2 +2
    M ./dft/rank-geq2.c -2 +2
    M ./dft/scalar/n.c -2 +2
    M ./dft/scalar/n.h -2 +2
    M ./dft/scalar/t.c -2 +2
    M ./dft/scalar/t.h -2 +2
    M ./dft/simd/common/genus.c -2 +2
    M ./dft/simd/n1b.h -2 +2
    M ./dft/simd/n1f.h -2 +2
    M ./dft/simd/n2b.h -2 +2
    M ./dft/simd/n2f.h -2 +2
    M ./dft/simd/n2s.h -2 +2
    M ./dft/simd/q1b.h -2 +2
    M ./dft/simd/q1f.h -2 +2
    M ./dft/simd/t1b.h -2 +2
    M ./dft/simd/t1bu.h -2 +2
    M ./dft/simd/t1f.h -2 +2
    M ./dft/simd/t1fu.h -2 +2
    M ./dft/simd/t2b.h -2 +2
    M ./dft/simd/t2f.h -2 +2
    M ./dft/simd/t3b.h -2 +2
    M ./dft/simd/t3f.h -2 +2
    M ./dft/simd/ts.h -2 +2
    M ./dft/solve.c -2 +2
    M ./dft/vrank-geq1.c -2 +2
    M ./dft/zero.c -2 +2
    M ./doc/f77_wisdom.f -2 +2
    M ./genfft/algsimp.ml -2 +2
    M ./genfft/algsimp.mli -2 +2
    M ./genfft/annotate.ml -2 +2
    M ./genfft/annotate.mli -2 +2
    M ./genfft/assoctable.ml -2 +2
    M ./genfft/assoctable.mli -2 +2
    M ./genfft/c.ml -2 +2
    M ./genfft/c.mli -2 +2
    M ./genfft/complex.ml -2 +2
    M ./genfft/complex.mli -2 +2
    M ./genfft/conv.ml -2 +2
    M ./genfft/conv.mli -2 +2
    M ./genfft/dag.ml -2 +2
    M ./genfft/dag.mli -2 +2
    M ./genfft/expr.ml -2 +2
    M ./genfft/expr.mli -2 +2
    M ./genfft/fft.ml -2 +2
    M ./genfft/fft.mli -2 +2
    M ./genfft/gen_hc2c.ml -2 +2
    M ./genfft/gen_hc2cdft.ml -2 +2
    M ./genfft/gen_hc2cdft_c.ml -2 +2
    M ./genfft/gen_hc2hc.ml -2 +2
    M ./genfft/gen_mdct.ml -2 +2
    M ./genfft/gen_notw.ml -2 +2
    M ./genfft/gen_notw_c.ml -2 +2
    M ./genfft/gen_r2cb.ml -2 +2
    M ./genfft/gen_r2cf.ml -2 +2
    M ./genfft/gen_r2r.ml -2 +2
    M ./genfft/gen_twiddle.ml -2 +2
    M ./genfft/gen_twiddle_c.ml -2 +2
    M ./genfft/gen_twidsq.ml -2 +2
    M ./genfft/gen_twidsq_c.ml -2 +2
    M ./genfft/genutil.ml -2 +2
    M ./genfft/littlesimp.ml -2 +2
    M ./genfft/littlesimp.mli -2 +2
    M ./genfft/magic.ml -2 +2
    M ./genfft/monads.ml -2 +2
    M ./genfft/number.ml -2 +2
    M ./genfft/number.mli -2 +2
    M ./genfft/oracle.ml -2 +2
    M ./genfft/oracle.mli -2 +2
    M ./genfft/schedule.ml -2 +2
    M ./genfft/schedule.mli -2 +2
    M ./genfft/simd.ml -2 +2
    M ./genfft/simd.mli -2 +2
    M ./genfft/simdmagic.ml -2 +2
    M ./genfft/to_alist.ml -2 +2
    M ./genfft/to_alist.mli -2 +2
    M ./genfft/trig.ml -2 +2
    M ./genfft/trig.mli -2 +2
    M ./genfft/twiddle.ml -2 +2
    M ./genfft/twiddle.mli -2 +2
    M ./genfft/unique.ml -2 +2
    M ./genfft/unique.mli -2 +2
    M ./genfft/util.ml -2 +2
    M ./genfft/util.mli -2 +2
    M ./genfft/variable.ml -2 +2
    M ./genfft/variable.mli -2 +2
    M ./kernel/align.c -2 +2
    M ./kernel/alloc.c -2 +2
    M ./kernel/assert.c -2 +2
    M ./kernel/awake.c -2 +2
    M ./kernel/buffered.c -2 +2
    M ./kernel/cpy1d.c -2 +2
    M ./kernel/cpy2d-pair.c -2 +2
    M ./kernel/cpy2d.c -2 +2
    M ./kernel/ct.c -2 +2
    M ./kernel/cycle.h -2 +2
    M ./kernel/debug.c -2 +2
    M ./kernel/extract-reim.c -2 +2
    M ./kernel/hash.c -2 +2
    M ./kernel/iabs.c -2 +2
    M ./kernel/ifftw.h -2 +2
    M ./kernel/kalloc.c -2 +2
    M ./kernel/md5-1.c -2 +2
    M ./kernel/md5.c -2 +2
    M ./kernel/minmax.c -2 +2
    M ./kernel/ops.c -2 +2
    M ./kernel/pickdim.c -2 +2
    M ./kernel/plan.c -2 +2
    M ./kernel/primes.c -2 +2
    M ./kernel/print.c -2 +2
    M ./kernel/problem.c -2 +2
    M ./kernel/rader.c -2 +2
    M ./kernel/scan.c -2 +2
    M ./kernel/solver.c -2 +2
    M ./kernel/solvtab.c -2 +2
    M ./kernel/stride.c -2 +2
    M ./kernel/tensor.c -2 +2
    M ./kernel/tensor1.c -2 +2
    M ./kernel/tensor2.c -2 +2
    M ./kernel/tensor3.c -2 +2
    M ./kernel/tensor4.c -2 +2
    M ./kernel/tensor5.c -2 +2
    M ./kernel/tensor7.c -2 +2
    M ./kernel/tensor8.c -2 +2
    M ./kernel/tensor9.c -2 +2
    M ./kernel/tile2d.c -2 +2
    M ./kernel/timer.c -2 +2
    M ./kernel/transpose.c -2 +2
    M ./kernel/trig.c -2 +2
    M ./kernel/twiddle.c -2 +2
    M ./libbench2/dotens2.c -2 +2
    M ./libbench2/my-getopt.c -2 +2
    M ./libbench2/my-getopt.h -2 +2
    M ./libbench2/verify-dft.c -2 +2
    M ./libbench2/verify-lib.c -2 +2
    M ./libbench2/verify-r2r.c -2 +2
    M ./libbench2/verify-rdft2.c -2 +2
    M ./libbench2/verify.h -2 +2
    M ./mpi/any-true.c -2 +2
    M ./mpi/api.c -2 +2
    M ./mpi/block.c -2 +2
    M ./mpi/choose-radix.c -2 +2
    M ./mpi/conf.c -2 +2
    M ./mpi/dft-problem.c -2 +2
    M ./mpi/dft-rank-geq2-transposed.c -2 +2
    M ./mpi/dft-rank-geq2.c -2 +2
    M ./mpi/dft-rank1-bigvec.c -2 +2
    M ./mpi/dft-rank1.c -2 +2
    M ./mpi/dft-serial.c -2 +2
    M ./mpi/dft-solve.c -2 +2
    M ./mpi/dtensor.c -2 +2
    M ./mpi/fftw3-mpi.h -2 +2
    M ./mpi/ifftw-mpi.h -2 +2
    M ./mpi/mpi-dft.h -2 +2
    M ./mpi/mpi-rdft.h -2 +2
    M ./mpi/mpi-rdft2.h -2 +2
    M ./mpi/mpi-transpose.h -2 +2
    M ./mpi/rdft-problem.c -2 +2
    M ./mpi/rdft-rank-geq2-transposed.c -2 +2
    M ./mpi/rdft-rank-geq2.c -2 +2
    M ./mpi/rdft-rank1-bigvec.c -2 +2
    M ./mpi/rdft-serial.c -2 +2
    M ./mpi/rdft-solve.c -2 +2
    M ./mpi/rdft2-problem.c -2 +2
    M ./mpi/rdft2-rank-geq2-transposed.c -2 +2
    M ./mpi/rdft2-rank-geq2.c -2 +2
    M ./mpi/rdft2-serial.c -2 +2
    M ./mpi/rdft2-solve.c -2 +2
    M ./mpi/rearrange.c -2 +2
    M ./mpi/testsched.c -1 +1
    M ./mpi/transpose-alltoall.c -2 +2
    M ./mpi/transpose-pairwise.c -2 +2
    M ./mpi/transpose-problem.c -2 +2
    M ./mpi/transpose-recurse.c -2 +2
    M ./mpi/transpose-solve.c -2 +2
    M ./mpi/wisdom-api.c -2 +2
    M ./rdft/buffered.c -2 +2
    M ./rdft/buffered2.c -2 +2
    M ./rdft/codelet-rdft.h -2 +2
    M ./rdft/conf.c -2 +2
    M ./rdft/ct-hc2c-direct.c -2 +2
    M ./rdft/ct-hc2c.c -2 +2
    M ./rdft/ct-hc2c.h -2 +2
    M ./rdft/dft-r2hc.c -2 +2
    M ./rdft/dht-r2hc.c -2 +2
    M ./rdft/dht-rader.c -2 +2
    M ./rdft/direct-r2c.c -2 +2
    M ./rdft/direct-r2r.c -2 +2
    M ./rdft/direct2.c -2 +2
    M ./rdft/generic.c -2 +2
    M ./rdft/hc2hc-direct.c -2 +2
    M ./rdft/hc2hc-generic.c -2 +2
    M ./rdft/hc2hc.c -2 +2
    M ./rdft/hc2hc.h -2 +2
    M ./rdft/indirect.c -2 +2
    M ./rdft/khc2c.c -2 +2
    M ./rdft/khc2hc.c -2 +2
    M ./rdft/kr2c.c -2 +2
    M ./rdft/kr2r.c -2 +2
    M ./rdft/nop.c -2 +2
    M ./rdft/nop2.c -2 +2
    M ./rdft/plan.c -2 +2
    M ./rdft/plan2.c -2 +2
    M ./rdft/problem.c -2 +2
    M ./rdft/problem2.c -2 +2
    M ./rdft/rank-geq2-rdft2.c -2 +2
    M ./rdft/rank-geq2.c -2 +2
    M ./rdft/rank0-rdft2.c -2 +2
    M ./rdft/rank0.c -2 +2
    M ./rdft/rdft-dht.c -2 +2
    M ./rdft/rdft.h -2 +2
    M ./rdft/rdft2-inplace-strides.c -2 +2
    M ./rdft/rdft2-rdft.c -2 +2
    M ./rdft/rdft2-strides.c -2 +2
    M ./rdft/rdft2-tensor-max-index.c -2 +2
    M ./rdft/scalar/hb.h -2 +2
    M ./rdft/scalar/hc2c.c -2 +2
    M ./rdft/scalar/hc2cb.h -2 +2
    M ./rdft/scalar/hc2cf.h -2 +2
    M ./rdft/scalar/hf.h -2 +2
    M ./rdft/scalar/hfb.c -2 +2
    M ./rdft/scalar/r2c.c -2 +2
    M ./rdft/scalar/r2cb.h -2 +2
    M ./rdft/scalar/r2cbIII.h -2 +2
    M ./rdft/scalar/r2cf.h -2 +2
    M ./rdft/scalar/r2cfII.h -2 +2
    M ./rdft/scalar/r2r.c -2 +2
    M ./rdft/scalar/r2r.h -2 +2
    M ./rdft/simd/common/genus.c -2 +2
    M ./rdft/simd/hc2cbv.h -2 +2
    M ./rdft/simd/hc2cfv.h -2 +2
    M ./rdft/solve.c -2 +2
    M ./rdft/solve2.c -2 +2
    M ./rdft/vrank-geq1-rdft2.c -2 +2
    M ./rdft/vrank-geq1.c -2 +2
    M ./rdft/vrank3-transpose.c -2 +2
    M ./reodft/conf.c -2 +2
    M ./reodft/redft00e-r2hc-pad.c -2 +2
    M ./reodft/redft00e-r2hc.c -2 +2
    M ./reodft/reodft.h -2 +2
    M ./reodft/reodft010e-r2hc.c -2 +2
    M ./reodft/reodft11e-r2hc-odd.c -2 +2
    M ./reodft/reodft11e-r2hc.c -2 +2
    M ./reodft/reodft11e-radix2.c -2 +2
    M ./reodft/rodft00e-r2hc-pad.c -2 +2
    M ./reodft/rodft00e-r2hc.c -2 +2
    M ./simd/altivec.c -2 +2
    M ./simd/nonportable/sse.c -2 +2
    M ./simd/nonportable/sse2.c -2 +2
    M ./simd/simd-altivec.h -2 +2
    M ./simd/simd-sse.h -2 +2
    M ./simd/simd-sse2.h -2 +2
    M ./simd/simd.h -2 +2
    M ./simd/sse.c -2 +2
    M ./simd/sse2.c -2 +2
    M ./simd/taint.c -2 +2
    M ./simd/x86-cpuid.h -2 +2
    M ./simd-support/altivec.c -2 +2
    M ./simd-support/amd64-cpuid.h -2 +2
    M ./simd-support/avx.c -2 +2
    M ./simd-support/simd-altivec.h -2 +2
    M ./simd-support/simd-avx.h -2 +2
    M ./simd-support/simd-common.h -2 +2
    M ./simd-support/simd-sse2.h -2 +2
    M ./simd-support/sse2-nonportable.c -2 +2
    M ./simd-support/sse2.c -2 +2
    M ./simd-support/taint.c -2 +2
    M ./simd-support/x86-cpuid.h -2 +2
    M ./threads/api.c -2 +2
    M ./threads/conf.c -2 +2
    M ./threads/ct.c -2 +2
    M ./threads/dft-vrank-geq1.c -2 +2
    M ./threads/f77api.c -2 +2
    M ./threads/f77funcs.h -2 +2
    M ./threads/hc2hc.c -2 +2
    M ./threads/openmp.c -2 +2
    M ./threads/rdft-vrank-geq1.c -2 +2
    M ./threads/threads.c -2 +2
    M ./threads/threads.h -2 +2
    M ./threads/vrank-geq1-rdft2.c -2 +2
    M ./tools/fftw-wisdom-to-conf.1 -4 +4
    M ./tools/fftw-wisdom-to-conf.in -2 +2
    M ./tools/fftw-wisdom.c -2 +2
    M ./tools/fftw_wisdom.1.in -4 +4

Sat Jun 25 21:33:13 EDT 2011  stevenj@fftw.org
  * updated NEWS

    M ./NEWS -4 +53

Sat Jun 25 20:29:55 EDT 2011  stevenj@fftw.org
  * fixes to Fortran interface and docs

    M ./api/genf03.pl -12 +22
    M ./doc/modern-fortran.texi -5 +14
    M ./doc/mpi.texi -13 +16

Sat Jun 25 17:43:31 EDT 2011  stevenj@fftw.org
  * initial stab at MPI Fortran docs

    M ./doc/mpi.texi +138

Sat Jun 25 16:43:31 EDT 2011  stevenj@fftw.org
  * correct description of what MPI standard says about I/O (I can't believe this crap)

    M ./doc/mpi.texi -11 +21

Sat Jun 25 15:14:07 EDT 2011  stevenj@fftw.org
  * more MPI documentation; mention `fftw_alloc' functions earlier in the manual

    M ./doc/fftw3.texi +12
    M ./doc/mpi.texi -30 +158
    M ./doc/other.texi +9
    M ./doc/tutorial.texi -11 +14

Sat Jun 25 13:40:19 EDT 2011  stevenj@fftw.org
  * clarification about --enable-sse2

    M ./doc/install.texi -6 +8

Sat Jun 25 13:31:25 EDT 2011  athena@fftw.org
  * Update mingw build scripts for fftw-3.3

    M ./kernel/kalloc.c -2 +2
    M ./support/BUILD-MINGW32.sh -3 +3
    M ./support/BUILD-MINGW64.sh -4 +4

Sat Jun 25 08:52:13 EDT 2011  athena@fftw.org
  * Fix typo: EXTRADIST => EXTRA_DIST

    M ./mpi/Makefile.am -1 +1

Fri Jun 24 23:52:19 EDT 2011  stevenj@fftw.org
  * finished draft "modern fortran" chapter

    M ./doc/modern-fortran.texi -9 +91

Fri Jun 24 20:47:49 EDT 2011  stevenj@fftw.org
  * include FFTW_EXTERN prototypes for wrappers, so that they are properly exported to DLLs on Windows (sigh)

    M ./mpi/f03-wrap.sh +4

Fri Jun 24 16:52:30 EDT 2011  athena@fftw.org
  * use malloc() instead of alloca() for large buffers
  
  The proximate cause for this patch is that OpenBSD/i386 reserves 256KB
  stack size per thread.  We were allocating a buffer of size
  128*130*sizeof(fftw_complex) that exceeds the stack.
  
  While 128*130*sizeof(fftw_complex) = 260KiB is the worst case for
  normal configurations, it is a good idea to limit stack allocation
  just in case.  Also, the generic solver might in principle generate
  unbounded buffers, even though it is normally disabled for n > 137.
  
  So, as an added precaution, we now never stack-allocate buffers larger
  than 64KiB, which ought to be enough for anybody.
  

    M ./dft/dftw-direct.c -2 +3
    M ./dft/direct.c -2 +3
    M ./dft/generic.c -2 +3
    M ./kernel/ifftw.h -7 +31
    M ./rdft/ct-hc2c-direct.c -2 +3
    M ./rdft/direct-r2c.c -2 +3
    M ./rdft/generic.c -4 +6
    M ./rdft/hc2hc-direct.c -2 +3

Fri Jun 24 16:32:30 EDT 2011  stevenj@fftw.org
  * don't imply that AVX is available on Pentium III; note that MIPS Paired Single is currently only in FFTW 3.2.x

    M ./doc/install.texi -3 +2
    M ./doc/other.texi -3 +4

Fri Jun 24 16:05:27 EDT 2011  stevenj@fftw.org
  * silence annoying gfortran warnings

    M ./api/genf03.pl -1 +6
    M ./configure.ac +14
    M ./mpi/Makefile.am -3 +6

Fri Jun 24 14:59:30 EDT 2011  stevenj@fftw.org
  * a couple MPI Fortran 2003 fixes; changed MPI flags to not use 1<<31 since Fortran (not having unsigned integers) does not allow us to declare that constant in a portable way

    M ./mpi/api.c -1 +1
    M ./mpi/f03api.sh -2 +2
    M ./mpi/fftw3-mpi.h -4 +4

Fri Jun 24 15:05:05 EDT 2011  athena@fftw.org
  * Fix libtool shared version info.
  
  FFTW-3.3.x should be a direct drop-in replacement for all FFTW-3.x.y
  versions.
  

    M ./configure.ac -1 +4

Fri Jun 24 14:38:47 EDT 2011  stevenj@fftw.org
  * add MPI Fortran API and wrappers

    M ./api/Makefile.am -2 +3
    M ./api/f03api.sh -3 +5
    M ./api/genf03.pl -2 +14
    M ./mpi/Makefile.am -3 +14
    R ./mpi/README
    A ./mpi/f03-wrap.sh
    A ./mpi/f03api.sh
    M ./mpi/fftw3-mpi.h -4 +4
    A ./mpi/genf03-wrap.pl

Fri Jun 24 14:51:12 EDT 2011  athena@fftw.org
  * Do not require fig2dev on the user's machine
  
  Distribute the manual's figures in PDF/PS/PNG form instead.

    M ./doc/Makefile.am -10 +16

Fri Jun 24 11:52:44 EDT 2011  athena@fftw.org
  * Remove --enable-portable-binary, --with-gcc-arch from documentation.

    M ./NEWS +3
    M ./doc/install.texi -23 +2

Fri Jun 24 11:48:48 EDT 2011  athena@fftw.org
  * Forget about specifying nonportable CFLAGS.  Let the user do it if he wants.

    M ./m4/Makefile.am -4 +3
    M ./m4/ax_cc_maxopt.m4 -24 +10
    R ./m4/ax_gcc_archflag.m4
    R ./m4/ax_gcc_x86_cpuid.m4

Fri Jun 24 11:48:25 EDT 2011  athena@fftw.org
  * Add "-avx" to version string when appropriate.

    M ./api/version.c +4

Fri Jun 24 10:26:38 EDT 2011  athena@fftw.org
  * change 3.3-alpha => 3.3-beta1

    M ./configure.ac -1 +1

Fri Jun 24 09:25:49 EDT 2011  athena@fftw.org
  * Extend OUR_MALLOC16 to larger alignments
  
  Make it work for 32-byte alignment and beyond, as needed by AVX.
  Rename --with-our-malloc16 to --with-our-malloc.  Keep old --with-our-malloc16
  flag for compatibility.
  

    M ./configure.ac -3 +4
    M ./kernel/kalloc.c -9 +10

Fri Jun 24 09:19:38 EDT 2011  athena@fftw.org
  * Fix typo

    M ./doc/install.texi -1 +1

Fri Jun 24 09:10:26 EDT 2011  athena@fftw.org
  * One pass over the manual.

    M ./NEWS -1 +6
    M ./doc/Makefile.am -5 +2
    M ./doc/install.texi -16 +10
    M ./doc/intro.texi -1 +1
    M ./doc/other.texi -2 +2
    M ./doc/reference.texi -5 +5
    M ./doc/tutorial.texi -32 +32

Fri Jun 24 08:19:03 EDT 2011  athena@fftw.org
  * eliminate the WITH_ALIGNED_STACK hack
  
  This is 2011 and I have no system with incorrect stack alignment.
  

    M ./TODO -2
    M ./api/apiplan.c -9 +4
    M ./api/execute-dft-c2r.c -2 +2
    M ./api/execute-dft-r2c.c -2 +2
    M ./api/execute-dft.c -2 +2
    M ./api/execute-r2r.c -2 +2
    M ./api/execute-split-dft-c2r.c -2 +2
    M ./api/execute-split-dft-r2c.c -2 +2
    M ./api/execute-split-dft.c -2 +2
    M ./api/execute.c -2 +2
    M ./api/f77funcs.h -16 +16
    M ./doc/Makefile.am -2 +2
    M ./doc/fftw3.texi -1 +1
    M ./doc/intro.texi -3 +4
    M ./doc/legacy-fortran.texi -1 +1
    M ./doc/other.texi -51 +4
    M ./doc/reference.texi -1 +1
    M ./doc/tutorial.texi -9 +5
    M ./kernel/ifftw.h -51
    M ./threads/ct.c -2 +2
    M ./threads/dft-vrank-geq1.c -2 +2
    M ./threads/hc2hc.c -2 +2
    M ./threads/rdft-vrank-geq1.c -2 +2
    M ./threads/vrank-geq1-rdft2.c -2 +2

Fri Jun 24 07:49:47 EDT 2011  athena@fftw.org
  * enable both threaded and unthreaded wisdom in tools/fftw-wisdom

    M ./TODO -7 +2
    M ./tools/fftw-wisdom.c -18 +14

Fri Jun 24 02:40:04 EDT 2011  stevenj@fftw.org
  * clarification

    M ./doc/modern-fortran.texi -2 +2

Fri Jun 24 02:24:01 EDT 2011  stevenj@fftw.org
  * check for error code in example

    M ./doc/modern-fortran.texi +2

Fri Jun 24 02:22:18 EDT 2011  stevenj@fftw.org
  * cleanup - since NATIVE_MALLOC is always malloc, delete this #define

    M ./api/export-wisdom-to-string.c -1 +1
    M ./kernel/ifftw.h -2

Fri Jun 24 02:19:44 EDT 2011  stevenj@fftw.org
  * document wisdom string import/export in Fortran

    M ./doc/modern-fortran.texi +49

Fri Jun 24 02:11:40 EDT 2011  stevenj@fftw.org
  * bug fix - NATIVE_MALLOC should always be plain malloc, even in debug_malloc mode, because it is used in the API to return things that should be deallocated with free(); correspondingly, be sure to use free() ansd not X(free) with this

    M ./kernel/ifftw.h -1 +1
    M ./mpi/wisdom-api.c -1 +1

Fri Jun 24 01:35:27 EDT 2011  stevenj@fftw.org
  * declaration style

    M ./doc/modern-fortran.texi -2 +4

Fri Jun 24 01:25:36 EDT 2011  stevenj@fftw.org
  * document wisdom file export/import from Fortran; add export/import_to/from_filename functions for convenience 

    M ./api/export-wisdom-to-file.c +11
    M ./api/fftw3.h +2
    M ./api/import-wisdom-from-file.c +10
    M ./doc/modern-fortran.texi -9 +79
    M ./doc/other.texi -5 +6
    M ./doc/reference.texi -11 +22

Thu Jun 23 19:19:43 EDT 2011  stevenj@fftw.org
  * more fortran docs

    M ./doc/legacy-fortran.texi -5 +6
    M ./doc/modern-fortran.texi -10 +167
    M ./doc/reference.texi +2

Thu Jun 23 17:50:30 EDT 2011  stevenj@fftw.org
  * enforce 132-character line-length limit that is the default in Fortran

    M ./api/genf03.pl -3 +26

Wed Jun 22 23:27:31 EDT 2011  stevenj@fftw.org
  * the F03 standard is ambiguous about whether types can be assigned to wider types as formal parameters with VALUE attributes, and e.g. gfortran interprets it to disallow this code

    M ./doc/modern-fortran.texi -2 +4

Thu Jun 23 18:12:10 EDT 2011  athena@fftw.org
  * Add md5 hash of fftw's configuration to wisdom file
  
  People were already confused by threaded vs unthreaded wisdom, and now
  things will be even worse because we enable/disable AVX codelets at
  runtime.  Accept incoming wisdom only if it was produced by the same
  configuration (modulo MD5).

    M ./kernel/planner.c -2 +33

Thu Jun 23 09:01:27 EDT 2011  athena@fftw.org
  * distribute fftw3.f03.in

    M ./api/Makefile.am -1 +1

Wed Jun 22 22:02:18 EDT 2011  stevenj@fftw.org
  * more Fortran documentation

    M ./doc/modern-fortran.texi -1 +95

Wed Jun 22 20:10:39 EDT 2011  stevenj@fftw.org
  * correct comment

    M ./api/genf03.pl -1 +2

Wed Jun 22 20:26:18 EDT 2011  athena@fftw.org
  * Use "sh FOO.sh" instead of "./FOO.sh" to avoid chmod +x.

    M ./api/Makefile.am -1 +1

Wed Jun 22 19:19:05 EDT 2011  stevenj@fftw.org
  * document fftw_alloc_real/complex ... should we switch to using these in the tutorial examples?

    M ./doc/reference.texi +19

Wed Jun 22 19:07:49 EDT 2011  stevenj@fftw.org
  * whoops, added missing file

    A ./api/genf03.pl

Wed Jun 22 18:46:01 EDT 2011  athena@fftw.org
  * Note addition of AVX.

    M ./NEWS +2

Wed Jun 22 18:43:43 EDT 2011  athena@fftw.org
  * In SSE2, AVX: use FMA macros when applicable.
  
  Makes it easier to play with fma4 and fma3 when it comes out.

    M ./simd-support/simd-avx.h -21 +21
    M ./simd-support/simd-sse2.h -19 +19

Wed Jun 22 18:16:45 EDT 2011  stevenj@fftw.org
  * all modern Fortran compilers can call FFTW's C interfface directly -- support this, and in particular generate a Fortran 2003 interface file from fftw3.h so that Fortran code calling FFTW can be typechecked ((addressing the source of a lot of Fortran-user problems)

     ./doc/fortran.texi -> ./doc/legacy-fortran.texi
    M ./api/Makefile.am -3 +12
    A ./api/f03api.sh
    M ./api/fftw3.h -3 +11
    M ./api/malloc.c +18
    M ./configure.ac +12
    M ./doc/Makefile.am -1 +1
    M ./doc/fftw3.texi -2 +4
    M ./doc/install.texi -2 +2
    M ./doc/intro.texi -5 +6
    M ./doc/legacy-fortran.texi -23 +38
    A ./doc/modern-fortran.texi
    M ./doc/mpi.texi -1 +1
    M ./doc/other.texi -2 +4
    M ./doc/upgrading.texi -1 +1

Wed Jun 22 13:10:02 EDT 2011  athena@fftw.org
  * some cleanup of SSE2 macros

    M ./simd-support/simd-sse2.h -27 +16

Wed Jun 22 07:38:18 EDT 2011  athena@fftw.org
  * don't use -xHost on ICC
  
  -xHost with ICC is problematic.  On icc-12.0.0, "-mavx -xHost"
  overrides -mavx with -xHost, generating SSE2 code instead of AVX code.
  ICC does not seem to support -mtune=host or equivalent non-ABI
  changing flag.
  

    M ./m4/ax_cc_maxopt.m4 -31 +5

Tue Jun 21 20:35:36 EDT 2011  athena@fftw.org
  * Complete AVX implementation for split codelets

    M ./configure.ac -36 +38
    M ./simd-support/simd-avx.h -41 +26

Tue Jun 21 19:37:14 EDT 2011  stevenj@fftw.org
  * whoops, missing altivec conf patches

    M ./dft/codelet-dft.h +1
    M ./dft/conf.c +4
    M ./rdft/codelet-rdft.h +1
    M ./rdft/conf.c +4

Tue Jun 21 19:12:45 EDT 2011  stevenj@fftw.org
  * some BSD ar versions (e.g. on MacOS X) give an error if there are no object files, so we cannot build empty libraries

    M ./dft/simd/altivec/Makefile.am -4 +3
    M ./dft/simd/avx/Makefile.am -3 +4
    M ./dft/simd/sse2/Makefile.am -4 +3
    M ./rdft/simd/altivec/Makefile.am -4 +3
    M ./rdft/simd/avx/Makefile.am -3 +4
    M ./rdft/simd/sse2/Makefile.am -3 +4

Tue Jun 21 19:12:12 EDT 2011  stevenj@fftw.org
  * re-insertion of Altivec code

    M ./Makefile.am -1 +6
    M ./configure.ac -8 +13
    M ./dft/simd/Makefile.am -1 +1
    A ./dft/simd/altivec/
    A ./dft/simd/altivec/Makefile.am
    M ./kernel/ifftw.h -2 +9
    M ./rdft/simd/Makefile.am -1 +1
    A ./rdft/simd/altivec/
    A ./rdft/simd/altivec/Makefile.am
    M ./simd-support/Makefile.am -1 +1
    A ./simd-support/altivec.c
    A ./simd-support/simd-altivec.h
    M ./simd-support/simd-common.h +3

Tue Jun 21 16:26:09 EDT 2011  athena@fftw.org
  * Implement faster AVX loads/stores.

    M ./simd-support/simd-avx.h -21 +28

Tue Jun 21 16:03:24 EDT 2011  athena@fftw.org
  * Initial AVX256/single implementation
  
  This should be correct but slow.  I need to figure out how to implement
  noncontiguous loads/stores efficiently.

    M ./simd-support/simd-avx.h -53 +133

Tue Jun 21 14:13:57 EDT 2011  athena@fftw.org
  * fix AVX alignment

    M ./simd-support/simd-common.h -6 +8

Tue Jun 21 14:07:28 EDT 2011  athena@fftw.org
  * rename avx256d -> avx
  
  AVX will work in both double and single precision, like SSE2.

     ./dft/simd/avx256d -> ./dft/simd/avx
     ./rdft/simd/avx256d -> ./rdft/simd/avx
     ./simd-support/avx256d.c -> ./simd-support/avx.c
     ./simd-support/simd-avx256d.h -> ./simd-support/simd-avx.h
    M ./Makefile.am -4 +4
    M ./configure.ac -11 +6
    M ./dft/codelet-dft.h -1 +1
    M ./dft/conf.c -3 +3
    M ./dft/simd/Makefile.am -1 +1
    M ./dft/simd/avx/Makefile.am -4 +4
    M ./kernel/ifftw.h -2 +2
    M ./rdft/codelet-rdft.h -1 +1
    M ./rdft/conf.c -3 +3
    M ./rdft/simd/Makefile.am -1 +1
    M ./rdft/simd/avx/Makefile.am -4 +4
    M ./simd-support/Makefile.am -1 +1
    M ./simd-support/avx.c -3 +3
    M ./simd-support/simd-avx.h -2 +2

Tue Jun 21 13:52:20 EDT 2011  athena@fftw.org
  * remove CODELET_OPTIM
  
  In the old 32-bit gcc-3.x days we used to play games with gcc to force
  it to produce decent code.  Now gcc has gotten smarter and it produces
  indecent code no matter what we do, so it is safe to remove these hacks.
  

    M ./api/version.c -5 +5
    M ./configure.ac -40
    M ./support/Makefile.codelets -6

Tue Jun 21 09:57:31 EDT 2011  athena@fftw.org
  * work around gcc/icc quirks

    M ./simd-support/simd-avx256d.h -14 +45

Tue Jun 21 09:56:07 EDT 2011  athena@fftw.org
  * Add remarks in places where we work around gcc quirks

    M ./simd-support/simd-sse2.h -7 +16

Mon Jun 20 21:17:59 EDT 2011  stevenj@fftw.org
  * remove the libbench directory (which we have kept lingering in the repository for years due to CVS's inability to remove directories)

    R ./libbench/Makefile.am
    R ./libbench/accopy-from.c
    R ./libbench/accopy-to.c
    R ./libbench/acopy.c
    R ./libbench/allocate.c
    R ./libbench/ascale.c
    R ./libbench/aset.c
    R ./libbench/bench-main.c
    R ./libbench/bench-user.h
    R ./libbench/bench.h
    R ./libbench/caadd.c
    R ./libbench/cacopy.c
    R ./libbench/can-do.c
    R ./libbench/cascale.c
    R ./libbench/caset.c
    R ./libbench/casub.c
    R ./libbench/ccopy-from.c
    R ./libbench/ccopy-to.c
    R ./libbench/copy-c2c-from.c
    R ./libbench/copy-c2c-to.c
    R ./libbench/copy-c2h-1d-fftpack.c
    R ./libbench/copy-c2h-1d-halfcomplex.c
    R ./libbench/copy-c2h-1d-packed.c
    R ./libbench/copy-c2h-1d-unpacked-ri.c
    R ./libbench/copy-c2h-unpacked.c
    R ./libbench/copy-c2h.c
    R ./libbench/copy-c2r-packed.c
    R ./libbench/copy-c2r-unpacked.c
    R ./libbench/copy-c2r.c
    R ./libbench/copy-c2ri.c
    R ./libbench/copy-h2c-1d-fftpack.c
    R ./libbench/copy-h2c-1d-halfcomplex.c
    R ./libbench/copy-h2c-1d-packed.c
    R ./libbench/copy-h2c-1d-unpacked-ri.c
    R ./libbench/copy-h2c-unpacked.c
    R ./libbench/copy-h2c.c
    R ./libbench/copy-r2c-packed.c
    R ./libbench/copy-r2c-unpacked.c
    R ./libbench/copy-r2c.c
    R ./libbench/copy-ri2c.c
    R ./libbench/deallocate.c
    R ./libbench/getopt-utils.c
    R ./libbench/getopt.c
    R ./libbench/getopt.h
    R ./libbench/getopt1.c
    R ./libbench/info.c
    R ./libbench/log2.c
    R ./libbench/main.c
    R ./libbench/mflops.c
    R ./libbench/mp.c
    R ./libbench/ovtpvt.c
    R ./libbench/pow2.c
    R ./libbench/prime.c
    R ./libbench/problem.c
    R ./libbench/report.c
    R ./libbench/speed.c
    R ./libbench/timer.c
    R ./libbench/unnormalize.c
    R ./libbench/util.c
    R ./libbench/verify.c
    R ./libbench/zero.c
    R ./libbench/

Mon Jun 20 21:17:14 EDT 2011  stevenj@fftw.org
  * update URLs

    M ./doc/install.texi -2 +2
    M ./doc/intro.texi -1 +1
    M ./doc/license.texi -1 +1
    M ./doc/mpi.texi -1 +1
    M ./doc/other.texi -1 +1

Mon Jun 20 20:53:31 EDT 2011  stevenj@fftw.org
  * whoops, forgot to check in alignment change

    M ./simd-support/simd-common.h -3 +6

Mon Jun 20 20:22:23 EDT 2011  athena@fftw.org
  * "test X = Y" requires spaces around "="

    M ./configure.ac -1 +1

Mon Jun 20 19:18:52 EDT 2011  stevenj@fftw.org
  * indenting

    M ./simd-support/simd-sse2.h -3 +3

Mon Jun 20 18:57:10 EDT 2011  stevenj@fftw.org
  * merge back in SSE support, now combined with SSE2; --enable-sse2 now works in both single and double precision, and simd-sse2.h contains both the double- and single-precision code (which overlap a lot); in single precision it is still compiled for SSE-only (SSE2 is only required for double)

    M ./configure.ac -16 +9
    M ./simd-support/simd-sse2.h -54 +181
    M ./simd-support/sse2-nonportable.c -2 +6
    M ./simd-support/sse2.c -4 +11

Mon Jun 20 16:02:07 EDT 2011  athena@fftw.org
  * Implement AVX autodetection (gcc-only so far)

    M ./simd-support/Makefile.am -1 +1
    A ./simd-support/amd64-cpuid.h
    M ./simd-support/avx256d.c -2 +32
    M ./simd-support/x86-cpuid.h +33

Mon Jun 20 14:25:54 EDT 2011  athena@fftw.org
  * Add VZEROUPPER at the end of AVX codelets
  
  If the Intel Optimization Manual is to be believed, we need to wave a
  dead chicken before transitioning from AVX code to SSE code.  I am
  supposed to believe that there is a transition penalty for doing so,
  unless one uses a magic VZEROUPPER instruction that apparently has
  zero cost.  Whatever.
  

    M ./genfft/c.ml +2
    M ./genfft/c.mli +1
    M ./genfft/gen_hc2c.ml -1 +1
    M ./genfft/gen_hc2cdft.ml -1 +1
    M ./genfft/gen_hc2cdft_c.ml -1 +1
    M ./genfft/gen_hc2hc.ml -1 +1
    M ./genfft/gen_mdct.ml -1 +1
    M ./genfft/gen_notw.ml -1 +1
    M ./genfft/gen_notw_c.ml -1 +1
    M ./genfft/gen_r2cb.ml -1 +1
    M ./genfft/gen_r2cf.ml -1 +1
    M ./genfft/gen_r2r.ml -1 +1
    M ./genfft/gen_twiddle.ml -1 +1
    M ./genfft/gen_twiddle_c.ml -1 +1
    M ./genfft/gen_twidsq.ml -1 +1
    M ./genfft/gen_twidsq_c.ml -1 +1
    M ./genfft/genutil.ml -2 +2
    M ./genfft/simd.ml +1
    M ./simd-support/simd-avx256d.h +5
    M ./simd-support/simd-sse2.h +2

Mon Jun 20 10:21:25 EDT 2011  athena@fftw.org
  * Move RDFT to new simd scheme

    A ./rdft/simd/avx256d/
    R ./rdft/simd/codelets/Makefile.am
    R ./rdft/simd/codelets/
    A ./rdft/simd/common/
    A ./rdft/simd/sse2/
    M ./Makefile.am -2 +4
    M ./configure.ac +4
    M ./dft/simd/Makefile.am -1 +1
    M ./genfft/gen_hc2cdft_c.ml -2 +2
    M ./kernel/ifftw.h +1
    M ./rdft/Makefile.am -1 +1
    M ./rdft/codelet-rdft.h -1 +2
    M ./rdft/conf.c -2 +7
    M ./rdft/simd/Makefile.am -6 +2
    A ./rdft/simd/avx256d/Makefile.am
    A ./rdft/simd/codlist.mk
    A ./rdft/simd/common/Makefile.am
    A ./rdft/simd/common/genus.c
    R ./rdft/simd/hc2cbv.c
    M ./rdft/simd/hc2cbv.h -2 +2
    R ./rdft/simd/hc2cfv.c
    M ./rdft/simd/hc2cfv.h -2 +2
    A ./rdft/simd/simd.mk
    A ./rdft/simd/sse2/Makefile.am

Mon Jun 20 09:23:38 EDT 2011  athena@fftw.org
  * New SIMD build system
  
  We now support multiple SIMD extensions in the same binary, e.g.
  --enable-sse2 --enable-avx.  This patch adds the necessary
  infrastructure for SSE2/AVX and complex DFT.  Later patches will add
  RDFT and SSE/ALTIVEC/etc.
  

    A ./dft/simd/avx256d/
    A ./simd-support/
    R ./dft/simd/codelets/Makefile.am
    R ./dft/simd/codelets/
    A ./dft/simd/common/
    A ./dft/simd/sse2/
    M ./Makefile.am -11 +13
    M ./configure.ac -47 +74
    M ./dft/codelet-dft.h -4 +2
    M ./dft/conf.c -2 +7
    M ./dft/scalar/codelets/Makefile.am -1 +1
    M ./dft/simd/Makefile.am -6 +3
    A ./dft/simd/avx256d/Makefile.am
    A ./dft/simd/codlist.mk
    A ./dft/simd/common/Makefile.am
    A ./dft/simd/common/genus.c
    R ./dft/simd/n1b.c
    M ./dft/simd/n1b.h -2 +2
    R ./dft/simd/n1f.c
    M ./dft/simd/n1f.h -2 +2
    R ./dft/simd/n2b.c
    M ./dft/simd/n2b.h -2 +2
    R ./dft/simd/n2f.c
    M ./dft/simd/n2f.h -2 +2
    R ./dft/simd/n2s.c
    M ./dft/simd/n2s.h -2 +2
    R ./dft/simd/q1b.c
    M ./dft/simd/q1b.h -2 +2
    R ./dft/simd/q1f.c
    M ./dft/simd/q1f.h -2 +2
    A ./dft/simd/simd.mk
    A ./dft/simd/sse2/Makefile.am
    R ./dft/simd/t.c
    M ./dft/simd/t1b.h -2 +2
    M ./dft/simd/t1bu.h -2 +2
    M ./dft/simd/t1f.h -2 +2
    M ./dft/simd/t1fu.h -2 +2
    M ./dft/simd/t2b.h -2 +2
    M ./dft/simd/t2f.h -2 +2
    M ./dft/simd/t3b.h -2 +2
    M ./dft/simd/t3f.h -2 +2
    R ./dft/simd/ts.c
    M ./dft/simd/ts.h -2 +2
    M ./genfft/gen_twiddle.ml -2 +2
    M ./genfft/genutil.ml -2 +5
    M ./kernel/ifftw.h -2 +6
    M ./rdft/Makefile.am -1 +1
    M ./rdft/conf.c -1 +1
    M ./rdft/scalar/r2cb/Makefile.am +1
    M ./rdft/scalar/r2cf/Makefile.am +1
    M ./rdft/scalar/r2r/Makefile.am +1
    A ./simd-support/Makefile.am
    A ./simd-support/avx256d.c
    A ./simd-support/simd-avx256d.h
    A ./simd-support/simd-common.h
    A ./simd-support/simd-sse2.h
    A ./simd-support/sse2-nonportable.c
    A ./simd-support/sse2.c
    A ./simd-support/taint.c
    A ./simd-support/x86-cpuid.h
    M ./support/Makefile.codelets -21 +22

Sun Jun 19 12:29:27 EDT 2011  stevenj@fftw.org
  * italicize Latin quote

    M ./doc/reference.texi -2 +2

Sun Jun 19 12:26:34 EDT 2011  stevenj@fftw.org
  * work around incredibly annoying makeinfo bug -- for HTML output, in any paragraph ending with an @index command, two blank lines are needed to create a paragraph break  ... our HTML output has apparently been screwed up for years

    M ./doc/acknowledgements.texi +2
    M ./doc/fortran.texi +1
    M ./doc/install.texi +2
    M ./doc/intro.texi +1
    M ./doc/mpi.texi +20
    M ./doc/other.texi +2
    M ./doc/reference.texi +21
    M ./doc/threads.texi +2
    M ./doc/tutorial.texi +13

Sun Jun 19 12:01:39 EDT 2011  stevenj@fftw.org
  * conjugate-pair algorithm turns out not to be due to djb, but it was pointed out to us by djb

    M ./doc/intro.texi -3 +4

Sun Jun 19 11:59:21 EDT 2011  stevenj@fftw.org
  * new-array execute functions are *not* the same for MPI, since the problems are different

    M ./doc/mpi.texi -2 +3

Sun Jun 19 11:57:52 EDT 2011  stevenj@fftw.org
  * tweaks to MPI manual

    M ./doc/mpi.texi -19 +44
    M ./doc/reference.texi -1 +1

Sun Jun 19 00:47:23 EDT 2011  stevenj@fftw.org
  * only call MPI_Init_thread for MPI version >= 2

    M ./mpi/mpi-bench.c +5

Sun Jun 19 00:35:44 EDT 2011  stevenj@fftw.org
  * document quad precision in Fortran

    M ./doc/fortran.texi -9 +12

Sun Jun 19 00:16:10 EDT 2011  stevenj@fftw.org
  * use -lquadmath for quad-precision library in pkgconfig file

    M ./configure.ac +2
    M ./fftw.pc.in -1 +1

Sun Jun 19 00:10:33 EDT 2011  stevenj@fftw.org
  * document quad precision

    M ./doc/install.texi -1 +11
    M ./doc/reference.texi +8

Sat Jun 18 21:26:24 EDT 2011  stevenj@fftw.org
  * there is currently no standard quad-precision type in MPI, so don't allow MPI support to be compiled with --enable-quad-precision

    M ./configure.ac +3
    M ./mpi/ifftw-mpi.h +2
    M ./mpi/mpi-bench.c +2

Sat Jun 18 21:25:51 EDT 2011  stevenj@fftw.org
  * make quad-precision library libfftwq

    M ./configure.ac +1

Sat Jun 18 21:19:50 EDT 2011  stevenj@fftw.org
  * use --estimate in check script with --enable-random-estimator

    M ./configure.ac +2
    M ./mpi/Makefile.am -1 +1
    M ./tests/Makefile.am -5 +5

Sat Jun 18 20:36:51 EDT 2011  stevenj@fftw.org
  * bug fix - correct crashing interaction between threads and debug-malloc

    M ./threads/threads.c +4

Sat Jun 18 18:41:48 EDT 2011  stevenj@fftw.org
  * whoops, typo

    M ./doc/reference.texi -1 +1

Sat Jun 18 18:35:14 EDT 2011  stevenj@fftw.org
  * clarification of when fftw_cost may return 0

    M ./doc/reference.texi -2 +5

Sat Jun 18 18:31:26 EDT 2011  stevenj@fftw.org
  * corrected manual and test program for proper interaction of MPI and threads

    M ./doc/mpi.texi -20 +59
    M ./mpi/mpi-bench.c +13
    M ./tests/fftw-bench.c -4 +10
    M ./tests/fftw-bench.h +5

Sat Jun 18 17:13:52 EDT 2011  stevenj@fftw.org
  * need --mpi restriction in mpi+threads check

    M ./mpi/Makefile.am -1 +1

Sat Jun 18 12:09:04 EDT 2011  stevenj@fftw.org
  * split fftw3.texi into multiple files for ease of editing

    M ./doc/Makefile.am -2 +1
    A ./doc/acknowledgements.texi
    A ./doc/cindex.texi
    M ./doc/fftw3.texi -6158 +14
    A ./doc/findex.texi
    A ./doc/fortran.texi
    A ./doc/install.texi
    A ./doc/intro.texi
    A ./doc/license.texi
    A ./doc/mpi.texi
    A ./doc/other.texi
    A ./doc/reference.texi
    A ./doc/threads.texi
    A ./doc/tutorial.texi
    A ./doc/upgrading.texi

Fri Jun 17 17:26:50 EDT 2011  stevenj@fftw.org
  * merge recent Cell deletion with MPI branch

    M ./Makefile.am -3 +2
    M ./NEWS +40
    M ./configure.ac -1 +1
    M ./doc/fftw3.texi -95 +909

Fri Jun 17 01:52:59 EDT 2011  stevenj@fftw.org
  * whoops, incorrect assertion

    M ./mpi/transpose-problem.c -2 +2

Fri Jun 17 01:52:51 EDT 2011  stevenj@fftw.org
  * comment fix

    M ./mpi/block.c -2 +2

Thu Jun 16 23:30:27 EDT 2011  stevenj@fftw.org
  * check if pln creation failed (e.g. for split input) bbefore calling setup_gather_scatter, to prevent crashes

    M ./mpi/mpi-bench.c -1 +1

Thu Jun 16 23:26:48 EDT 2011  stevenj@fftw.org
  * bug fix -- transpose-recurse is only applicable if subtransposes fit in the same space (unless I change the allocation routine, but this would seem to require looking at all possible recursive invocations of transpose-recurse)

    M ./mpi/transpose-recurse.c +28

Mon Apr 11 17:58:03 EDT 2011  stevenj@fftw.org
  * yikes, any_true check on subplan creation should be in comm, not comm2, so that all processes know if failure occurred

    M ./mpi/transpose-recurse.c -6 +4

Mon Apr 11 17:00:46 EDT 2011  stevenj@fftw.org
  * add wisdom_ok_hook to enforce wisdom synchronization on MPI problems, apparently fixing a longstanding deadlock/crash bug

    M ./kernel/ifftw.h +1
    M ./kernel/planner.c +7
    M ./mpi/api.c -13 +61

Mon Apr 11 15:10:22 EDT 2011  stevenj@fftw.org
  * add a check (in DEBUG mode only) that all processes produce the same hash of MPI problems; don't include alignment in MPI problem hash because it may differ between processes for unaligned malloc

    M ./mpi/any-true.c +21
    M ./mpi/dft-problem.c -2 +6
    M ./mpi/ifftw-mpi.h +1
    M ./mpi/rdft-problem.c -2 +6
    M ./mpi/rdft2-problem.c -2 +6
    M ./mpi/transpose-problem.c -2 +6

Fri Apr  8 18:46:54 EDT 2011  stevenj@fftw.org
  * use cost_hook in random_estimate

    M ./kernel/planner.c -1 +1

Sun Mar  6 23:33:53 EST 2011  stevenj@fftw.org
  * added mpi new-array execute functions; thanks to Guo Luo for the bug report

    M ./mpi/api.c +23
    M ./mpi/fftw3-mpi.h -1 +6

Wed Feb  9 21:29:17 EST 2011  stevenj@fftw.org
  * MPI may not support tags > 2^15-1 (e.g. Cray MPI requires tags < 2^24); thanks to Jonathan Bentz for the bug report.

    M ./mpi/transpose-pairwise.c -4 +4

Wed Feb  2 12:21:30 EST 2011  stevenj@fftw.org
  * fix merge conflicts

    M! ./configure.ac -1 +1

Sat Nov 15 22:33:20 EST 2008  stevenj@fftw.org
  tagged fftw-3.3alpha1


Sat Nov 15 20:33:33 EST 2008  stevenj@fftw.org
  * version bump for 3.3alpha1

    M! ./NEWS -40
    M! ./configure.ac -2 +2

Sun Oct 26 22:47:07 EDT 2008  stevenj@fftw.org
  * re-added mpi/Makefile

    M ./configure.ac +2

Sat Oct 25 17:14:42 EDT 2008  stevenj@fftw.org
  * re-add MPI to dist

    M! ./Makefile.am -2 +3
    M! ./doc/fftw3.texi -9 +134

Sat Jun 18 08:50:13 EDT 2011  athena@fftw.org
  * remove obsolete Cell code

    M ./kernel/align.c -1 +1
    M ./kernel/ifftw.h -9 +2
    M ./rdft/rank0.c -83
    M ./simd/simd.h -6
    M ./simd/taint.c -1 +1
    M ./tests/fftw-bench.c -7

Fri Jun 17 23:31:33 EDT 2011  stevenj@fftw.org
  * bug fix in accuracy test, which prevented us from consiistently determining accuracy in > double precision

    M ./libbench2/mp.c -2 +2

Fri Jun 17 20:05:13 EDT 2011  athena@fftw.org
  * do not check for gcc version before checking for gcc

    M ./configure.ac -1 +1

Fri Jun 17 18:56:37 EDT 2011  stevenj@fftw.org
  * require gcc 4.6.0 or later for --enable-quad-precision, to match fftw3.h header file; no need to mark this as EXPERIMENTAL (make check passes, and support in gcc 4.6 seems reasonably complete)

    M ./configure.ac -1 +2

Fri Jun 17 18:51:41 EDT 2011  stevenj@fftw.org
  * need ugly __attribute__ to use __float128 with _Complex, ugh

    M ./api/fftw3.h +9

Fri Jun 17 18:23:05 EDT 2011  stevenj@fftw.org
  * --verify tolerance in quad precision changed to 1e-29

    M ./libbench2/bench-main.c -1 +1

Fri Jun 17 18:22:38 EDT 2011  stevenj@fftw.org
  * quad-precision F77 api should use "qfftw" prefix

    M ./api/x77.h +3

Fri Jun 17 18:22:27 EDT 2011  stevenj@fftw.org
  * rm extraneous space from fftw3.h

    M ./api/fftw3.h -1 +1

Fri Jun 17 18:05:10 EDT 2011  stevenj@fftw.org
  * use cosq etcetera with libquadmath in libbench2, so that --verify correctly gives ~33 decimal places in shift test

    M ./libbench2/verify.h -1 +4

Fri Jun 17 17:52:51 EDT 2011  stevenj@fftw.org
  * libquadmath ships with gcc 4.6.0, so we should require this library for sinq/cosq with --enable-quad-precision; also, include the __float128 FFTW functions in the header file for gcc >= 4.6 on i86/x86??_64/ia64

    M ./Makefile.am +5
    M ./api/fftw3.h -1 +6
    M ./configure.ac -1 +5
    M ./kernel/trig.c -13 +4

Fri Jun 17 16:54:01 EDT 2011  stevenj@fftw.org
  * typo in manual for fftw_cost

    M ./doc/fftw3.texi -1 +1

Fri Jun 17 16:48:24 EDT 2011  stevenj@fftw.org
  * fix fftw_cost function: pcost needs to be saved in mkapiplan, since the plan is re-created from wisdom

    M ./api/apiplan.c +5
    M ./tests/fftw-bench.c -2 +3

Fri Jun 17 16:42:25 EDT 2011  athena@fftw.org
  * removed support for the Cell Broadband Engine

    R ./cell/spu/Makefile.am
    R ./cell/spu/alloc.spuc
    R ./cell/spu/copy.spuc
    R ./cell/spu/dft.spuc
    R ./cell/spu/dma.spuc
    R ./cell/spu/execute.spuc
    R ./cell/spu/fftw-spu.h
    R ./cell/spu/main.spuc
    R ./cell/spu/planner.spuc
    R ./cell/spu/spu-double.h
    R ./cell/spu/spu-single.h
    R ./cell/spu/transpose.spuc
    R ./cell/spu/
    R ./cell/Makefile.am
    R ./cell/cell.c
    R ./cell/conf.c
    R ./cell/copy.c
    R ./cell/dft-direct-cell.c
    R ./cell/fftw-cell.h
    R ./cell/plans-double.c
    R ./cell/plans-single.c
    R ./cell/spufftw-embed.S
    R ./cell/transpose.c
    R ./cell/
    M ./AUTHORS -2 +3
    M ./Makefile.am -11 +5
    M ./NEWS +2
    R ./README.Cell
    M ./api/configure.c -3
    M ./configure.ac -18 +1
    M ./dft/dft.h -4
    M ./dft/rank-geq2.c -6
    M ./doc/fftw3.texi -128 +4

Tue May 24 06:51:07 EDT 2011  athena@fftw.org
  * Undo previous change; the typo was not a typo after all.

    M ./doc/fftw3.texi -1 +1

Mon May 23 05:08:05 EDT 2011  athena@fftw.org
  * Fix typo in manual

    M ./doc/fftw3.texi -1 +1

Sat May 21 17:37:50 EDT 2011  athena@fftw.org
  * clarify intent about canonicalization of tensor in tensor_compress_contiguous()

    M ./kernel/tensor7.c -1 +9

Sat May 21 17:30:31 EDT 2011  athena@fftw.org
  * avoid useless canonicalization in tensor_compress_contiguous()

    M ./kernel/tensor7.c -1 +1

Sat May 21 17:24:57 EDT 2011  athena@fftw.org
  * Fix tensor_compress_contiguous
  
  tensor_compress_contiguous() was supposed to sort dimensions by
  descending istride, and then compress adjacent dimensions.  This
  property was lost once we changed the canonical order of strides to be
  sorted by descending min{istride,ostride}.  
  
  Change tensor_compress_contiguous() to sort by descending istride
  again, which is necessary for its correctness, and then canonicalize
  at the end.
  

    M ./kernel/tensor7.c -20 +41

Sun May  8 18:47:26 EDT 2011  athena@fftw.org
  * Don't distribute obsolete .depend

    M ./genfft/Makefile.am -2 +2

Sun May  8 18:05:36 EDT 2011  athena@fftw.org
  * Use ocamlbuild for building genfft
  
  Remove the old Makefile cruft to support ocaml, and use ocamlbuild
  instead.

    M ./bootstrap.sh -2
    M ./configure.ac -10 +1
    M ./genfft/Makefile.am -151 +8
    M ./m4/Makefile.am -1 +1
    R ./m4/ocaml.m4
    M ./support/Makefile.codelets -13 +13

Sun May  8 18:03:07 EDT 2011  athena@fftw.org
  * Do not use __float128 unless BENCHFFT_QUAD is defined
  
  Otherwise, compilation fails on compilers that do not support
  __float128.
  

    M ./libbench2/bench-user.h +5

Fri Apr  8 13:15:54 EDT 2011  stevenj@fftw.org
  * fix configure --help string for --disable-alloca (since default is enabled)

    M ./configure.ac -1 +1

Fri Apr  8 13:09:56 EDT 2011  stevenj@fftw.org
  * add "random estimator" for debugging purposes; note  that this is best used with ESTIMATE_PATIENT mode

    M ./api/apiplan.c +4
    M ./configure.ac +5
    M ./kernel/ifftw.h +4
    M ./kernel/planner.c +27
    M ./tests/fftw-bench.c +7

Tue Apr  5 14:47:56 EDT 2011  stevenj@fftw.org
  * add AC_CHECK_DECLS for srand48; thanks to Ralf Wildenhues for the bug report

    M ./configure.ac -1 +1
    M ./libbench2/util.c +3

Sat Feb  5 17:00:40 EST 2011  stevenj@fftw.org
  * experimental support for gcc's __float128 quad-precision type

    M ./api/fftw3.h +3
    M ./configure.ac -2 +14
    M ./kernel/ifftw.h -2 +10
    M ./kernel/trig.c -1 +16
    M ./libbench2/bench-main.c +2
    M ./libbench2/bench-user.h +4
    M ./libbench2/info.c -1 +2
    M ./libbench2/verify.h +6
    M ./simd/simd-sse2.h -1 +1
    M ./tests/fftw-bench.h +2
    M ./tools/fftw-wisdom.c +2

Sun Oct 24 14:33:59 EDT 2010  athena@fftw.org
  * guarantee that "timelimit < 0" means "no timeout"
  "timelimit < 0" was always meant to be equivalent to
  "timelimit = HUGENUM", but this was not true in all cases,
  causing some obscure wisdom behavior.
  
  Thanks William Andrew Burnson for the bug report.
  

    M ./api/mapflags.c -1 +1

Sun Oct 24 14:32:20 EDT 2010  athena@fftw.org
  * compile with --enable-fma and SSE, SSE2
  Allow compilation with --enable-fma and --enable-sse, --enable-sse2.
  This is a bad idea performance-wise, but people will try anyway.

    M ./simd/simd-sse.h +5
    M ./simd/simd-sse2.h +5

Sun Jul 11 13:34:06 EDT 2010  athena@fftw.org
  * Make threads.c compiler with c++

    M ./threads/threads.c -1 +1

Sun Jul 11 10:05:05 EDT 2010  athena@fftw.org
  * Attempt at clarifying the advanced interface doc.

    M ./doc/fftw3.texi -72 +151

Sun Jul 11 07:37:27 EDT 2010  athena@fftw.org
  * rename rfftwnd html picture
  
  It turns out that texinfo with pdf output reads .png
  files in preference to .pdf files (when did this change?).
  I renamed the .png figure to avoid producing an ugly pdf file.

    M ./doc/Makefile.am -4 +4
    M ./doc/fftw3.texi +5

Tue Mar 30 19:43:22 EDT 2010  stevenj@fftw.org
  * added fftw_cost function; this is the second time people have asked for this, and there is a reasonable use for it in comparing e.g. oout-of-place vs. in-place plans

    M ./NEWS +4
    M ./api/f77funcs.h +10
    M ./api/fftw3.h +1
    M ./api/flops.c +5
    M ./doc/fftw3.texi +17

Tue Mar  2 18:55:49 EST 2010  stevenj@fftw.org
  * documented that --enable-debug-malloc causes fftw_execute to be thread-unsafe (thanks to Alexis Rohou for the problem report)

    M ./doc/fftw3.texi +8

Fri Jan 22 19:42:08 EST 2010  athena@fftw.org
  * Added FAQ about how to transpose matrices using FFTW.

    M ./doc/FAQ/fftw-faq.bfnn +33

Thu Jan  7 20:16:57 EST 2010  stevenj@fftw.org
  * catch FMS (instead of generating FMA(_,_,NEG(_)) with h -generic-arith option

    M ./genfft/c.ml +2

Fri Dec 11 07:01:26 EST 2009  athena@fftw.org
  * note future wisdom enhancements.

    M ./TODO +5

Mon Oct 19 20:21:05 EDT 2009  athena@fftw.org
  * Use SIMD flags when checking for xmmintrin.h
  
  This prevents an obnoxious warning from configure.

    M ./configure.ac -3 +3

Sat Aug 29 20:47:56 EDT 2009  athena@fftw.org
  * new bug

    M ./TODO +4

Sun Jul 26 00:40:11 EDT 2009  stevenj@fftw.org
  * typo (s/man1/many)

    M ./doc/fftw3.texi -1 +1

Tue Jul 14 14:19:08 EDT 2009  stevenj@fftw.org
  * BUILD-MINGW32 script, updated Windows README

    A ./support/BUILD-MINGW32.sh
    M ./support/BUILD-MINGW64.sh -4 +4

Mon Jul 13 09:40:38 EDT 2009  fftw@fftw.org
  * cleanup BUILD-MINGW64.sh

    M ./support/BUILD-MINGW64.sh -19 +27

Sun Jul 12 06:34:46 EDT 2009  athena@fftw.org
  * Update NEWS, version number for 3.2.2 release.

    M ./NEWS +3
    M ./configure.ac -2 +2

Sat Jul 11 22:28:38 EDT 2009  athena@fftw.org
  * Reintroduce the pruning heuristic in ESTIMATE mode for r2r problems.
  
  Somehow, we lost this feature between fftw-3.1.3 and fftw-3.2.

    M ./rdft/hc2hc-direct.c +3

Thu Jun 25 07:39:04 EDT 2009  athena@fftw.org
  * don't use pshared=1 in sem_init
  
  pshared is really not necessary, and it is not supported on
  GNU/kFreeBSD.  Thanks Petr Salinger for the bug report.

    M ./threads/threads.c -2 +2

Thu Jun 11 19:35:40 EDT 2009  fftw@fftw.org
  * Add mingw64 build file so that we can track it.

    A ./support/BUILD-MINGW64.sh

Wed Jun 10 12:10:58 EDT 2009  fftw@fftw.org
  * note 3.2.2 NEWS

    M ./NEWS +7

Wed Jun 10 12:04:54 EDT 2009  fftw@fftw.org
  * add --disable-alloca to configure
  
  It looks like alloca() is broken on mingw64, and thus
  we need to disable it explicitly.

    M ./configure.ac -1 +6
    M ./kernel/ifftw.h -1 +1

Sun Apr 26 16:33:10 EDT 2009  athena@fftw.org
  * Note in FAQ that --enable-k7 has been discontinued.

    M ./doc/FAQ/fftw-faq.bfnn -4 +7

Tue Mar 24 09:16:18 EDT 2009  athena@fftw.org
  * clarified small confusion in fftw_cleanup documentation

    M ./doc/fftw3.texi -2 +3

Thu Mar 19 13:18:06 EDT 2009  stevenj@fftw.org
  * fix documentation of dfftw_init_threads to indicate thaat it takes an argument (since the C version returns a value); thanks t Hans Johnnston for the bug report

    M ./doc/fftw3.texi -1 +5

Thu Mar 12 13:12:13 EDT 2009  fftw@fftw.org
  * if possible, use a 128-bit type for copy

    M ./configure.ac -1 +1
    M ./kernel/cpy2d.c -9 +38

Tue Mar 10 12:49:51 EDT 2009  fftw@fftw.org
  * add size-128 simd codelets
  
  It's about time

    M ./dft/simd/codelets/Makefile.am -2 +2

Mon Mar  9 20:29:16 EDT 2009  athena@fftw.org
  * copy two floats as a double when possible
  
  Resurrect the old hack of copying two floats as a double,
  which makes some difference in these days of 64 bit boxes.
  

    M ./kernel/cpy2d.c -16 +34

Sun Mar  8 18:08:04 EDT 2009  athena@fftw.org
  * fixed (harmless) confusion of strides
  
  RS and VS were swapped in dftw-direct.c.  This is a bug, but
  it is harmless unless one uses fixed-stride codelets, which we
  do not.

    M ./dft/dftw-direct.c -7 +7

Sun Mar  8 10:29:49 EDT 2009  athena@fftw.org
  * oops, I checked in debug code accidentally.

    M ./kernel/ct.c -1

Sat Feb 14 19:01:00 EST 2009  athena@fftw.org
  * Change TLO email address since Magdalen is no longer there.

    M ./commercialize.sh -1 +1

Sat Feb 14 18:18:45 EST 2009  stevenj@fftw.org
  * quote arguments to bench in test script on the off-chance that '*' would be expanded by the shell into a valid filename, and also to avoid shell confusion on Cygwin that "//" begins the name of a Windows network mountpoint

    M ./tests/check.pl -1 +1

Sat Feb 14 18:17:23 EST 2009  stevenj@fftw.org
  tagged fftw-3.2.1


Sun Mar  8 10:02:59 EDT 2009  athena@fftw.org
  * stricter conditions for Cooley-Tukey being ugly
  
  It turns out that m=2 in the leaf of Cooley-Tukey may be
  advantageous in certain cases, eg. i512v512 on AMD Shanghai:
  
  (dft-buffered-512-x128/512-6
    (dft-ct-dit/4
      (dftw-direct-4/24-x128 "t2fv_4")
      (dft-vrank>=1-x4/1
        (dft-ct-dit/64
          (dftw-direct-64/504-x128 "t2fv_64")
          (dft-vrank>=1-x64/1
            (dft-direct-2-x128 "n2fv_2")))))
    (dft-r2hc-1
      (rdft-rank0-tiled/2-x128-x512))
    (dft-nop))
  
  Presumably this works around the 2 way associativity of the L1 cache.

    M ./dft/dftw-direct.c -1 +1
    M ./kernel/ct.c -2 +3
    M ./kernel/ifftw.h -1 +1
    M ./rdft/ct-hc2c-direct.c -1 +1
    M ./rdft/hc2hc-direct.c -3 +3

Mon Feb  9 19:46:00 EST 2009  stevenj@fftw.org
  * disable Windows QueryPerformanceCounter code, since it requires us to pull in windows.h in ifftw.h and causes namespace conflicts; gettimeofday seems to work well enough and has had few complaints

    M ./kernel/ifftw.h -4 +1
    M ./kernel/timer.c -1 +8

Wed Feb  4 22:55:54 EST 2009  stevenj@fftw.org
  * version bump for 3.2.1, updated NEWS

    M ./NEWS +10
    M ./configure.ac -1 +1

Wed Feb  4 22:27:28 EST 2009  stevenj@fftw.org
  * recommend that users avoid fftw_execute in Fortran, instead using dfftw_execute_dft and friends so that the compiler knows that the input/output arrays are used

    M ./doc/fftw3.texi -10 +80

Wed Jan 21 16:02:08 EST 2009  stevenj@fftw.org
  * prefer windows queryperformancecounter to gettimeofday on Windows, thanks to David Price for the suggestion

    M ./kernel/ifftw.h -1 +4
    M ./kernel/timer.c -1 +20

Sun Feb  1 14:34:49 EST 2009  athena@fftw.org
  * compilation fixes in case snprintf() is defined as a macro.

    M ./libbench2/report.c -8 +7

Wed Jan 28 20:19:04 EST 2009  athena@fftw.org
  * Automake does not like continuation lines beginning with a comment.

    M ./rdft/scalar/r2cb/Makefile.am -1 +1

Wed Jan 28 18:24:39 EST 2009  athena@fftw.org
  * Add r2cb_2.c
  
  r2cb_2.c is needed for problem rb2, which is not equivalent to
  rf2 (unlike kb2, which is equivalent to kf2).
  
  This change would not matter much except that rb2 is generated
  when reducing backward rdft2 to dft, and the absence of the codelet was
  preventing radix 2 from being employed at all in this case.

    M ./rdft/scalar/r2cb/Makefile.am -6 +4

Sat Jan 10 06:47:22 EST 2009  athena@fftw.org
  * handle the case vecsz->rnk == 0 correctly.

    M ./dft/buffered.c -1 +3
    M ./rdft/buffered.c -1 +3
    M ./rdft/buffered2.c -1 +3

Fri Dec 19 15:20:36 EST 2008  stevenj@fftw.org
  * Macs are no longer ppc-based; thanks to Charles Collicutt for the FAQ update

    M ./doc/FAQ/fftw-faq.bfnn -3 +3

Mon Dec  8 18:08:33 EST 2008  stevenj@fftw.org
  * use new multiple-nbuf code in rdft/buffered, like for dft/buffered

    M ./rdft/buffered.c -11 +25
    M ./rdft/buffered2.c -12 +26

Sat Dec  6 16:34:36 EST 2008  stevenj@fftw.org
  * make x86_cpuid macro work on x86_64

    M ./m4/ax_gcc_x86_cpuid.m4 -1 +15

Sat Dec  6 09:20:37 EST 2008  athena@fftw.org
  * Allow automatic choice of buffer size in dft/buffered.c
  
  Try a couple of different buffer sizes in buffered transforms,
  since this seems to make a difference on some Core2 models.
  

    M ./api/mapflags.c -2
    M ./dft/buffered.c -10 +25
    M ./kernel/buffered.c -3 +19
    M ./kernel/ifftw.h -1 +5
    M ./rdft/buffered.c -2 +3
    M ./rdft/buffered2.c -2 +3
    M ./rdft/rdft2-rdft.c -1 +1

Tue Dec  2 19:18:30 EST 2008  athena@fftw.org
  * libbench2: do not assume that split-complex arrays are stride-1

    M ./libbench2/verify-dft.c -4 +3
    M ./libbench2/verify.c -1 +3
    M ./tests/bench.c -3 +2

Tue Dec  2 18:39:43 EST 2008  stevenj@fftw.org
  * updated NEWS

    M ./NEWS +14

Tue Dec  2 18:30:00 EST 2008  stevenj@fftw.org
  * date fix

    M ./m4/ax_gcc_archflag.m4 -1 +1

Tue Dec  2 18:29:06 EST 2008  stevenj@fftw.org
  * updated icc flags -- now prefer -xHost (-xN etc. seem t be obsolete), check for new spelling -ansi-alias, and use -malign-double like we do for gcc

    M ./m4/ax_cc_maxopt.m4 -2 +14

Tue Dec  2 18:28:03 EST 2008  stevenj@fftw.org
  * use $ax_cv_c_compiler_vendor rather than $GCC, as the former is more reliable (icc incorrectly self-identifies as gcc on MacOS where we don't use -no-gcc)

    M ./configure.ac -1 +1

Tue Dec  2 17:55:36 EST 2008  stevenj@fftw.org
  * don't use -no-gcc for icc on MacOS

    M ./configure.ac -2 +7

Tue Dec  2 17:34:04 EST 2008  stevenj@fftw.org
  * document some more bench options

    M ./tests/README -1 +17

Wed Nov 19 16:55:13 EST 2008  stevenj@fftw.org
  * make it clearer that --enable-openmp and --enable-threads are mutually exclusive; thanks to Long To for his comments

    M ./doc/fftw3.texi -6 +10

Mon Nov 17 20:16:28 EST 2008  stevenj@fftw.org
  * version bump to 3.2.1, use explicit Makefile.am for m4 subdirectory so that tarball does not include random files in there when you do 'make dist'

    M ./Makefile.am -3 +2
    M ./configure.ac -2 +4
    A ./m4/Makefile.am

Sat Nov 15 21:12:58 EST 2008  stevenj@fftw.org
  * document behavior of FFTW guru arrays, and in particular the odd behavior of the plan_guru_r2r routine in Fortran (thanks to Alexander Pozdneev for the bug report)

    M ./doc/fftw3.texi +10

Sat Nov 15 21:03:14 EST 2008  stevenj@fftw.org
  tagged fftw-3.2


Mon Nov 10 20:21:32 EST 2008  stevenj@fftw.org
  * version bump to 3.2, updated copyright year

    M ./COPYRIGHT -2 +2
    M ./NEWS -1 +6
    M ./api/api.h -2 +2
    M ./api/apiplan.c -2 +2
    M ./api/configure.c -2 +2
    M ./api/execute-dft-c2r.c -2 +2
    M ./api/execute-dft-r2c.c -2 +2
    M ./api/execute-dft.c -2 +2
    M ./api/execute-r2r.c -2 +2
    M ./api/execute-split-dft-c2r.c -2 +2
    M ./api/execute-split-dft-r2c.c -2 +2
    M ./api/execute-split-dft.c -2 +2
    M ./api/execute.c -2 +2
    M ./api/export-wisdom-to-file.c -2 +2
    M ./api/export-wisdom-to-string.c -2 +2
    M ./api/export-wisdom.c -2 +2
    M ./api/f77api.c -2 +2
    M ./api/f77funcs.h -2 +2
    M ./api/fftw3.h -2 +2
    M ./api/flops.c -2 +2
    M ./api/forget-wisdom.c -2 +2
    M ./api/import-system-wisdom.c -2 +2
    M ./api/import-wisdom-from-file.c -2 +2
    M ./api/import-wisdom-from-string.c -2 +2
    M ./api/import-wisdom.c -2 +2
    M ./api/malloc.c -2 +2
    M ./api/map-r2r-kind.c -2 +2
    M ./api/mapflags.c -2 +2
    M ./api/mkprinter-file.c -2 +2
    M ./api/mktensor-iodims.h -2 +2
    M ./api/mktensor-rowmajor.c -2 +2
    M ./api/plan-dft-1d.c -2 +2
    M ./api/plan-dft-2d.c -2 +2
    M ./api/plan-dft-3d.c -2 +2
    M ./api/plan-dft-c2r-1d.c -2 +2
    M ./api/plan-dft-c2r-2d.c -2 +2
    M ./api/plan-dft-c2r-3d.c -2 +2
    M ./api/plan-dft-c2r.c -2 +2
    M ./api/plan-dft-r2c-1d.c -2 +2
    M ./api/plan-dft-r2c-2d.c -2 +2
    M ./api/plan-dft-r2c-3d.c -2 +2
    M ./api/plan-dft-r2c.c -2 +2
    M ./api/plan-dft.c -2 +2
    M ./api/plan-guru-dft-c2r.h -2 +2
    M ./api/plan-guru-dft-r2c.h -2 +2
    M ./api/plan-guru-dft.h -2 +2
    M ./api/plan-guru-r2r.h -2 +2
    M ./api/plan-guru-split-dft-c2r.h -2 +2
    M ./api/plan-guru-split-dft-r2c.h -2 +2
    M ./api/plan-guru-split-dft.h -2 +2
    M ./api/plan-many-dft-c2r.c -2 +2
    M ./api/plan-many-dft-r2c.c -2 +2
    M ./api/plan-many-dft.c -2 +2
    M ./api/plan-many-r2r.c -2 +2
    M ./api/plan-r2r-1d.c -2 +2
    M ./api/plan-r2r-2d.c -2 +2
    M ./api/plan-r2r-3d.c -2 +2
    M ./api/plan-r2r.c -2 +2
    M ./api/print-plan.c -2 +2
    M ./api/rdft2-pad.c -2 +2
    M ./api/the-planner.c -2 +2
    M ./api/version.c -2 +2
    M ./api/x77.h -2 +2
    M ./configure.ac -2 +2
    M ./dft/bluestein.c -2 +2
    M ./dft/buffered.c -2 +2
    M ./dft/codelet-dft.h -2 +2
    M ./dft/conf.c -2 +2
    M ./dft/ct.c -2 +2
    M ./dft/ct.h -2 +2
    M ./dft/dft.h -2 +2
    M ./dft/dftw-direct.c -2 +2
    M ./dft/dftw-directsq.c -2 +2
    M ./dft/dftw-generic.c -2 +2
    M ./dft/dftw-genericbuf.c -2 +2
    M ./dft/direct.c -2 +2
    M ./dft/generic.c -2 +2
    M ./dft/indirect-transpose.c -2 +2
    M ./dft/indirect.c -2 +2
    M ./dft/kdft-dif.c -2 +2
    M ./dft/kdft-difsq.c -2 +2
    M ./dft/kdft-dit.c -2 +2
    M ./dft/kdft.c -2 +2
    M ./dft/nop.c -2 +2
    M ./dft/plan.c -2 +2
    M ./dft/problem.c -2 +2
    M ./dft/rader.c -2 +2
    M ./dft/rank-geq2.c -2 +2
    M ./dft/scalar/n.c -2 +2
    M ./dft/scalar/n.h -2 +2
    M ./dft/scalar/t.c -2 +2
    M ./dft/scalar/t.h -2 +2
    M ./dft/simd/n1b.c -2 +2
    M ./dft/simd/n1b.h -2 +2
    M ./dft/simd/n1f.c -2 +2
    M ./dft/simd/n1f.h -2 +2
    M ./dft/simd/n2b.c -2 +2
    M ./dft/simd/n2b.h -2 +2
    M ./dft/simd/n2f.c -2 +2
    M ./dft/simd/n2f.h -2 +2
    M ./dft/simd/n2s.c -2 +2
    M ./dft/simd/n2s.h -2 +2
    M ./dft/simd/q1b.c -2 +2
    M ./dft/simd/q1b.h -2 +2
    M ./dft/simd/q1f.c -2 +2
    M ./dft/simd/q1f.h -2 +2
    M ./dft/simd/t.c -2 +2
    M ./dft/simd/t1b.h -2 +2
    M ./dft/simd/t1bu.h -2 +2
    M ./dft/simd/t1f.h -2 +2
    M ./dft/simd/t1fu.h -2 +2
    M ./dft/simd/t2b.h -2 +2
    M ./dft/simd/t2f.h -2 +2
    M ./dft/simd/t3b.h -2 +2
    M ./dft/simd/t3f.h -2 +2
    M ./dft/simd/ts.c -2 +2
    M ./dft/simd/ts.h -2 +2
    M ./dft/solve.c -2 +2
    M ./dft/vrank-geq1.c -2 +2
    M ./dft/zero.c -2 +2
    M ./doc/f77_wisdom.f -2 +2
    M ./genfft/algsimp.ml -2 +2
    M ./genfft/algsimp.mli -2 +2
    M ./genfft/annotate.ml -2 +2
    M ./genfft/annotate.mli -2 +2
    M ./genfft/assoctable.ml -2 +2
    M ./genfft/assoctable.mli -2 +2
    M ./genfft/c.ml -2 +2
    M ./genfft/c.mli -2 +2
    M ./genfft/complex.ml -2 +2
    M ./genfft/complex.mli -2 +2
    M ./genfft/conv.ml -2 +2
    M ./genfft/conv.mli -2 +2
    M ./genfft/dag.ml -2 +2
    M ./genfft/dag.mli -2 +2
    M ./genfft/expr.ml -2 +2
    M ./genfft/expr.mli -2 +2
    M ./genfft/fft.ml -2 +2
    M ./genfft/fft.mli -2 +2
    M ./genfft/gen_hc2c.ml -2 +2
    M ./genfft/gen_hc2cdft.ml -2 +2
    M ./genfft/gen_hc2cdft_c.ml -2 +2
    M ./genfft/gen_hc2hc.ml -2 +2
    M ./genfft/gen_mdct.ml -2 +2
    M ./genfft/gen_notw.ml -2 +2
    M ./genfft/gen_notw_c.ml -2 +2
    M ./genfft/gen_r2cb.ml -2 +2
    M ./genfft/gen_r2cf.ml -2 +2
    M ./genfft/gen_r2r.ml -2 +2
    M ./genfft/gen_twiddle.ml -2 +2
    M ./genfft/gen_twiddle_c.ml -2 +2
    M ./genfft/gen_twidsq.ml -2 +2
    M ./genfft/gen_twidsq_c.ml -2 +2
    M ./genfft/genutil.ml -2 +2
    M ./genfft/littlesimp.ml -2 +2
    M ./genfft/littlesimp.mli -2 +2
    M ./genfft/magic.ml -2 +2
    M ./genfft/monads.ml -2 +2
    M ./genfft/number.ml -2 +2
    M ./genfft/number.mli -2 +2
    M ./genfft/oracle.ml -2 +2
    M ./genfft/oracle.mli -2 +2
    M ./genfft/schedule.ml -2 +2
    M ./genfft/schedule.mli -2 +2
    M ./genfft/simd.ml -2 +2
    M ./genfft/simd.mli -2 +2
    M ./genfft/simdmagic.ml -2 +2
    M ./genfft/to_alist.ml -2 +2
    M ./genfft/to_alist.mli -2 +2
    M ./genfft/trig.ml -2 +2
    M ./genfft/trig.mli -2 +2
    M ./genfft/twiddle.ml -2 +2
    M ./genfft/twiddle.mli -2 +2
    M ./genfft/unique.ml -2 +2
    M ./genfft/unique.mli -2 +2
    M ./genfft/util.ml -2 +2
    M ./genfft/util.mli -2 +2
    M ./genfft/variable.ml -2 +2
    M ./genfft/variable.mli -2 +2
    M ./kernel/align.c -2 +2
    M ./kernel/alloc.c -2 +2
    M ./kernel/assert.c -2 +2
    M ./kernel/awake.c -2 +2
    M ./kernel/buffered.c -2 +2
    M ./kernel/cpy1d.c -2 +2
    M ./kernel/cpy2d-pair.c -2 +2
    M ./kernel/cpy2d.c -2 +2
    M ./kernel/ct.c -2 +2
    M ./kernel/cycle.h -2 +2
    M ./kernel/debug.c -2 +2
    M ./kernel/extract-reim.c -2 +2
    M ./kernel/hash.c -2 +2
    M ./kernel/iabs.c -2 +2
    M ./kernel/ifftw.h -2 +2
    M ./kernel/kalloc.c -2 +2
    M ./kernel/md5-1.c -2 +2
    M ./kernel/md5.c -2 +2
    M ./kernel/minmax.c -2 +2
    M ./kernel/ops.c -2 +2
    M ./kernel/pickdim.c -2 +2
    M ./kernel/plan.c -2 +2
    M ./kernel/primes.c -2 +2
    M ./kernel/print.c -2 +2
    M ./kernel/problem.c -2 +2
    M ./kernel/rader.c -2 +2
    M ./kernel/scan.c -2 +2
    M ./kernel/solver.c -2 +2
    M ./kernel/solvtab.c -2 +2
    M ./kernel/stride.c -2 +2
    M ./kernel/tensor.c -2 +2
    M ./kernel/tensor1.c -2 +2
    M ./kernel/tensor2.c -2 +2
    M ./kernel/tensor3.c -2 +2
    M ./kernel/tensor4.c -2 +2
    M ./kernel/tensor5.c -2 +2
    M ./kernel/tensor7.c -2 +2
    M ./kernel/tensor8.c -2 +2
    M ./kernel/tensor9.c -2 +2
    M ./kernel/tile2d.c -2 +2
    M ./kernel/timer.c -2 +2
    M ./kernel/transpose.c -2 +2
    M ./kernel/trig.c -2 +2
    M ./kernel/twiddle.c -2 +2
    M ./libbench2/dotens2.c -2 +2
    M ./libbench2/my-getopt.c -2 +2
    M ./libbench2/my-getopt.h -2 +2
    M ./libbench2/verify-dft.c -2 +2
    M ./libbench2/verify-lib.c -2 +2
    M ./libbench2/verify-r2r.c -2 +2
    M ./libbench2/verify-rdft2.c -2 +2
    M ./libbench2/verify.h -2 +2
    M ./mpi/any-true.c -2 +2
    M ./mpi/api.c -2 +2
    M ./mpi/block.c -2 +2
    M ./mpi/choose-radix.c -2 +2
    M ./mpi/conf.c -2 +2
    M ./mpi/dft-problem.c -2 +2
    M ./mpi/dft-rank-geq2-transposed.c -2 +2
    M ./mpi/dft-rank-geq2.c -2 +2
    M ./mpi/dft-rank1-bigvec.c -2 +2
    M ./mpi/dft-rank1.c -2 +2
    M ./mpi/dft-serial.c -2 +2
    M ./mpi/dft-solve.c -2 +2
    M ./mpi/dtensor.c -2 +2
    M ./mpi/fftw3-mpi.h -2 +2
    M ./mpi/ifftw-mpi.h -2 +2
    M ./mpi/mpi-dft.h -2 +2
    M ./mpi/mpi-rdft.h -2 +2
    M ./mpi/mpi-rdft2.h -2 +2
    M ./mpi/mpi-transpose.h -2 +2
    M ./mpi/rdft-problem.c -2 +2
    M ./mpi/rdft-rank-geq2-transposed.c -2 +2
    M ./mpi/rdft-rank-geq2.c -2 +2
    M ./mpi/rdft-rank1-bigvec.c -2 +2
    M ./mpi/rdft-serial.c -2 +2
    M ./mpi/rdft-solve.c -2 +2
    M ./mpi/rdft2-problem.c -2 +2
    M ./mpi/rdft2-rank-geq2-transposed.c -2 +2
    M ./mpi/rdft2-rank-geq2.c -2 +2
    M ./mpi/rdft2-serial.c -2 +2
    M ./mpi/rdft2-solve.c -2 +2
    M ./mpi/rearrange.c -2 +2
    M ./mpi/testsched.c -2 +2
    M ./mpi/transpose-alltoall.c -2 +2
    M ./mpi/transpose-pairwise.c -2 +2
    M ./mpi/transpose-problem.c -2 +2
    M ./mpi/transpose-recurse.c -2 +2
    M ./mpi/transpose-solve.c -2 +2
    M ./mpi/wisdom-api.c -2 +2
    M ./rdft/buffered.c -2 +2
    M ./rdft/buffered2.c -2 +2
    M ./rdft/codelet-rdft.h -2 +2
    M ./rdft/conf.c -2 +2
    M ./rdft/ct-hc2c-direct.c -2 +2
    M ./rdft/ct-hc2c.c -2 +2
    M ./rdft/ct-hc2c.h -2 +2
    M ./rdft/dft-r2hc.c -2 +2
    M ./rdft/dht-r2hc.c -2 +2
    M ./rdft/dht-rader.c -2 +2
    M ./rdft/direct-r2c.c -2 +2
    M ./rdft/direct-r2r.c -2 +2
    M ./rdft/direct2.c -2 +2
    M ./rdft/generic.c -2 +2
    M ./rdft/hc2hc-direct.c -2 +2
    M ./rdft/hc2hc-generic.c -2 +2
    M ./rdft/hc2hc.c -2 +2
    M ./rdft/hc2hc.h -2 +2
    M ./rdft/indirect.c -2 +2
    M ./rdft/khc2c.c -2 +2
    M ./rdft/khc2hc.c -2 +2
    M ./rdft/kr2c.c -2 +2
    M ./rdft/kr2r.c -2 +2
    M ./rdft/nop.c -2 +2
    M ./rdft/nop2.c -2 +2
    M ./rdft/plan.c -2 +2
    M ./rdft/plan2.c -2 +2
    M ./rdft/problem.c -2 +2
    M ./rdft/problem2.c -2 +2
    M ./rdft/rank-geq2-rdft2.c -2 +2
    M ./rdft/rank-geq2.c -2 +2
    M ./rdft/rank0-rdft2.c -2 +2
    M ./rdft/rank0.c -2 +2
    M ./rdft/rdft-dht.c -2 +2
    M ./rdft/rdft.h -2 +2
    M ./rdft/rdft2-inplace-strides.c -2 +2
    M ./rdft/rdft2-rdft.c -2 +2
    M ./rdft/rdft2-strides.c -2 +2
    M ./rdft/rdft2-tensor-max-index.c -2 +2
    M ./rdft/scalar/hb.h -2 +2
    M ./rdft/scalar/hc2c.c -2 +2
    M ./rdft/scalar/hc2cb.h -2 +2
    M ./rdft/scalar/hc2cf.h -2 +2
    M ./rdft/scalar/hf.h -2 +2
    M ./rdft/scalar/hfb.c -2 +2
    M ./rdft/scalar/r2c.c -2 +2
    M ./rdft/scalar/r2cb.h -2 +2
    M ./rdft/scalar/r2cbIII.h -2 +2
    M ./rdft/scalar/r2cf.h -2 +2
    M ./rdft/scalar/r2cfII.h -2 +2
    M ./rdft/scalar/r2r.c -2 +2
    M ./rdft/scalar/r2r.h -2 +2
    M ./rdft/simd/hc2cbv.c -2 +2
    M ./rdft/simd/hc2cbv.h -2 +2
    M ./rdft/simd/hc2cfv.c -2 +2
    M ./rdft/simd/hc2cfv.h -2 +2
    M ./rdft/solve.c -2 +2
    M ./rdft/solve2.c -2 +2
    M ./rdft/vrank-geq1-rdft2.c -2 +2
    M ./rdft/vrank-geq1.c -2 +2
    M ./rdft/vrank3-transpose.c -2 +2
    M ./reodft/conf.c -2 +2
    M ./reodft/redft00e-r2hc-pad.c -2 +2
    M ./reodft/redft00e-r2hc.c -2 +2
    M ./reodft/reodft.h -2 +2
    M ./reodft/reodft010e-r2hc.c -2 +2
    M ./reodft/reodft11e-r2hc-odd.c -2 +2
    M ./reodft/reodft11e-r2hc.c -2 +2
    M ./reodft/reodft11e-radix2.c -2 +2
    M ./reodft/rodft00e-r2hc-pad.c -2 +2
    M ./reodft/rodft00e-r2hc.c -2 +2
    M ./simd/altivec.c -2 +2
    M ./simd/nonportable/sse.c -2 +2
    M ./simd/nonportable/sse2.c -2 +2
    M ./simd/simd-altivec.h -2 +2
    M ./simd/simd-sse.h -2 +2
    M ./simd/simd-sse2.h -2 +2
    M ./simd/simd.h -2 +2
    M ./simd/sse.c -2 +2
    M ./simd/sse2.c -2 +2
    M ./simd/taint.c -2 +2
    M ./simd/x86-cpuid.h -2 +2
    M ./threads/api.c -2 +2
    M ./threads/conf.c -2 +2
    M ./threads/ct.c -2 +2
    M ./threads/dft-vrank-geq1.c -2 +2
    M ./threads/f77api.c -2 +2
    M ./threads/f77funcs.h -2 +2
    M ./threads/hc2hc.c -2 +2
    M ./threads/openmp.c -2 +2
    M ./threads/rdft-vrank-geq1.c -2 +2
    M ./threads/threads.c -2 +2
    M ./threads/threads.h -2 +2
    M ./threads/vrank-geq1-rdft2.c -2 +2
    M ./tools/fftw-wisdom-to-conf.1 -4 +4
    M ./tools/fftw-wisdom-to-conf.in -2 +2
    M ./tools/fftw-wisdom.c -2 +2
    M ./tools/fftw_wisdom.1.in -4 +4

Wed Nov  5 16:40:31 EST 2008  athena@fftw.org
  * Store GPLv2 in darcs because automake installs GPLv3 these days.

    A ./COPYING

Thu Oct 30 15:03:41 EDT 2008  athena@fftw.org
  * stylistic changes, comments

    M ./threads/threads.c -13 +17

Thu Oct 30 14:40:14 EDT 2008  athena@fftw.org
  * oops

    M ./threads/threads.c -27 +28

Thu Oct 30 14:30:08 EDT 2008  athena@fftw.org
  * simplification of the threading machinery

    M ./threads/threads.c -12 +7

Thu Oct 30 14:22:40 EDT 2008  athena@fftw.org
  * typo

    M ./threads/threads.c -1 +1

Thu Oct 30 13:42:07 EDT 2008  athena@fftw.org
  * [SECOND ATTEMPT] do not assume that a semaphore can be freed just because nobody is using it
  
    Let S be a semaphore, initially 0.  Let thread A execute UP(S);
    let thread B execute DOWN(S); free(&S);  It is unclear whether this
    code is correct with posix semaphores.  The problem is whether UP()
    uses S after allowing DOWN() to continue; this seems to be the
    case in the glibc-2.7 implementation, and thus the pattern above
    seems to be incorrect.  Avoid using such a pattern, and introduce
    a global semaphore for the unavoidable case when nothing else
    can be depended upon.
  

    M ./threads/threads.c -61 +80

Wed Oct 29 20:09:39 EDT 2008  stevenj@fftw.org
  * updated cpu codes from x86-1.21

    M ./m4/ax_gcc_archflag.m4 -5 +7

Wed Oct 29 16:24:16 EDT 2008  athena@fftw.org
  * Previous change was bogus, need to find another way.

    M ./threads/threads.c -56 +42

Wed Oct 29 12:22:20 EDT 2008  athena@fftw.org
  * do not assume that a semaphore can be freed just because nobody is using it
  
  Let S be a semaphore, initially 0.  Let thread A execute UP(S);
  let thread B execute DOWN(S); free(&S);  It is unclear whether this
  code is correct with posix semaphores.  The problem is whether UP()
  uses S after allowing DOWN() to continue; this seems to be the
  case in the glibc-2.7 implementation, and thus the pattern above
  seems to be incorrect.  Avoid using such a pattern, and introduce
  a global semaphore for the unavoidable case when nothing else
  can be depended upon.
  

    M ./threads/threads.c -42 +56

Mon Oct 27 23:38:02 EDT 2008  stevenj@fftw.org
  * don't need PROG_AS any more

    M ./configure.ac -1
    R ./m4/amx_prog_as.m4

Sun Oct 26 23:41:11 EDT 2008  stevenj@fftw.org
  * use AC_CONFIG_MACRO_DIR macro

    M ./Makefile.am -1 +1
    M ./configure.ac +1

Sun Oct 26 10:08:44 EDT 2008  athena@fftw.org
  * Remove mpi/Makefile from configure.ac
  Otherwise, the tarball breaks because mpi/ is not in
  the distribution.

    M ./configure.ac -2

Sat Oct 25 17:13:50 EDT 2008  stevenj@fftw.org
  * remove MPI from dist until FFTW 3.3

    M ./Makefile.am -1 +1
    M ./NEWS +3
    M ./doc/fftw3.texi -948 +9

Sat Oct 25 17:12:35 EDT 2008  stevenj@fftw.org
  * use MPIRUN even for -np 1

    M ./mpi/Makefile.am -1 +1

Fri Jul 18 17:17:08 EDT 2008  stevenj@fftw.org
  * use new gcc arch=native flag as fallback

    M ./m4/ax_gcc_archflag.m4 -5 +5

Sat Oct 25 13:36:40 EDT 2008  athena@fftw.org
  * Use sem_t to implement mutexes
  Use sem_t instead of pthread_mutex_t to implement mutexes.
  It seems like pthread mutexes hang on linux-2.6.22 after several
  days of tests; the hang does not occur on linux >= 2.6.24 
  or when we use sem_t instead of pthread_mutex_t.  The
  situation is still quite mysterious but this code seems to
  work.

    M ./threads/threads.c -22 +34

Thu Oct 23 13:32:45 EDT 2008  athena@fftw.org
  * print informative message when pstring is NULL.

    M ./libbench2/verify.c -1 +2

Sun Oct 19 16:00:07 EDT 2008  athena@fftw.org
  * Fix incorrect alignment in dftw-generic.
  
  Multithreaded dftw-generic is supposed to process only a slice
  of the array, but we were planning with the alignment of the
  original array rather than the slice.  This led to unaligned
  accesses in certain obscure situations.
  

    M ./NEWS +3
    M ./configure.ac -1 +1
    M ./dft/dftw-generic.c -1 +2

Mon Aug 18 17:27:26 EDT 2008  Matteo Frigo <athena@fftw.org>
  * Paranoia: do not create OS threads while holding locks.
  
  Glibc at least plays silly games such as keeping a global variable
  that records whether there is more than one thread in the process, and
  it does not perform atomic operations if the variable says that there
  is only one thread.  Who knows how this interacts with creating
  threads while holding a lock.  Some day some genius will come up with
  some ``optimization'' that breaks everything.

    M ./threads/threads.c -7 +13

Wed Aug  6 07:41:46 EDT 2008  athena@fftw.org
  * Welcome to the quadcore era

    M ./mkdist.sh -1 +1

Mon Jun 16 16:46:39 EDT 2008  stevenj@fftw.org
  * backslash is technically not allowed in "echo" arguments; thanks to Debian Bug#486046 for pointing out problem and solution (and Raphael Geissert and Vincent Zweije, in particular)

    M ./tools/fftw-wisdom-to-conf.in -1 +1

Sun May  4 12:15:24 EDT 2008  stevenj@fftw.org
  * note problem with test program in gcc 4.1.2-4.2; thanks to Raymond Rogers for reporting it

    M ./doc/FAQ/fftw-faq.bfnn +6

Fri May  2 19:21:30 EDT 2008  stevenj@fftw.org
  * output count of constants along with other statistics

    M ./genfft/c.ml -3 +8

Sat Apr 19 14:15:03 EDT 2008  athena@fftw.org
  * Lower priority of unaligned SIMD codelets.
  List t1[fb]uv_* codelets before the corresponding
  aligned codelets, since the estimator picks the
  latter ones in case of a tie and aligned codelets
  are preferable.
  
  In other words, this is a hack.

    M ./dft/simd/codelets/Makefile.am -3 +2

Sat Apr 19 08:55:46 EDT 2008  Matteo Frigo <athena@fftw.org>
  * There is no point in using higher radices for unaligned codelets.
  

    M ./dft/simd/codelets/Makefile.am -4 +2

Fri Apr 18 19:01:27 EDT 2008  stevenj@fftw.org
  * support generating loopless, strideless r2r codelets

    M ./genfft/gen_r2r.ml -7 +17

Fri Apr 18 19:00:25 EDT 2008  stevenj@fftw.org
  * added Magic.threemult to use 3+3 complex-multiply variant when possible

    M ./genfft/complex.ml -2 +13
    M ./genfft/magic.ml +4

Thu Apr 10 19:53:31 EDT 2008  stevenj@fftw.org
  * fix documentation bug - export_wisdom_to_string returns a string that should be deallocated with free, not fftw_free (thanks to Stein Vidar Hagfors Haugan for the bug report)

    M ./doc/fftw3.texi -1 +1

Mon Jan 21 01:11:44 EST 2008  stevenj@fftw.org
  * bsd calls x86_64 "amd64"; thanks to Fernando Herrero Carron for the bug report

    M ./m4/ax_gcc_archflag.m4 -3 +3

Tue Jan  1 12:29:56 EST 2008  stevenj@fftw.org
  * fix typo in manual, thanks to Yinon Ehrlich

    M ./doc/fftw3.texi -1 +1

Mon Dec  3 13:57:13 EST 2007  stevenj@fftw.org
  * note problem with gcc 3.4.4 on x86_64, thanks to  Uwe Hollerbach for the report

    M ./doc/FAQ/fftw-faq.bfnn -2 +4

Tue Nov 13 16:19:22 EST 2007  stevenj@fftw.org
  * bump shared-lib revision

    M ./configure.ac -1 +1

Tue Nov 13 16:16:49 EST 2007  stevenj@fftw.org
  * update NEWS for alpha3

    M ./NEWS +23

Tue Oct  2 13:53:04 EDT 2007  stevenj@fftw.org
  * fixed URL

    M ./m4/ax_openmp.m4 -1 +1

Mon Sep 17 19:38:29 EDT 2007  stevenj@fftw.org
  * added missing prototype

    M ./tests/fftw-bench.c +4

Tue Aug 14 22:35:06 EDT 2007  stevenj@fftw.org
  * terminology tweak

    M ./doc/fftw3.texi -1 +1

Wed Aug  1 18:44:21 EDT 2007  stevenj@fftw.org
  * check for pathscale compilers (thanks to Julian Cummings)

    M ./m4/ax_compiler_vendor.m4 -2 +2

Sat Sep 15 18:02:32 EDT 2007  athena@fftw.org
  * Avoid possible conflict with Windows include files.

    M ./threads/threads.c +5

Tue Aug  7 21:26:05 EDT 2007  athena@fftw.org
  * Distribute codlist.c for SIMD codelets in the commercial tarball.

    M ./commercialize.sh -1 +1

Wed Aug  1 10:33:41 EDT 2007  stevenj@fftw.org
  * some documentation clarifications, and documented FFTW_WISDOM_ONLY, at the suggestion of Mario Emmenlauer and Phil Dumont

    M ./api/apiplan.c -3 +3
    M ./doc/fftw3.texi -3 +24

Tue Jul 31 16:52:56 EDT 2007  stevenj@fftw.org
  * bug fix in test program for vrank-3 transpose plans with vl=1

    M ./mpi/mpi-bench.c -1 +1

Sun Jul 29 17:02:46 EDT 2007  stevenj@fftw.org
  * only run mpi checks for --enable-mpi

    M ./mpi/Makefile.am +4

Sun Jul 29 16:45:30 EDT 2007  stevenj@fftw.org
  * check for NULL return from spe_context_create in case SPE_MAP_PS not supported

    M ./cell/cell.c -4 +9

Sun Jul 29 15:56:57 EDT 2007  stevenj@fftw.org
  * use problem-state pointer to write SPE mailbox with lower latency (makes a significant performance difference for N < 32k), thanks to Jan Wagner for suggestion

    M ./cell/cell.c +16

Sun Jul 29 14:22:08 EDT 2007  stevenj@fftw.org
  * port cell code to SDK2.1 (libspe2), since libspe1 API is deprecated and can't be used in code that also uses libspe2 API

    M ./cell/cell.c -3 +49
    M ./cell/copy.c -1 +1
    M ./cell/dft-direct-cell.c -1 +1
    M ./cell/fftw-cell.h -4 +5
    M ./cell/spu/main.spuc -4 +4
    M ./cell/transpose.c -1 +1
    M ./configure.ac -2 +2

Sun Jul 29 11:46:24 EDT 2007  stevenj@fftw.org
  * bug fix: ego->W allocated with cell_aligned_malloc, so deallocate with free, not X(ifree0)

    M ./cell/dft-direct-cell.c -1 +1

Mon Jul  2 15:57:12 EDT 2007  stevenj@fftw.org
  * removed obsolete reference to CVS id

    M ./api/fftw3.h -4

Mon May 21 14:25:39 EDT 2007  athena@fftw.org
  * cycle counter for sun compiler

    M ./kernel/cycle.h -1 +1

Wed May  9 19:49:11 EDT 2007  stevenj@fftw.org
  * use __inline instead of inline for AIX routines (__inline is supported by gcc and xlc, whereas apparently "inline" is only supported by xlc if you specify -qlanglvl=stdc99 or similar); thanks to Jeff Haferman for the bug report

    M ./kernel/cycle.h -2 +2

Mon Apr 30 15:37:56 EDT 2007  stevenj@fftw.org
  * fixed incorrect type prefix (fftw_ vs. X(...)) in mpi/wisdom-api.c; thanks to Eric A. Borisch for the bug report

    M ./mpi/wisdom-api.c -6 +6

Wed Apr 25 21:21:39 EDT 2007  stevenj@fftw.org
  * some cleanups in MPI make check

    M ./mpi/Makefile.am -7 +11

Wed Apr 25 21:19:27 EDT 2007  stevenj@fftw.org
  * re-enable heuristic in the common case where we are not compiling for Cell

    M ./dft/rank-geq2.c -1 +3

Tue Apr 24 17:42:43 EDT 2007  athena@fftw.org
  * Removed duplicate codelet names, was breaking linker.

    M ./dft/simd/codelets/Makefile.am -4 +4

Tue Apr 24 11:38:16 EDT 2007  stevenj@fftw.org
  * added more codelets of sizes 5/10/20/25 to improve speed for round decimal sizes (speed improvements of 10-20%, at cost of 10-30% in library size)

    M ./dft/scalar/codelets/Makefile.am -3 +6
    M ./dft/simd/codelets/Makefile.am -14 +26
    M ./rdft/scalar/r2cb/Makefile.am -8 +16
    M ./rdft/scalar/r2cf/Makefile.am -8 +16
    M ./rdft/simd/codelets/Makefile.am -2 +4

Sat Mar 24 18:40:47 EDT 2007  stevenj@fftw.org
  * for 1d prime sizes, punt and return serial plan

    M ./mpi/api.c +4

Sat Mar 24 18:24:55 EDT 2007  stevenj@fftw.org
  * output reminders of the problem during bench --verify

    M ./libbench2/verify.c -2 +5

Sat Mar 24 18:10:24 EDT 2007  stevenj@fftw.org
  * bug fix - missing solver->destroy initializer in rdft2-rdft

    M ./rdft/rdft2-rdft.c -1 +1

Fri Mar 23 11:12:19 EDT 2007  stevenj@fftw.org
  * -static, in --enable-debug, doesn't work on MacOS X (according to Daniel Oberhoff)

    M ./configure.ac -1

Wed Mar 21 22:23:06 EDT 2007  stevenj@fftw.org
  * fix MPI r2c/c2r to work with howmany > 1

    M ./mpi/rdft2-rank-geq2-transposed.c -1 +2
    M ./mpi/rdft2-rank-geq2.c -1 +2
    M ./mpi/rdft2-serial.c -2 +3
    M ./tests/check.pl -1

Wed Mar 21 18:44:41 EDT 2007  stevenj@fftw.org
  * rm MPI version from TODO

    M ./TODO -2

Wed Mar 21 18:34:40 EDT 2007  stevenj@fftw.org
  * added 'make bigcheck' for MPI (no paranoid-check, unfortunately), and properly get MPIRUN from configure

    M ./configure.ac +2
    M ./mpi/Makefile.am -7 +10

Wed Mar 21 18:23:18 EDT 2007  stevenj@fftw.org
  * bug fix - incorrect local_size returned for 1d bigvec case

    M ./mpi/api.c -1 +1

Wed Mar 21 03:13:54 EDT 2007  stevenj@fftw.org
  * hack to specify MPI_TRANSPOSED_IN/OUT via "[" and "]" in libbench2 problem

    M ./libbench2/bench-user.h +1
    M ./libbench2/problem.c +6
    M ./mpi/mpi-bench.c +12
    M ./tests/check.pl -2 +7

Wed Mar 21 02:58:11 EDT 2007  stevenj@fftw.org
  * added MPI 'make check', still needs a bit of work

    M ./mpi/Makefile.am +28
    M ./tests/check.pl +31

Wed Mar 21 02:47:10 EDT 2007  stevenj@fftw.org
  * bug fix in r2r transposed-input case

    M ./mpi/rdft-problem.c +3

Wed Mar 21 02:46:25 EDT 2007  stevenj@fftw.org
  * don't output more than 300 erroneous outputs (unless verbose > 2)

    M ./libbench2/verify-lib.c -2 +3
    M ./libbench2/verify-r2r.c -2 +3

Wed Mar 21 01:48:54 EDT 2007  stevenj@fftw.org
  * fixed bug in transposed-in c2r MPI transforms ... seems to be working, finally

    M ./mpi/rdft2-problem.c -5 +6

Wed Mar 21 00:41:32 EDT 2007  stevenj@fftw.org
  * some fixes to MPI r2c/c2r transforms with transposed output/input

    M ./mpi/rdft2-rank-geq2-transposed.c -11 +17

Wed Mar 21 00:40:25 EDT 2007  stevenj@fftw.org
  * typos

    M ./NEWS -4 +4

Tue Mar 20 19:53:02 EDT 2007  stevenj@fftw.org
  * bug fix for mpi-bench with r2c/c2r: allocate a little bit extra to make sure that padding is allocated

    M ./libbench2/allocate.c -2 +4

Tue Mar 20 19:19:13 EDT 2007  stevenj@fftw.org
  * fix typo, thanks to Ernest Turro for the bug report

    M ./m4/ax_gcc_archflag.m4 -2 +2

Tue Mar 20 01:39:06 EDT 2007  stevenj@fftw.org
  * spacing tweaks

    M ./doc/fftw3.texi -2 +2

Tue Mar 20 00:53:11 EDT 2007  stevenj@fftw.org
  * Ralf Wildenhues is the one who pointed out that the self-communication could fill in the stalls in the pairwise schedule

    M ./mpi/testsched.c -3 +2

Tue Mar 20 00:22:25 EDT 2007  stevenj@fftw.org
  * add TRANSPOSED_OUT/IN support for r2c/c2r, respectively

    M ./doc/fftw3.texi -4 +1
    M ./mpi/Makefile.am -1 +1
    M ./mpi/README -3
    M ./mpi/api.c -6 +15
    M ./mpi/conf.c -1 +1
    M ./mpi/rdft2-problem.c -18 +9
    A ./mpi/rdft2-rank-geq2-transposed.c

Mon Mar 19 21:45:34 EDT 2007  stevenj@fftw.org
  * yikes! fixed likely deadlock bug in MPI

    M ./mpi/transpose-recurse.c -2 +2

Mon Mar 19 21:38:52 EDT 2007  stevenj@fftw.org
  * comment

    M ./mpi/transpose-pairwise.c -2 +8

Mon Mar 19 21:30:44 EDT 2007  stevenj@fftw.org
  * s/alpha1/alpha2/

    M ./NEWS -1 +1

Mon Mar 19 00:39:47 EDT 2007  stevenj@fftw.org
  * include README in dist tarball

    M ./mpi/Makefile.am -1 +1

Mon Mar 19 00:35:43 EDT 2007  stevenj@fftw.org
  * added MPI r2c/c2r transforms, some more documentation

    M ./NEWS -4 +9
    M ./doc/fftw3.texi -6 +73
    M ./libbench2/bench-user.h +2
    M ./libbench2/problem.c -2 +4
    M ./mpi/Makefile.am -1 +2
    A ./mpi/README
    M ./mpi/api.c +140
    M ./mpi/conf.c +4
    M ./mpi/fftw3-mpi.h -88 +116
    M ./mpi/mpi-bench.c -2 +102
    A ./mpi/mpi-rdft2.h
    A ./mpi/rdft2-problem.c
    A ./mpi/rdft2-rank-geq2.c
    A ./mpi/rdft2-serial.c
    A ./mpi/rdft2-solve.c

Sun Mar 18 23:14:29 EDT 2007  stevenj@fftw.org
  * set version to 3.2alpha2

    M ./configure.ac -1 +1

Sun Mar 18 19:12:18 EDT 2007  stevenj@fftw.org
  * changed --enable-mips_ps to --enable-mips-ps; added Cell section to manual (from README.Cell); many minor updates to manual

    M ./configure.ac -1 +1
    M ./doc/fftw3.texi -15 +243

Sun Mar 18 15:27:06 EDT 2007  stevenj@fftw.org
  * whoops, need to sync costs in problem_mpi_rdft

    M ./mpi/api.c +3

Sun Mar 18 12:44:49 EDT 2007  stevenj@fftw.org
  * documented guru64 interface

    M ./NEWS -1 +1
    M ./doc/fftw3.texi -11 +81

Sun Mar 18 02:57:46 EDT 2007  stevenj@fftw.org
  * typo

    M ./doc/fftw3.texi -1 +1

Sun Mar 18 02:45:09 EDT 2007  stevenj@fftw.org
  * bumped copyright year to 2007

    M ./COPYRIGHT -2 +2
    M ./api/api.h -2 +2
    M ./api/apiplan.c -2 +2
    M ./api/configure.c -2 +2
    M ./api/execute-dft-c2r.c -2 +2
    M ./api/execute-dft-r2c.c -2 +2
    M ./api/execute-dft.c -2 +2
    M ./api/execute-r2r.c -2 +2
    M ./api/execute-split-dft-c2r.c -2 +2
    M ./api/execute-split-dft-r2c.c -2 +2
    M ./api/execute-split-dft.c -2 +2
    M ./api/execute.c -2 +2
    M ./api/export-wisdom-to-file.c -2 +2
    M ./api/export-wisdom-to-string.c -2 +2
    M ./api/export-wisdom.c -2 +2
    M ./api/f77api.c -2 +2
    M ./api/f77funcs.h -2 +2
    M ./api/fftw3.h -2 +2
    M ./api/flops.c -2 +2
    M ./api/forget-wisdom.c -2 +2
    M ./api/import-system-wisdom.c -2 +2
    M ./api/import-wisdom-from-file.c -2 +2
    M ./api/import-wisdom-from-string.c -2 +2
    M ./api/import-wisdom.c -2 +2
    M ./api/malloc.c -2 +2
    M ./api/map-r2r-kind.c -2 +2
    M ./api/mapflags.c -2 +2
    M ./api/mkprinter-file.c -2 +2
    M ./api/mktensor-iodims.h -2 +2
    M ./api/mktensor-rowmajor.c -2 +2
    M ./api/plan-dft-1d.c -2 +2
    M ./api/plan-dft-2d.c -2 +2
    M ./api/plan-dft-3d.c -2 +2
    M ./api/plan-dft-c2r-1d.c -2 +2
    M ./api/plan-dft-c2r-2d.c -2 +2
    M ./api/plan-dft-c2r-3d.c -2 +2
    M ./api/plan-dft-c2r.c -2 +2
    M ./api/plan-dft-r2c-1d.c -2 +2
    M ./api/plan-dft-r2c-2d.c -2 +2
    M ./api/plan-dft-r2c-3d.c -2 +2
    M ./api/plan-dft-r2c.c -2 +2
    M ./api/plan-dft.c -2 +2
    M ./api/plan-guru-dft-c2r.h -2 +2
    M ./api/plan-guru-dft-r2c.h -2 +2
    M ./api/plan-guru-dft.h -2 +2
    M ./api/plan-guru-r2r.h -2 +2
    M ./api/plan-guru-split-dft-c2r.h -2 +2
    M ./api/plan-guru-split-dft-r2c.h -2 +2
    M ./api/plan-guru-split-dft.h -2 +2
    M ./api/plan-many-dft-c2r.c -2 +2
    M ./api/plan-many-dft-r2c.c -2 +2
    M ./api/plan-many-dft.c -2 +2
    M ./api/plan-many-r2r.c -2 +2
    M ./api/plan-r2r-1d.c -2 +2
    M ./api/plan-r2r-2d.c -2 +2
    M ./api/plan-r2r-3d.c -2 +2
    M ./api/plan-r2r.c -2 +2
    M ./api/print-plan.c -2 +2
    M ./api/rdft2-pad.c -2 +2
    M ./api/the-planner.c -2 +2
    M ./api/version.c -2 +2
    M ./api/x77.h -2 +2
    M ./dft/bluestein.c -2 +2
    M ./dft/buffered.c -2 +2
    M ./dft/codelet-dft.h -2 +2
    M ./dft/conf.c -2 +2
    M ./dft/ct.c -2 +2
    M ./dft/ct.h -2 +2
    M ./dft/dft.h -2 +2
    M ./dft/dftw-direct.c -2 +2
    M ./dft/dftw-directsq.c -2 +2
    M ./dft/dftw-generic.c -2 +2
    M ./dft/dftw-genericbuf.c -2 +2
    M ./dft/direct.c -2 +2
    M ./dft/generic.c -2 +2
    M ./dft/indirect-transpose.c -2 +2
    M ./dft/indirect.c -2 +2
    M ./dft/kdft-dif.c -2 +2
    M ./dft/kdft-difsq.c -2 +2
    M ./dft/kdft-dit.c -2 +2
    M ./dft/kdft.c -2 +2
    M ./dft/nop.c -2 +2
    M ./dft/plan.c -2 +2
    M ./dft/problem.c -2 +2
    M ./dft/rader.c -2 +2
    M ./dft/rank-geq2.c -2 +2
    M ./dft/scalar/n.c -2 +2
    M ./dft/scalar/n.h -2 +2
    M ./dft/scalar/t.c -2 +2
    M ./dft/scalar/t.h -2 +2
    M ./dft/simd/n1b.c -2 +2
    M ./dft/simd/n1b.h -2 +2
    M ./dft/simd/n1f.c -2 +2
    M ./dft/simd/n1f.h -2 +2
    M ./dft/simd/n2b.c -2 +2
    M ./dft/simd/n2b.h -2 +2
    M ./dft/simd/n2f.c -2 +2
    M ./dft/simd/n2f.h -2 +2
    M ./dft/simd/n2s.c -2 +2
    M ./dft/simd/n2s.h -2 +2
    M ./dft/simd/q1b.c -2 +2
    M ./dft/simd/q1b.h -2 +2
    M ./dft/simd/q1f.c -2 +2
    M ./dft/simd/q1f.h -2 +2
    M ./dft/simd/t.c -2 +2
    M ./dft/simd/t1b.h -2 +2
    M ./dft/simd/t1bu.h -2 +2
    M ./dft/simd/t1f.h -2 +2
    M ./dft/simd/t1fu.h -2 +2
    M ./dft/simd/t2b.h -2 +2
    M ./dft/simd/t2f.h -2 +2
    M ./dft/simd/t3b.h -2 +2
    M ./dft/simd/t3f.h -2 +2
    M ./dft/simd/ts.c -2 +2
    M ./dft/simd/ts.h -2 +2
    M ./dft/solve.c -2 +2
    M ./dft/vrank-geq1.c -2 +2
    M ./dft/zero.c -2 +2
    M ./doc/f77_wisdom.f -2 +2
    M ./genfft/algsimp.ml -2 +2
    M ./genfft/algsimp.mli -2 +2
    M ./genfft/annotate.ml -2 +2
    M ./genfft/annotate.mli -2 +2
    M ./genfft/assoctable.ml -2 +2
    M ./genfft/assoctable.mli -2 +2
    M ./genfft/c.ml -2 +2
    M ./genfft/c.mli -2 +2
    M ./genfft/complex.ml -2 +2
    M ./genfft/complex.mli -2 +2
    M ./genfft/conv.ml -2 +2
    M ./genfft/conv.mli -2 +2
    M ./genfft/dag.ml -2 +2
    M ./genfft/dag.mli -2 +2
    M ./genfft/expr.ml -2 +2
    M ./genfft/expr.mli -2 +2
    M ./genfft/fft.ml -2 +2
    M ./genfft/fft.mli -2 +2
    M ./genfft/gen_hc2c.ml -2 +2
    M ./genfft/gen_hc2cdft.ml -2 +2
    M ./genfft/gen_hc2cdft_c.ml -2 +2
    M ./genfft/gen_hc2hc.ml -2 +2
    M ./genfft/gen_mdct.ml -2 +2
    M ./genfft/gen_notw.ml -2 +2
    M ./genfft/gen_notw_c.ml -2 +2
    M ./genfft/gen_r2cb.ml -2 +2
    M ./genfft/gen_r2cf.ml -2 +2
    M ./genfft/gen_r2r.ml -2 +2
    M ./genfft/gen_twiddle.ml -2 +2
    M ./genfft/gen_twiddle_c.ml -2 +2
    M ./genfft/gen_twidsq.ml -2 +2
    M ./genfft/gen_twidsq_c.ml -2 +2
    M ./genfft/genutil.ml -2 +2
    M ./genfft/littlesimp.ml -2 +2
    M ./genfft/littlesimp.mli -2 +2
    M ./genfft/magic.ml -2 +2
    M ./genfft/monads.ml -2 +2
    M ./genfft/number.ml -2 +2
    M ./genfft/number.mli -2 +2
    M ./genfft/oracle.ml -2 +2
    M ./genfft/oracle.mli -2 +2
    M ./genfft/schedule.ml -2 +2
    M ./genfft/schedule.mli -2 +2
    M ./genfft/simd.ml -2 +2
    M ./genfft/simd.mli -2 +2
    M ./genfft/simdmagic.ml -2 +2
    M ./genfft/to_alist.ml -2 +2
    M ./genfft/to_alist.mli -2 +2
    M ./genfft/trig.ml -2 +2
    M ./genfft/trig.mli -2 +2
    M ./genfft/twiddle.ml -2 +2
    M ./genfft/twiddle.mli -2 +2
    M ./genfft/unique.ml -2 +2
    M ./genfft/unique.mli -2 +2
    M ./genfft/util.ml -2 +2
    M ./genfft/util.mli -2 +2
    M ./genfft/variable.ml -2 +2
    M ./genfft/variable.mli -2 +2
    M ./kernel/align.c -2 +2
    M ./kernel/alloc.c -2 +2
    M ./kernel/assert.c -2 +2
    M ./kernel/awake.c -2 +2
    M ./kernel/buffered.c -2 +2
    M ./kernel/cpy1d.c -2 +2
    M ./kernel/cpy2d-pair.c -2 +2
    M ./kernel/cpy2d.c -2 +2
    M ./kernel/ct.c -2 +2
    M ./kernel/cycle.h -2 +2
    M ./kernel/debug.c -2 +2
    M ./kernel/extract-reim.c -2 +2
    M ./kernel/hash.c -2 +2
    M ./kernel/iabs.c -2 +2
    M ./kernel/ifftw.h -2 +2
    M ./kernel/kalloc.c -2 +2
    M ./kernel/md5-1.c -2 +2
    M ./kernel/md5.c -2 +2
    M ./kernel/minmax.c -2 +2
    M ./kernel/ops.c -2 +2
    M ./kernel/pickdim.c -2 +2
    M ./kernel/plan.c -2 +2
    M ./kernel/primes.c -2 +2
    M ./kernel/print.c -2 +2
    M ./kernel/problem.c -2 +2
    M ./kernel/rader.c -2 +2
    M ./kernel/scan.c -2 +2
    M ./kernel/solver.c -2 +2
    M ./kernel/solvtab.c -2 +2
    M ./kernel/stride.c -2 +2
    M ./kernel/tensor.c -2 +2
    M ./kernel/tensor1.c -2 +2
    M ./kernel/tensor2.c -2 +2
    M ./kernel/tensor3.c -2 +2
    M ./kernel/tensor4.c -2 +2
    M ./kernel/tensor5.c -2 +2
    M ./kernel/tensor7.c -2 +2
    M ./kernel/tensor8.c -2 +2
    M ./kernel/tensor9.c -2 +2
    M ./kernel/tile2d.c -2 +2
    M ./kernel/timer.c -2 +2
    M ./kernel/transpose.c -2 +2
    M ./kernel/trig.c -2 +2
    M ./kernel/twiddle.c -2 +2
    M ./libbench2/dotens2.c -2 +2
    M ./libbench2/my-getopt.c -2 +2
    M ./libbench2/my-getopt.h -2 +2
    M ./libbench2/verify-dft.c -2 +2
    M ./libbench2/verify-lib.c -2 +2
    M ./libbench2/verify-r2r.c -2 +2
    M ./libbench2/verify-rdft2.c -2 +2
    M ./libbench2/verify.h -2 +2
    M ./mpi/any-true.c -2 +2
    M ./mpi/api.c -2 +2
    M ./mpi/block.c -2 +2
    M ./mpi/choose-radix.c -2 +2
    M ./mpi/conf.c -2 +2
    M ./mpi/dft-problem.c -2 +2
    M ./mpi/dft-rank-geq2-transposed.c -2 +2
    M ./mpi/dft-rank-geq2.c -2 +2
    M ./mpi/dft-rank1-bigvec.c -2 +2
    M ./mpi/dft-rank1.c -2 +2
    M ./mpi/dft-serial.c -2 +2
    M ./mpi/dft-solve.c -2 +2
    M ./mpi/dtensor.c -2 +2
    M ./mpi/fftw3-mpi.h -2 +2
    M ./mpi/ifftw-mpi.h -2 +2
    M ./mpi/mpi-dft.h -2 +2
    M ./mpi/mpi-rdft.h -2 +2
    M ./mpi/mpi-transpose.h -2 +2
    M ./mpi/rdft-problem.c -2 +2
    M ./mpi/rdft-rank-geq2-transposed.c -2 +2
    M ./mpi/rdft-rank-geq2.c -2 +2
    M ./mpi/rdft-rank1-bigvec.c -2 +2
    M ./mpi/rdft-serial.c -2 +2
    M ./mpi/rdft-solve.c -2 +2
    M ./mpi/rearrange.c -2 +2
    M ./mpi/testsched.c -2 +2
    M ./mpi/transpose-alltoall.c -2 +2
    M ./mpi/transpose-pairwise.c -2 +2
    M ./mpi/transpose-problem.c -2 +2
    M ./mpi/transpose-recurse.c -2 +2
    M ./mpi/transpose-solve.c -2 +2
    M ./mpi/wisdom-api.c -2 +2
    M ./rdft/buffered.c -2 +2
    M ./rdft/buffered2.c -2 +2
    M ./rdft/codelet-rdft.h -2 +2
    M ./rdft/conf.c -2 +2
    M ./rdft/ct-hc2c-direct.c -2 +2
    M ./rdft/ct-hc2c.c -2 +2
    M ./rdft/ct-hc2c.h -2 +2
    M ./rdft/dft-r2hc.c -2 +2
    M ./rdft/dht-r2hc.c -2 +2
    M ./rdft/dht-rader.c -2 +2
    M ./rdft/direct-r2c.c -2 +2
    M ./rdft/direct-r2r.c -2 +2
    M ./rdft/direct2.c -2 +2
    M ./rdft/generic.c -2 +2
    M ./rdft/hc2hc-direct.c -2 +2
    M ./rdft/hc2hc-generic.c -2 +2
    M ./rdft/hc2hc.c -2 +2
    M ./rdft/hc2hc.h -2 +2
    M ./rdft/indirect.c -2 +2
    M ./rdft/khc2c.c -2 +2
    M ./rdft/khc2hc.c -2 +2
    M ./rdft/kr2c.c -2 +2
    M ./rdft/kr2r.c -2 +2
    M ./rdft/nop.c -2 +2
    M ./rdft/nop2.c -2 +2
    M ./rdft/plan.c -2 +2
    M ./rdft/plan2.c -2 +2
    M ./rdft/problem.c -2 +2
    M ./rdft/problem2.c -2 +2
    M ./rdft/rank-geq2-rdft2.c -2 +2
    M ./rdft/rank-geq2.c -2 +2
    M ./rdft/rank0-rdft2.c -2 +2
    M ./rdft/rank0.c -2 +2
    M ./rdft/rdft-dht.c -2 +2
    M ./rdft/rdft.h -2 +2
    M ./rdft/rdft2-inplace-strides.c -2 +2
    M ./rdft/rdft2-rdft.c -2 +2
    M ./rdft/rdft2-strides.c -2 +2
    M ./rdft/rdft2-tensor-max-index.c -2 +2
    M ./rdft/scalar/hb.h -2 +2
    M ./rdft/scalar/hc2c.c -2 +2
    M ./rdft/scalar/hc2cb.h -2 +2
    M ./rdft/scalar/hc2cf.h -2 +2
    M ./rdft/scalar/hf.h -2 +2
    M ./rdft/scalar/hfb.c -2 +2
    M ./rdft/scalar/r2c.c -2 +2
    M ./rdft/scalar/r2cb.h -2 +2
    M ./rdft/scalar/r2cbIII.h -2 +2
    M ./rdft/scalar/r2cf.h -2 +2
    M ./rdft/scalar/r2cfII.h -2 +2
    M ./rdft/scalar/r2r.c -2 +2
    M ./rdft/scalar/r2r.h -2 +2
    M ./rdft/simd/hc2cbv.c -2 +2
    M ./rdft/simd/hc2cbv.h -2 +2
    M ./rdft/simd/hc2cfv.c -2 +2
    M ./rdft/simd/hc2cfv.h -2 +2
    M ./rdft/solve.c -2 +2
    M ./rdft/solve2.c -2 +2
    M ./rdft/vrank-geq1-rdft2.c -2 +2
    M ./rdft/vrank-geq1.c -2 +2
    M ./rdft/vrank3-transpose.c -2 +2
    M ./reodft/conf.c -2 +2
    M ./reodft/redft00e-r2hc-pad.c -2 +2
    M ./reodft/redft00e-r2hc.c -2 +2
    M ./reodft/reodft.h -2 +2
    M ./reodft/reodft010e-r2hc.c -2 +2
    M ./reodft/reodft11e-r2hc-odd.c -2 +2
    M ./reodft/reodft11e-r2hc.c -2 +2
    M ./reodft/reodft11e-radix2.c -2 +2
    M ./reodft/rodft00e-r2hc-pad.c -2 +2
    M ./reodft/rodft00e-r2hc.c -2 +2
    M ./simd/altivec.c -2 +2
    M ./simd/nonportable/sse.c -2 +2
    M ./simd/nonportable/sse2.c -2 +2
    M ./simd/simd-altivec.h -2 +2
    M ./simd/simd-sse.h -2 +2
    M ./simd/simd-sse2.h -2 +2
    M ./simd/simd.h -2 +2
    M ./simd/sse.c -2 +2
    M ./simd/sse2.c -2 +2
    M ./simd/taint.c -2 +2
    M ./simd/x86-cpuid.h -2 +2
    M ./threads/api.c -2 +2
    M ./threads/conf.c -2 +2
    M ./threads/ct.c -2 +2
    M ./threads/dft-vrank-geq1.c -2 +2
    M ./threads/f77api.c -2 +2
    M ./threads/f77funcs.h -2 +2
    M ./threads/hc2hc.c -2 +2
    M ./threads/openmp.c -2 +2
    M ./threads/rdft-vrank-geq1.c -2 +2
    M ./threads/threads.c -2 +2
    M ./threads/threads.h -2 +2
    M ./threads/vrank-geq1-rdft2.c -2 +2
    M ./tools/fftw-wisdom-to-conf.1 -4 +4
    M ./tools/fftw-wisdom-to-conf.in -2 +2
    M ./tools/fftw-wisdom.c -2 +2
    M ./tools/fftw_wisdom.1.in -4 +4

Sun Mar 18 01:41:40 EDT 2007  stevenj@fftw.org
  * noted CodeSourcery in AUTHORS

    M ./AUTHORS -1 +2

Sun Mar 18 01:25:00 EDT 2007  stevenj@fftw.org
  * more MPI documentation

    M ./doc/fftw3.texi -2 +61

Sat Mar 17 23:15:04 EDT 2007  stevenj@fftw.org
  * added MPI multi-dimensional rdft solvers & tests

    M ./mpi/Makefile.am -2 +4
    M ./mpi/api.c +104
    M ./mpi/conf.c +5
    M ./mpi/fftw3-mpi.h -73 +90
    M ./mpi/mpi-bench.c -1 +94
    A ./mpi/mpi-rdft.h
    A ./mpi/rdft-problem.c
    A ./mpi/rdft-rank-geq2-transposed.c
    A ./mpi/rdft-rank-geq2.c
    A ./mpi/rdft-rank1-bigvec.c
    A ./mpi/rdft-serial.c
    A ./mpi/rdft-solve.c

Sat Mar 17 22:52:00 EDT 2007  stevenj@fftw.org
  * whoops

    M ./mpi/dft-rank1-bigvec.c -1 +1

Sat Mar 17 22:43:54 EDT 2007  stevenj@fftw.org
  * clarification - fftw_mpi_init should be called before importing wisdom

    M ./doc/fftw3.texi -2 +4

Sat Mar 17 19:49:37 EDT 2007  stevenj@fftw.org
  * kindx/y/z -> kind0/1/2 for consistency

    M ./api/fftw3.h -3 +3
    M ./doc/fftw3.texi -9 +9

Sat Mar 17 19:34:02 EDT 2007  stevenj@fftw.org
  * typo

    M ./mpi/dft-rank-geq2-transposed.c -1 +1

Sat Mar 17 19:14:16 EDT 2007  stevenj@fftw.org
  * some refactoring in preparation for mpi-rdft

    M ./mpi/Makefile.am -1 +1
    M ./mpi/api.c -1 +1
    M ./mpi/dft-problem.c -2 +2
    M ./mpi/dft-rank1-bigvec.c -53 +5
    M ./mpi/dtensor.c -3 +3
    M ./mpi/ifftw-mpi.h -1 +29
    A ./mpi/rearrange.c

Sat Mar 17 18:12:45 EDT 2007  stevenj@fftw.org
  * documented more stuff for MPI

    M ./doc/fftw3.texi -2 +112

Sat Mar 17 15:41:23 EDT 2007  stevenj@fftw.org
  * added NEWS for 3.2alpha

    M ./NEWS -1 +37

Sat Mar 17 14:50:22 EDT 2007  stevenj@fftw.org
  * documented MPI transpose routines

    M ./doc/fftw3.texi -1 +130

Sat Mar 17 08:57:30 EDT 2007  athena@fftw.org
  * Removed unused variables

    M ./rdft/direct-r2c.c -3

Fri Mar 16 14:47:10 EDT 2007  athena@fftw.org
  * Preparing for interim release of Cell code.

    M ./AUTHORS +2
    M ./configure.ac -1 +1
    M ./doc/fftw3.texi +3

Thu Feb  8 12:23:43 EST 2007  athena@fftw.org
  * Added README.Cell

    A ./README.Cell
    M ./Makefile.am -1 +2
    M ./README.Cell +103

Sat Mar 10 19:17:40 EST 2007  athena@fftw.org
  * Synchronized with main branch

    M ./simd/simd.h +10

Mon Jan 22 17:43:56 EST 2007  athena@fftw.org
  * Adapted vrecur heuristic to Cell.

    M ./cell/dft-direct-cell.c -1 +28
    M ./dft/dft.h +4

Sun Jan 21 19:09:33 EST 2007  athena@fftw.org
  * synchronize with main branch.


Sun Jan 21 14:42:00 EST 2007  athena@fftw.org
  * synchronized with main branch


Thu Jan 18 20:29:22 EST 2007  athena@fftw.org
  * Increased MAX_N to 32K/sizeof(R).

    M ./cell/dft-direct-cell.c -23 +35
    M ./cell/fftw-cell.h -3 +3
    M ./cell/plans-double.c -9 +1033
    M ./cell/plans-single.c -13 +525
    M ./cell/spu/dft.spuc -2 +8

Thu Jan 18 13:43:51 EST 2007  Matteo Frigo <athena@fftw.org>
  * Added pointer to solver->destroy which is used in the Cell branch.

    M ./mpi/dft-rank-geq2-transposed.c -1 +1
    M ./mpi/dft-rank1-bigvec.c -1 +1
    M ./mpi/dft-rank1.c -1 +1
    M ./mpi/transpose-recurse.c -1 +1

Thu Jan 18 12:09:26 EST 2007  athena@fftw.org
  * Updated copyright notices

    R ./mpi/transpose-radix2.c
    M ./cell/cell.c -2 +1
    M ./cell/conf.c -2 +1
    M ./cell/copy.c -2 +1
    M ./cell/dft-direct-cell.c -2 +1
    M ./cell/fftw-cell.h +19
    M ./cell/spu/alloc.spuc +19
    M ./cell/spu/copy.spuc +19
    M ./cell/spu/dft.spuc +18
    M ./cell/spu/dma.spuc +19
    M ./cell/spu/execute.spuc +19
    M ./cell/spu/fftw-spu.h +19
    M ./cell/spu/main.spuc +19
    M ./cell/spu/planner.spuc +19
    M ./cell/spu/spu-double.h +19
    M ./cell/spu/spu-single.h +19
    M ./cell/spu/transpose.spuc +19
    M ./cell/spufftw-embed.S +19
    M ./cell/transpose.c -2 +1

Fri Jan 12 12:54:43 EST 2007  athena@fftw.org
  * Use mfc_read_tag_status_all() instead of spu_mfcstat(2), since the former seems to be standardized.

    M ./cell/spu/dma.spuc -1 +1

Thu Jan 11 14:55:08 EST 2007  athena@fftw.org
  * Silence some int/INT warnings.

    M ./cell/dft-direct-cell.c -21 +24

Wed Jan 10 18:19:53 EST 2007  athena@fftw.org
  * Note incompatibility of --enable-cell with --enable-threads

    M ./configure.ac +3

Wed Jan 10 17:57:10 EST 2007  athena@fftw.org
  * forgot to add file

    A ./cell/spufftw-embed.S

Wed Jan 10 17:45:16 EST 2007  athena@fftw.org
  * 64-bit cleanup

    M ./cell/Makefile.am -4 +3
    M ./cell/cell.c -7 +21
    M ./cell/copy.c -2 +2
    M ./cell/dft-direct-cell.c -11 +28
    M ./cell/fftw-cell.h -8 +10
    M ./cell/spu/dft.spuc -3 +3
    M ./cell/spu/dma.spuc -7 +9
    M ./cell/spu/fftw-spu.h -2 +2
    M ./cell/transpose.c -1 +1
    M ./configure.ac +3
    M ./m4/ax_gcc_archflag.m4 -1 +1

Wed Jan 10 13:47:20 EST 2007  athena@fftw.org
  * Use -mcpu=cell where appropriate.

    M ./m4/ax_gcc_archflag.m4 +1

Tue Dec 26 21:35:59 EST 2006  athena@fftw.org
  * synchronized with main

    M ./dft/buffered.c -14 +1

Sun Dec 24 20:58:25 EST 2006  athena@fftw.org
  * synchronized with main branch

    M ./Makefile.am -12 +14

Sun Dec 24 13:47:37 EST 2006  athena@fftw.org
  * synchronized with main branch, updated to new sdk.

    M! ./cell/spu/Makefile.am -4 +3
    M! ./cell/spu/dma.spuc -1
    M! ./cell/spu/execute.spuc -2 +2
    M! ./cell/spu/fftw-spu.h -29 +29

Thu Dec 21 17:17:41 EST 2006  athena@fftw.org
  * removed obsolete file

    R ./rdft/rdft2-radix2.c

Tue Dec 19 15:17:20 EST 2006  athena@fftw.org
  * synchronized with main branch

    R ./rdft/direct.c
    M ./rdft/direct-r2c.c -1 +1
    M ./rdft/direct-r2r.c -1 +1

Tue Dec 19 11:27:38 EST 2006  athena@fftw.org
  * Synchronized with main branch

    M! ./rdft/ct-hc2c.c -1 +1
    M! ./rdft/direct2.c -13 +1

Fri Dec 15 16:04:31 EST 2006  athena@fftw.org
  * resolved conflict with main branch

    M ./tests/fftw-bench.c -3 +2

Fri Dec  8 14:43:50 EST 2006  athena@fftw.org
  * Fixes for compilation in subdirectories

    M ./cell/spu/Makefile.am -5 +3

Fri Dec  8 12:46:00 EST 2006  athena@fftw.org
  * Silence warning

    M ./rdft/rank0.c -2

Fri Dec  8 12:24:19 EST 2006  athena@fftw.org
  * silence warning

    M ./rdft/rank0.c -1 +1

Thu Dec  7 15:18:17 EST 2006  athena@fftw.org
  * Commented a particularly obscure piece of code.

    M ./cell/spu/dma.spuc -1 +14

Thu Dec  7 11:53:29 EST 2006  athena@fftw.org
  * Reorganized, clarified conditions for applicability of the DFT solver.

    M ./cell/dft-direct-cell.c -193 +178

Mon Dec  4 21:33:49 EST 2006  athena@fftw.org
  * Minor changes

    M ./cell/dft-direct-cell.c -1 +6
    M ./cell/spu/dft.spuc -1 +7

Mon Dec  4 17:43:28 EST 2006  athena@fftw.org
  * Clarified comment

    M ./cell/dft-direct-cell.c -2 +2

Mon Dec  4 16:49:06 EST 2006  athena@fftw.org
  * Less incorrect conditions for fitting into local store.

    M ./cell/dft-direct-cell.c -5 +12

Mon Dec  4 16:08:24 EST 2006  athena@fftw.org
  * Implemented DECDIF+TRANSPOSE on Cell

    R ./dft/ctsq.c
    M ./cell/dft-direct-cell.c -93 +142
    M ./cell/fftw-cell.h -8 +3
    M ./cell/spu/dft.spuc -12 +21
    M ./dft/indirect-transpose.c -1 +2

Fri Dec  1 17:42:55 EST 2006  athena@fftw.org
  * relaxed conditions of applicability of SPE

    M ./cell/dft-direct-cell.c -31 +42

Fri Dec  1 16:28:10 EST 2006  athena@fftw.org
  * tweaks

    M ./cell/dft-direct-cell.c -3 +2

Fri Dec  1 14:35:17 EST 2006  athena@fftw.org
  * Implemented Cell opcounts

    M ./cell/dft-direct-cell.c -4 +55
    M ./cell/spu/execute.spuc +1

Fri Dec  1 13:38:44 EST 2006  athena@fftw.org
  * minor cleanup

    M ./cell/dft-direct-cell.c -9 +4

Fri Dec  1 11:16:52 EST 2006  athena@fftw.org
  * use [c0 s0 c1 s1] format for Cell twiddle factors, rather than [c0 c1 s0 s1].  This makes life easier and there is no speed penalty on Cell (unlike Altivec).

    M ./cell/copy.c -6 +6
    M ./cell/dft-direct-cell.c -46 +15
    M ./cell/spu/planner.spuc -2 +3
    M ./cell/spu/spu-single.h -4 +4

Wed Nov 29 18:02:54 EST 2006  athena@fftw.org
  * Implemented SPE-accelerated copies

    A ./cell/copy.c
    M ./cell/Makefile.am -2 +2
    M ./cell/copy.c +81
    M ./cell/fftw-cell.h +14
    M ./cell/spu/copy.spuc -69 +31
    M ./cell/spu/dma.spuc -2 +78
    M ./cell/spu/fftw-spu.h -4 +6
    M ./cell/spu/main.spuc +4
    M ./cell/spu/transpose.spuc -14 +6
    M ./cell/transpose.c -4 +4
    M ./kernel/ifftw.h -1 +3
    M ./rdft/rank0.c +52

Wed Nov 29 12:11:08 EST 2006  athena@fftw.org
  * allow SPEs to compute vrank-0 problems.

    M ./cell/dft-direct-cell.c -10 +8
    M ./cell/spu/dma.spuc -4 +4

Tue Nov 28 18:03:07 EST 2006  athena@fftw.org
  * eliminated DMA lists

    M ./cell/spu/dft.spuc -4 +4
    M ./cell/spu/dma.spuc -119 +62
    M ./cell/spu/fftw-spu.h -3
    M ./cell/spu/main.spuc -2 +2
    M ./cell/spu/transpose.spuc -6 +6

Tue Nov 28 14:22:05 EST 2006  athena@fftw.org
  * Conservatively force all dimensions to be 0 (mod VL) in cell, since otherwise it is too hard to get all cases right.

    M ./cell/dft-direct-cell.c -11 +10
    M ./cell/spu/dft.spuc -1 +2

Tue Nov 28 12:39:01 EST 2006  athena@fftw.org
  * Check alignment of strides when transposing on Cell.

    M ./rdft/rank0.c -1 +10

Tue Nov 28 12:19:09 EST 2006  athena@fftw.org
  * consistent usage of FFT_SIGN

    M ./cell/dft-direct-cell.c -3 +3
    M ./cell/spu/dft.spuc -2 +2

Tue Nov 28 11:35:38 EST 2006  athena@fftw.org
  * clever transposition algorithm without buffering

    M ./cell/spu/copy.spuc -178 +59
    M ./cell/spu/dft.spuc -52 +8
    M ./cell/spu/dma.spuc -54 +97
    M ./cell/spu/fftw-spu.h -13 +3
    M ./cell/spu/transpose.spuc -13 +11

Mon Nov 27 14:08:28 EST 2006  athena@fftw.org
  * Fixed tracking of dependencies

    M ./cell/spu/Makefile.am -1 +3

Mon Nov 27 14:03:53 EST 2006  athena@fftw.org
  * implemented 1D transforms, various tweaks

    M ./cell/cell.c -4 +14
    M ./cell/conf.c +1
    M ./cell/dft-direct-cell.c -15 +196
    M ./cell/fftw-cell.h -2 +13
    M ./cell/spu/Makefile.am +1
    M ./cell/spu/alloc.spuc +1
    M ./cell/spu/copy.spuc -34 +151
    M ./cell/spu/dft.spuc -2 +37
    M ./cell/spu/dma.spuc -13 +9
    M ./cell/spu/fftw-spu.h -5 +9
    M ./cell/spu/main.spuc -6 +3

Wed Nov 22 15:43:36 EST 2006  athena@fftw.org
  * no need to poll mailbox on spu side

    M ./cell/spu/main.spuc -1

Wed Nov 22 14:08:24 EST 2006  athena@fftw.org
  * increased maximum size handled by spe

    M ./cell/fftw-cell.h -2 +2
    M ./cell/plans-double.c -2 +1027
    M ./cell/plans-single.c -2 +514
    M ./cell/spu/alloc.spuc -1 +1
    M ./cell/spu/planner.spuc -1 +1

Tue Nov 21 16:23:17 EST 2006  athena@fftw.org
  * allow vrank<=2 problems in SPEs to avoid the vecloop overhead (grrr...)

    M ./cell/dft-direct-cell.c -40 +114
    M ./cell/fftw-cell.h -1 +15
    M ./cell/spu/dft.spuc -27 +37
    M ./dft/rank-geq2.c +4

Mon Nov 20 14:41:45 EST 2006  athena@fftw.org
  * added emacs mode

    M ./cell/spu/copy.spuc +1

Mon Nov 20 09:34:12 EST 2006  athena@fftw.org
  * revised transpose, cleanup

    A ./cell/spu/transpose.spuc
    A ./cell/spu/dft.spuc
    M ./cell/spu/Makefile.am -1 +1
    M ./cell/spu/dft.spuc +165
    M ./cell/spu/fftw-spu.h +5
    M ./cell/spu/main.spuc -224 +2
    M ./cell/spu/transpose.spuc +70

Sun Nov 19 20:20:23 EST 2006  athena@fftw.org
  * added file

    A ./cell/spu/Makefile.am

Sun Nov 19 20:18:35 EST 2006  athena@fftw.org
  * removed file

    R ./cell/spu/generate.sh

Sun Nov 19 20:15:38 EST 2006  athena@fftw.org
  * better automake integration

    M! ./cell/Makefile.am -9 +4
    R! ./cell/spu/alloc.c
    A! ./cell/spu/alloc.spuc
    R! ./cell/spu/copy.c
    A! ./cell/spu/copy.spuc
    R! ./cell/spu/dma.c
    A! ./cell/spu/dma.spuc
    R! ./cell/spu/execute.c
    A! ./cell/spu/execute.spuc
    R! ./cell/spu/main.c
    A! ./cell/spu/main.spuc
    R! ./cell/spu/planner.c
    A! ./cell/spu/planner.spuc
    R! ./cell/spu/spu_n2fv_10.c
    R! ./cell/spu/spu_n2fv_11.c
    R! ./cell/spu/spu_n2fv_12.c
    R! ./cell/spu/spu_n2fv_13.c
    R! ./cell/spu/spu_n2fv_14.c
    R! ./cell/spu/spu_n2fv_15.c
    R! ./cell/spu/spu_n2fv_16.c
    R! ./cell/spu/spu_n2fv_2.c
    R! ./cell/spu/spu_n2fv_3.c
    R! ./cell/spu/spu_n2fv_32.c
    R! ./cell/spu/spu_n2fv_4.c
    R! ./cell/spu/spu_n2fv_5.c
    R! ./cell/spu/spu_n2fv_6.c
    R! ./cell/spu/spu_n2fv_7.c
    R! ./cell/spu/spu_n2fv_8.c
    R! ./cell/spu/spu_n2fv_9.c
    R! ./cell/spu/spu_t1fv_10.c
    R! ./cell/spu/spu_t1fv_12.c
    R! ./cell/spu/spu_t1fv_15.c
    R! ./cell/spu/spu_t1fv_16.c
    R! ./cell/spu/spu_t1fv_2.c
    R! ./cell/spu/spu_t1fv_3.c
    R! ./cell/spu/spu_t1fv_32.c
    R! ./cell/spu/spu_t1fv_4.c
    R! ./cell/spu/spu_t1fv_5.c
    R! ./cell/spu/spu_t1fv_6.c
    R! ./cell/spu/spu_t1fv_7.c
    R! ./cell/spu/spu_t1fv_8.c
    R! ./cell/spu/spu_t1fv_9.c
    M! ./dft/indirect-transpose.c -1 +1
    M! ./rdft/direct2.c -1 +13

Sat Nov 18 20:14:29 EST 2006  athena@fftw.org
  * changed algorithm for computing chunk size

    M ./cell/spu/main.c -32 +36

Sat Nov 18 19:18:11 EST 2006  athena@fftw.org
  * implemented transpose, various fixes.

    M! ./cell/Makefile.am -2 +2
    M! ./cell/cell.c -2 +10
    M! ./cell/conf.c -1 +1
    M! ./cell/dft-direct-cell.c -13 +29
    M! ./cell/fftw-cell.h -3 +13
    A! ./cell/spu/copy.c
    A! ./cell/spu/dma.c
    M! ./cell/spu/fftw-spu.h +27
    M! ./cell/spu/main.c -169 +83
    A! ./cell/transpose.c
    M! ./configure.ac -2 +5
    M! ./kernel/ifftw.h +5
    M! ./rdft/rank0.c +24
    M! ./tests/fftw-bench.c +4

Thu Nov 16 16:33:50 EST 2006  athena@fftw.org
  * Added explicit destructor to all solvers to help with the cell port.

    M! ./Makefile.am -2 +6
    M! ./cell/cell.c -4 +22
    M! ./cell/dft-direct-cell.c -1 +8
    M! ./cell/fftw-cell.h -1 +3
    M! ./configure.ac +1
    M! ./dft/bluestein.c -1 +1
    M! ./dft/buffered.c -1 +1
    M! ./dft/ct.c -1 +1
    A! ./dft/ctsq.c
    M! ./dft/direct.c -1 +1
    M! ./dft/generic.c -1 +1
    M! ./dft/indirect-transpose.c -1 +1
    M! ./dft/indirect.c -1 +1
    M! ./dft/nop.c -1 +1
    M! ./dft/rader.c -1 +1
    M! ./dft/rank-geq2.c -1 +1
    M! ./dft/vrank-geq1.c -1 +1
    M! ./kernel/ifftw.h +1
    M! ./kernel/solver.c -1 +4
    M! ./mpi/dft-rank-geq2.c -1 +1
    M! ./mpi/dft-serial.c -1 +1
    M! ./mpi/transpose-alltoall.c -1 +1
    M! ./mpi/transpose-pairwise.c -1 +1
    A! ./mpi/transpose-radix2.c
    M! ./rdft/buffered.c -1 +1
    M! ./rdft/buffered2.c -1 +1
    M! ./rdft/dft-r2hc.c -1 +1
    M! ./rdft/dht-r2hc.c -1 +1
    M! ./rdft/dht-rader.c -1 +1
    A! ./rdft/direct.c
    M! ./rdft/direct2.c -1 +1
    M! ./rdft/generic.c -1 +1
    M! ./rdft/hc2hc.c -1 +1
    M! ./rdft/indirect.c -1 +1
    M! ./rdft/nop.c -1 +1
    M! ./rdft/nop2.c -1 +1
    M! ./rdft/rank-geq2-rdft2.c -1 +1
    M! ./rdft/rank-geq2.c -1 +1
    M! ./rdft/rank0-rdft2.c -1 +1
    M! ./rdft/rank0.c -1 +1
    M! ./rdft/rdft-dht.c -1 +1
    A! ./rdft/rdft2-radix2.c
    M! ./rdft/vrank-geq1-rdft2.c -1 +1
    M! ./rdft/vrank-geq1.c -1 +1
    M! ./rdft/vrank3-transpose.c -1 +1
    M! ./reodft/redft00e-r2hc-pad.c -1 +1
    M! ./reodft/redft00e-r2hc.c -1 +1
    M! ./reodft/reodft00e-splitradix.c -1 +1
    M! ./reodft/reodft010e-r2hc.c -1 +1
    M! ./reodft/reodft11e-r2hc-odd.c -1 +1
    M! ./reodft/reodft11e-r2hc.c -1 +1
    M! ./reodft/reodft11e-radix2.c -1 +1
    M! ./reodft/rodft00e-r2hc-pad.c -1 +1
    M! ./reodft/rodft00e-r2hc.c -1 +1
    M! ./tests/fftw-bench.c -1
    M! ./threads/ct.c -1 +1
    M! ./threads/dft-vrank-geq1.c -1 +1
    M! ./threads/hc2hc.c -1 +1
    M! ./threads/rdft-vrank-geq1.c -1 +1
    M! ./threads/vrank-geq1-rdft2.c -1 +1

Thu Nov 16 15:22:15 EST 2006  athena@fftw.org
  * consistent use of #if vs. #ifdef

    M ./api/configure.c +2
    M ./cell/cell.c -1 +1
    M ./cell/conf.c -1 +1
    M ./cell/dft-direct-cell.c -1 +1
    M ./cell/plans-double.c -1 +1
    M ./cell/plans-single.c -1 +1

Thu Nov 16 15:15:34 EST 2006  athena@fftw.org
  * Additional Cell double codelets, better automake integration

    A! ./cell/spu/spu_n2fv_11.c
    A! ./cell/spu/spu_n2fv_13.c
    A! ./cell/spu/spu_n2fv_15.c
    A! ./cell/spu/spu_n2fv_3.c
    A! ./cell/spu/spu_n2fv_5.c
    A! ./cell/spu/spu_n2fv_7.c
    A! ./cell/spu/spu_n2fv_9.c
    M! ./Makefile.am -7 +5
    M! ./cell/Makefile.am -2 +7
    M! ./cell/cell.c -11 +7
    M! ./cell/conf.c +26
    M! ./cell/dft-direct-cell.c -9 +14
    M! ./cell/fftw-cell.h -2
    M! ./cell/plans-double.c -196 +201
    M! ./cell/plans-single.c -3 +9
    M! ./cell/spu/execute.c +10
    M! ./cell/spu/fftw-spu.h -8 +22
    M! ./cell/spu/generate.sh -1 +6
    M! ./cell/spu/main.c -2 +1
    M! ./cell/spu/planner.c +3
    M! ./cell/spu/spu_n2fv_11.c +118
    M! ./cell/spu/spu_n2fv_13.c +155
    M! ./cell/spu/spu_n2fv_15.c +132
    M! ./cell/spu/spu_n2fv_3.c +37
    M! ./cell/spu/spu_n2fv_5.c +52
    M! ./cell/spu/spu_n2fv_7.c +68
    M! ./cell/spu/spu_n2fv_9.c +103
    M! ./configure.ac +6
    M! ./dft/buffered.c -1 +14
    M! ./kernel/align.c -1 +1
    M! ./kernel/ifftw.h -2 +2
    M! ./simd/simd.h -4
    M! ./simd/taint.c -1 +1

Thu Nov 16 12:43:34 EST 2006  athena@fftw.org
  * Use dma lists.

    M ./cell/spu/main.c -21 +86

Thu Nov 16 11:03:46 EST 2006  athena@fftw.org
  * converted to automake

    R ./cell/spu/Makefile.in
    M ./cell/Makefile.am +1

Wed Nov 15 18:00:12 EST 2006  athena@fftw.org
  * Initial port to Cell Broadband Engine.

    A! ./cell/
    A! ./cell/spu/
    A! ./cell/Makefile.am
    A! ./cell/fftw-cell.h
    A! ./cell/plans-single.c
    A! ./cell/spu/Makefile.in
    A! ./cell/spu/execute.c
    A! ./cell/spu/fftw-spu.h
    A! ./cell/spu/generate.sh
    A! ./cell/spu/main.c
    A! ./cell/spu/planner.c
    A! ./cell/spu/spu-single.h
    A! ./cell/spu/spu_n2fv_10.c
    A! ./cell/spu/spu_n2fv_12.c
    A! ./cell/spu/spu_n2fv_14.c
    A! ./cell/spu/spu_n2fv_16.c
    A! ./cell/spu/spu_n2fv_2.c
    A! ./cell/spu/spu_n2fv_32.c
    A! ./cell/spu/spu_n2fv_4.c
    A! ./cell/spu/spu_n2fv_6.c
    A! ./cell/spu/spu_n2fv_8.c
    A! ./cell/spu/spu_t1fv_10.c
    A! ./cell/spu/spu_t1fv_12.c
    A! ./cell/spu/spu_t1fv_15.c
    A! ./cell/spu/spu_t1fv_16.c
    A! ./cell/spu/spu_t1fv_2.c
    A! ./cell/spu/spu_t1fv_3.c
    A! ./cell/spu/spu_t1fv_32.c
    A! ./cell/spu/spu_t1fv_4.c
    A! ./cell/spu/spu_t1fv_5.c
    A! ./cell/spu/spu_t1fv_6.c
    A! ./cell/spu/spu_t1fv_7.c
    A! ./cell/spu/spu_t1fv_8.c
    A! ./cell/spu/spu_t1fv_9.c
    A! ./cell/cell.c
    A! ./cell/conf.c
    A! ./cell/dft-direct-cell.c
    A! ./cell/spu/spu-double.h
    A! ./cell/plans-double.c
    A! ./cell/spu/alloc.c
    M! ./Makefile.am -14 +14
    M! ./api/configure.c +1
    M! ./cell/Makefile.am +22
    M! ./cell/cell.c +90
    M! ./cell/conf.c +12
    M! ./cell/dft-direct-cell.c +302
    M! ./cell/fftw-cell.h +64
    M! ./cell/plans-double.c +2056
    M! ./cell/plans-single.c +1032
    M! ./cell/spu/Makefile.in +35
    M! ./cell/spu/alloc.c +24
    M! ./cell/spu/execute.c +68
    M! ./cell/spu/fftw-spu.h +86
    M! ./cell/spu/generate.sh +16
    M! ./cell/spu/main.c +281
    M! ./cell/spu/planner.c +187
    M! ./cell/spu/spu-double.h +105
    M! ./cell/spu/spu-single.h +120
    M! ./cell/spu/spu_n2fv_10.c +100
    M! ./cell/spu/spu_n2fv_12.c +109
    M! ./cell/spu/spu_n2fv_14.c +142
    M! ./cell/spu/spu_n2fv_16.c +146
    M! ./cell/spu/spu_n2fv_2.c +33
    M! ./cell/spu/spu_n2fv_32.c +313
    M! ./cell/spu/spu_n2fv_4.c +44
    M! ./cell/spu/spu_n2fv_6.c +62
    M! ./cell/spu/spu_n2fv_8.c +75
    M! ./cell/spu/spu_t1fv_10.c +104
    M! ./cell/spu/spu_t1fv_12.c +114
    M! ./cell/spu/spu_t1fv_15.c +162
    M! ./cell/spu/spu_t1fv_16.c +153
    M! ./cell/spu/spu_t1fv_2.c +32
    M! ./cell/spu/spu_t1fv_3.c +41
    M! ./cell/spu/spu_t1fv_32.c +329
    M! ./cell/spu/spu_t1fv_4.c +44
    M! ./cell/spu/spu_t1fv_5.c +60
    M! ./cell/spu/spu_t1fv_6.c +63
    M! ./cell/spu/spu_t1fv_7.c +81
    M! ./cell/spu/spu_t1fv_8.c +77
    M! ./cell/spu/spu_t1fv_9.c +120
    M! ./configure.ac +2
    M! ./kernel/ifftw.h -17 +21
    M! ./libbench2/util.c -1 +1
    M! ./tests/fftw-bench.c +1

Wed Mar 14 10:19:53 EDT 2007  athena@fftw.org
  * Remove Codesourcery contributions from commercial tarball.

    M ./commercialize.sh +7

Wed Mar 14 08:59:18 EDT 2007  athena@fftw.org
  * Added FFTW_WISDOM_ONLY, at the request of Phil Dumont.

    M ./api/apiplan.c -19 +29
    M ./api/fftw3.h +1
    M ./tests/fftw-bench.c +1

Tue Mar 13 00:32:05 EDT 2007  stevenj@fftw.org
  * fixed potential MPI deadlock if timer misbehaves

    M ./kernel/timer.c -3 +3

Mon Mar 12 23:31:52 EDT 2007  stevenj@fftw.org
  * more work on MPI documentation

    M ./doc/fftw3.texi -31 +309
    M ./mpi/api.c -3 +4
    M ./mpi/fftw3-mpi.h -19 +19

Tue Feb 27 13:48:43 EST 2007  stevenj@fftw.org
  * index

    M ./doc/fftw3.texi +1

Tue Feb 27 13:46:45 EST 2007  stevenj@fftw.org
  * rename "new-data execute" to "new-array execute", since of course you do not need a new array to have new data

    M ./doc/FAQ/fftw-faq.bfnn -1 +2
    M ./doc/fftw3.texi -12 +12

Tue Feb 27 13:43:55 EST 2007  stevenj@fftw.org
  * consistency with manual (guru execute -> new-data execute)

    M ./doc/FAQ/fftw-faq.bfnn -1 +1

Tue Feb 27 13:42:24 EST 2007  stevenj@fftw.org
  * texinfo fixes; renamed "guru execute" section to "new-data execute", since previously it seemed to lead to endless confusion with the guru planner API

    M ./doc/fftw3.texi -60 +83

Mon Feb 26 18:57:11 EST 2007  stevenj@fftw.org
  * consistently use n0/n1/.. everywhere instead of nx/ny/... (for consistency with d-dimensional case n[0], n[1], ...) ... first start at MPI documentation

    M ./api/fftw3.h -10 +10
    M ./doc/fftw3.texi -138 +374
    M ./mpi/fftw3-mpi.h -27 +27

Sat Mar 10 18:48:05 EST 2007  athena@fftw.org
  * Changed C++-style comment into K&R

    M ./kernel/cycle.h -1 +1

Sat Mar 10 18:47:12 EST 2007  athena@fftw.org
  * Forgot to add file

    A ./simd/simd-mips_ps.h

Sat Mar 10 18:44:39 EST 2007  athena@fftw.org
  * Note removal of K7 support.

    M ./AUTHORS -1 +4

Sat Mar 10 18:41:52 EST 2007  athena@fftw.org
  * Updated manual for MIPS PS

    M ./doc/fftw3.texi -9 +12

Sat Mar 10 18:37:07 EST 2007  athena@fftw.org
  * Adopted MIPS_PS patches from Codesourcery.

    A ./simd/mips_ps.c
    A ./simd/mips_ps.h
    M ./configure.ac +23
    M ./kernel/cycle.h +43
    M ./kernel/ifftw.h -1 +2
    M ./kernel/timer.c -1 +3
    M ./simd/Makefile.am -1 +1
    M ./simd/mips_ps.c +45
    M ./simd/mips_ps.h +273
    M ./simd/simd.h +4

Sun Feb 25 11:34:51 EST 2007  athena@fftw.org
  * Incorrect initialization of win32 semaphores

    M ./threads/threads.c -1 +1

Tue Jan 30 11:43:09 EST 2007  stevenj@fftw.org
  * win32 fixes (I think, still untested)

    M ./threads/threads.c -9 +10

Fri Jan 19 17:31:47 EST 2007  stevenj@fftw.org
  * message-size heuristic in tranpose-recurse

    M ./mpi/transpose-recurse.c -3 +15

Tue Jan 30 08:53:55 EST 2007  athena@fftw.org
  * Threading layer for Win32, completely untested.

    M ./threads/threads.c +69

Mon Jan 29 14:26:30 EST 2007  athena@fftw.org
  * Check for EINTR after sem_wait(), as suggested by Chip Salzenberg.

    M ./threads/threads.c -1 +11

Mon Jan 22 13:58:23 EST 2007  athena@fftw.org
  * Force vector recursion by means of a separate function pointer.  I need this for Cell.

    M ./dft/ct.c -3 +7
    M ./dft/ct.h -2 +8
    M ./dft/dft.h -15
    M ./dft/dftw-direct.c -2 +2
    M ./dft/dftw-directsq.c -2 +3
    M ./dft/dftw-generic.c -2 +2
    M ./dft/dftw-genericbuf.c -2 +2
    M ./dft/vrank-geq1.c -4
    M ./threads/ct.c -1 +3
    M ./threads/threads.h -1 +3

Mon Jan 22 09:28:35 EST 2007  athena@fftw.org
  * Merge multiplications by twiddle with multiplications by i for faster r2c transforms.

    M ./genfft/algsimp.ml +4
    M ./genfft/simd.ml +4
    M ./simd/simd-altivec.h +24
    M ./simd/simd-sse.h +18
    M ./simd/simd-sse2.h +18

Sun Jan 21 19:02:44 EST 2007  athena@fftw.org
  * Disabled vector recursion, too messy.

    M ./dft/dft.h -2 +13

Sun Jan 21 14:23:35 EST 2007  athena@fftw.org
  * Changed heuristics for vector recursion.
  
  As in fftw-3.1, NO_VRECURSE disables vector recursion.  As an
  exception, however, vector recursion is allowed when the predicate
  VRECURSE_ANYWAYP is true.  We need some form of vector recursion to
  obtain decent plans on Cell, and this solution captures the common
  cases without increasing planning time too much.
  

    M ./api/fftw3.h -1 +1
    M ./api/mapflags.c -2 +2
    M ./dft/ct.c -10 +6
    M ./dft/dft.h +4
    M ./dft/vrank-geq1.c -6 +3
    M ./kernel/ifftw.h -2 +2
    M ./kernel/planner.c -1 +1
    M ./rdft/ct-hc2c.c -9 +4
    M ./rdft/hc2hc.c -9 +4
    M ./rdft/vrank-geq1.c -7

Sun Dec 17 22:31:17 EST 2006  athena@fftw.org
  * fixed hc2c for vector-recursion branch

    M ./rdft/ct-hc2c.c -2 +7

Tue Dec  5 12:52:36 EST 2006  athena@fftw.org
  * switch to default vector recursion

    M ./api/fftw3.h -1 +1
    M ./api/mapflags.c -2 +2
    M ./dft/ct.c -4 +6
    M ./dft/vrank-geq1.c +7
    M ./kernel/ifftw.h -2 +2
    M ./kernel/planner.c -1 +1
    M ./rdft/hc2hc.c -2 +7
    M ./rdft/vrank-geq1.c -2 +9

Sat Jan 20 23:37:33 EST 2007  athena@fftw.org
  * Smarter algorithm for selection of nbuf.

    M ./kernel/buffered.c -8 +6

Sat Jan 20 22:15:33 EST 2007  athena@fftw.org
  * Increased buffer sizes according to Moore's law.

    M ./kernel/buffered.c -3 +5

Fri Jan 19 16:02:00 EST 2007  stevenj@fftw.org
  * fix another MPI synchronization bug -- several more places where cost_hook must be called to synchronized process timings (sigh)

    M ./api/flops.c -3 +3
    M ./kernel/ifftw.h -4 +5
    M ./kernel/planner.c -10 +6
    M ./kernel/timer.c -4 +15
    M ./mpi/api.c -3 +1

Fri Jan 19 12:08:07 EST 2007  athena@fftw.org
  * Set havewisdom=0 when calling forget_wisdom() in the test program.

    M ./tests/fftw-bench.c -1 +3

Fri Jan 19 10:29:56 EST 2007  stevenj@fftw.org
  * remove redundant check

    M ./kernel/planner.c -4 +1

Thu Jan 18 22:37:59 EST 2007  stevenj@fftw.org
  * fixed potential (unlikely) bug in wisdom import (triggered when importing impatient wisdom after creating more patient plans, but apparently only for nonstandard configure.c configurations)

    M ./kernel/planner.c -1 +5

Thu Jan 18 21:50:14 EST 2007  stevenj@fftw.org
  * added functions to gather/broadcast wisdom for MPI

    M ./configure.ac -3 +8
    M ./mpi/Makefile.am -1 +1
    M ./mpi/api.c -3 +3
    M ./mpi/fftw3-mpi.h -1 +5
    M ./mpi/mpi-bench.c -19 +40
    A ./mpi/wisdom-api.c
    M ./tests/bench.c +10
    M ./tests/fftw-bench.c -3 +3
    M ./tests/fftw-bench.h +2

Thu Jan 11 18:33:17 EST 2007  stevenj@fftw.org
  * whoops, another int/INT bug

    M ./mpi/transpose-pairwise.c -1 +1

Thu Jan 11 17:42:24 EST 2007  stevenj@fftw.org
  * whoops, fixed bug in transpose-recurse for r != m

    M ./mpi/transpose-recurse.c -10 +10

Thu Jan 11 17:25:36 EST 2007  stevenj@fftw.org
  * canonicalize mpi-transposed flags by setting TRANSPOSED_IN/OUT where possible

    M ./mpi/transpose-problem.c -1 +8

Thu Jan 11 17:16:24 EST 2007  stevenj@fftw.org
  * replace transpose-radix2 with much more general transpose-recurse solver

    M ./kernel/Makefile.am -3 +3
    M ./kernel/ifftw.h +5
    M ./kernel/tensor2.c -21
    A ./kernel/tensor3.c
    M ./mpi/Makefile.am -1 +1
    M ./mpi/conf.c -1 +1
    M ./mpi/dft-rank-geq2-transposed.c -1
    M ./mpi/mpi-bench.c +1
    M ./mpi/mpi-transpose.h -1 +1
    R ./mpi/transpose-radix2.c
    A ./mpi/transpose-recurse.c

Wed Jan 10 20:23:48 EST 2007  stevenj@fftw.org
  * rename transpose-inplace to transpose-pairwise, as the algorithm is not restricted to inplace operation

     ./mpi/transpose-inplace.c -> ./mpi/transpose-pairwise.c
    M ./mpi/Makefile.am -1 +1
    M ./mpi/conf.c -1 +1
    M ./mpi/mpi-transpose.h -1 +1
    M ./mpi/testsched.c -1 +1
    M ./mpi/transpose-pairwise.c -9 +9

Wed Jan 10 14:39:08 EST 2007  stevenj@fftw.org
  * whoops, some int/INT bugs

    M ./mpi/api.c -2 +2
    M ./mpi/block.c -3 +3
    M ./mpi/ifftw-mpi.h -5 +5

Tue Jan  9 18:50:07 EST 2007  stevenj@fftw.org
  * fix FAQ Makefile for vpath builds

    M ./doc/FAQ/Makefile.am -4 +7
    M ./doc/FAQ/fftw-faq.bfnn -1 +1

Tue Jan  9 20:22:11 EST 2007  athena@fftw.org
  * Missing ``static'' keyword.

    M ./rdft/direct-r2c.c -2 +2

Tue Jan  9 20:13:18 EST 2007  athena@fftw.org
  * Minor cleanup.

    M ./dft/direct.c -27 +16

Tue Jan  9 00:04:03 EST 2007  stevenj@fftw.org
  * interleave twiddle mults with DFTs (should we use dftw?)

    M ./mpi/dft-rank1.c -41 +44

Mon Jan  8 18:35:41 EST 2007  stevenj@fftw.org
  * simplified (and somewhat sped up) dft-rank1 by exploiting dft-rank1-bigvec

    M ./mpi/dft-rank-geq2-transposed.c -1 +1
    M ./mpi/dft-rank-geq2.c -1 +1
    M ./mpi/dft-rank1-bigvec.c -2 +4
    M ./mpi/dft-rank1.c -175 +181
    M ./mpi/transpose-alltoall.c -6 +3
    M ./mpi/transpose-inplace.c -6 +3
    M ./mpi/transpose-radix2.c -7 +2

Sun Jan  7 00:31:31 EST 2007  stevenj@fftw.org
  * rearranged TRANSPOSED format, numerous speedups
  
  Split the TRANSPOSED and non-TRANSPOSED rank-geq2 solvers, and changed
  the DFT TRANSPOSED format to be more like fftw2 (both globally and
  locally transposed).  In general, more emphasis on arranging the data
  contiguously for the DFTs, and more flexibility in intermediate
  transposed formats.  Also disable NO_SLOW when planning transposes,
  since otherwise non-square in-place transposes gratuitously put the
  planner in SLOW mode.
  
  Currently, dft-rank1-bigvec has 5 variants (or 10, if DESTROY_INPUT).
  It looks like only 2 of these are commonly used, so I should probably
  add some UGLY tags once I do more benchmarking.

    M ./mpi/Makefile.am -1 +1
    M ./mpi/api.c -14 +34
    M ./mpi/conf.c +1
    M ./mpi/dft-problem.c -2 +12
    A ./mpi/dft-rank-geq2-transposed.c
    M ./mpi/dft-rank-geq2.c -131 +60
    M ./mpi/dft-rank1-bigvec.c -77 +123
    M ./mpi/dft-rank1.c -2 +2
    M ./mpi/ifftw-mpi.h -2 +3
    M ./mpi/mpi-bench.c +13
    M ./mpi/mpi-dft.h -1 +2
    M ./mpi/transpose-alltoall.c -32 +39
    M ./mpi/transpose-inplace.c -53 +69
    M ./mpi/transpose-radix2.c -37 +43

Thu Jan  4 19:13:17 EST 2007  stevenj@fftw.org
  * add bench_cost_postprocess to prevent deadlocks in mpi-bench

    M ./libbench2/Makefile.am -5 +6
    A ./libbench2/bench-cost-postprocess.c
    M ./libbench2/bench-user.h +1
    M ./libbench2/speed.c -2 +2
    M ./mpi/mpi-bench.c +7

Thu Jan  4 16:46:29 EST 2007  stevenj@fftw.org
  * whoops

    M ./m4/acx_pthread.m4 -1 +1

Wed Jan  3 14:23:42 EST 2007  stevenj@fftw.org
  * pass proper pointer types as arguments, so that ACX_PTHREAD still works with C++ and -Werror (thanks to Ewald Arnold for the suggestion)

    M ./m4/acx_pthread.m4 -3 +6

Mon Jan  1 19:30:43 EST 2007  athena@fftw.org
  * Renamed [io]vs => [io]vs_by_nbuf, which is more appropriate and would have saved me 30mins debugging.

    M ./dft/buffered.c -6 +6

Mon Jan  1 18:52:38 EST 2007  stevenj@fftw.org
  * add --with-g77-wrappers option & always include g77 wrappers on GNU systems and/or with gfortran
  
  Upcoming GNU/Linux distros will most likely switch to configuring FFTW 
  with gfortran by default, since g77 isn't even included with recent gcc 
  versions.  However, we still want to include g77-compatible wrappers in
  this case (two underscores) in addition to gfortran wrappers (one
  underscore) lest we silently break binary compatibility and provoke
  lots of annoying emails.

    M ./api/x77.h +6
    M ./configure.ac +11

Mon Jan  1 16:48:36 EST 2007  stevenj@fftw.org
  * use AC_HELP_STRING for --disable-fortran

    M ./configure.ac -1 +1

Mon Jan  1 15:56:12 EST 2007  stevenj@fftw.org
  * terminology

    M ./doc/FAQ/fftw-faq.bfnn -1 +1

Sat Dec 30 16:18:35 EST 2006  athena@fftw.org
  * Free buffers before calling cldrest.

    M ./dft/buffered.c -2 +2
    M ./rdft/buffered.c -4 +4

Fri Dec 29 10:52:15 EST 2006  athena@fftw.org
  * Removed obsolete code.

    M ./simd/simd-sse.h -22 +9

Thu Dec 28 21:37:48 EST 2006  athena@fftw.org
  * Attempt to work-around old gcc bugs in a more efficient fashion that does not lose performance on newer gcc's.

    M ./simd/simd-sse.h -13 +24

Thu Dec 28 16:10:33 EST 2006  athena@fftw.org
  * Make sure that the speed() input is zero even in paranoid mode.

    M ./libbench2/speed.c +6

Thu Dec 28 11:41:46 EST 2006  athena@fftw.org
  * cld0 and cldm problems must be tainted because they are used in a v-loop.

    M ./rdft/ct-hc2c-direct.c -2 +5
    M ./rdft/hc2hc-direct.c -2 +3

Wed Dec 27 17:17:45 EST 2006  athena@fftw.org
  * Run paranoid-check in patient mode.

    M ./tests/Makefile.am -5 +5

Wed Dec 27 10:51:42 EST 2006  athena@fftw.org
  * Fixed incorrect initialization to zero.

    M ./rdft/problem2.c -1 +1

Wed Dec 27 09:33:02 EST 2006  athena@fftw.org
  * Fixed wrong TAINT()

    M ./rdft/buffered2.c -1 +1

Tue Dec 26 22:50:28 EST 2006  athena@fftw.org
  * Grrrrr...

    M ./libbench2/verify-rdft2.c -1 +1

Tue Dec 26 22:48:44 EST 2006  athena@fftw.org
  * Give up trying to verify rdft2 when vrank=-infinity.

    M ./libbench2/verify-rdft2.c +3

Tue Dec 26 22:31:38 EST 2006  athena@fftw.org
  * typo

    M ./dft/direct.c -1 +2

Tue Dec 26 21:54:53 EST 2006  athena@fftw.org
  * Correctly verify rdft2 when vrank = -infinity.

    M ./libbench2/verify-rdft2.c -1 +1

Tue Dec 26 21:25:02 EST 2006  athena@fftw.org
  * rdft/buffered2.c now generates rdft2 subproblems, not rdft.
  
  The old rdft2->rdft reduction is now in rdft/rdft2-rdft.c
  and still does way too much.

    M ./TODO -3
    M ./rdft/Makefile.am -1 +1
    M ./rdft/buffered.c -1 +1
    M ./rdft/buffered2.c -190 +200
    M ./rdft/conf.c +1
    M ./rdft/problem2.c -5 +6
    M ./rdft/rdft.h -1 +2
    M ./rdft/rdft2-inplace-strides.c -5 +5
    A ./rdft/rdft2-rdft.c
    M ./rdft/rdft2-strides.c -5 +5
    M ./rdft/vrank-geq1-rdft2.c -11 +10

Tue Dec 26 14:03:27 EST 2006  athena@fftw.org
  * Buffer the input in hc2r problems, as opposed to the output.

    M ./rdft/buffered.c -34 +104
    M ./rdft/buffered2.c -1

Tue Dec 26 10:02:59 EST 2006  athena@fftw.org
  * streamlined buffered solvers

    M ./dft/buffered.c -66 +14
    M ./kernel/buffered.c -4 +25
    M ./kernel/ifftw.h -1 +4
    M ./kernel/primes.c +11
    M ./rdft/buffered.c -63 +13
    M ./rdft/buffered2.c -54 +7

Mon Dec 25 16:08:22 EST 2006  athena@fftw.org
  * c++ compatibility

    M ./libbench2/verify-r2r.c -2 +2

Sun Dec 24 20:27:23 EST 2006  athena@fftw.org
  * Gratuitous renaming of directories and files since the old naming was becoming too inconsistent for my taste.

     ./dft/codelets -> ./dft/scalar
     ./dft/scalar/standard -> ./dft/scalar/codelets
     ./rdft/codelets -> ./rdft/scalar
    M ./Makefile.am -14 +15
    M ./configure.ac -6 +6
    M ./dft/Makefile.am -1 +1
    M ./dft/scalar/Makefile.am -3 +3
    M ./dft/scalar/codelets/Makefile.am -3 +3
    M ./dft/simd/codelets/Makefile.am -2 +2
    M ./doc/fftw3.texi -4 +4
    M ./rdft/Makefile.am -1 +1
    M ./rdft/scalar/Makefile.am -2 +2
    M ./rdft/scalar/r2cb/Makefile.am -3 +3
    M ./rdft/scalar/r2cf/Makefile.am -3 +3
    M ./rdft/scalar/r2r/Makefile.am -3 +3

Sun Dec 24 20:11:50 EST 2006  athena@fftw.org
  * Fixed another dftw bug (sigh)

    M ./threads/ct.c -7 +3

Sun Dec 24 11:48:01 EST 2006  athena@fftw.org
  * Removed debugging leftovers.

    M ./dft/dftw-genericbuf.c -2 +2

Sun Dec 24 11:34:17 EST 2006  athena@fftw.org
  * Moved dftw-generic* to new dftw protocol.

    M ./dft/dftw-generic.c -30 +24
    M ./dft/dftw-genericbuf.c -13 +13

Sun Dec 24 09:37:19 EST 2006  athena@fftw.org
  * Oops

    M ./tests/hook.c -1 +1

Sun Dec 24 09:31:46 EST 2006  athena@fftw.org
  * Fixed wrong verification of rank-1 rdft2

    M ./tests/hook.c -4 +6

Sat Dec 23 20:11:29 EST 2006  athena@fftw.org
  * minor tweaks

    M ./dft/dftw-direct.c -2 +4

Sat Dec 23 19:50:03 EST 2006  athena@fftw.org
  * Removed obsolete items.

    M ./TODO -13

Sat Dec 23 17:56:37 EST 2006  athena@fftw.org
  * Modified the problem_dftw invocation protocol.
  
  apply() now requires pointers to the beginning of the full array.
  Each thread processes a slice mb <= m < me.  This protocol is
  consistent with the one used in hc2hc, where there is no other choice.
  
  

    M ./dft/dftw-direct.c -27 +31
    M ./dft/dftw-directsq.c -1 +3
    M ./threads/ct.c -7 +2

Sat Dec 23 16:18:25 EST 2006  athena@fftw.org
  * typo

    M ./simd/simd-altivec.h -1 +1

Sat Dec 23 16:06:56 EST 2006  athena@fftw.org
  * changed hc2hc twiddle storage to be the same as hc2c

    M ./genfft/gen_hc2hc.ml -2 +3
    M ./rdft/hc2hc-direct.c -14 +11

Sat Dec 23 15:16:36 EST 2006  athena@fftw.org
  * Allowed extra_iter in dftw-direct.  Rationalized twiddle factors in hc2c.

    M ./dft/dftw-direct.c -10 +38
    M ./dft/simd/Makefile.am -1 +1
    M ./dft/simd/codelets/Makefile.am -1 +12
    M ./dft/simd/t.c -2 +45
    A ./dft/simd/t1bu.h
    A ./dft/simd/t1fu.h
    M ./genfft/gen_hc2c.ml -2 +3
    M ./genfft/gen_hc2cdft.ml -2 +3
    M ./genfft/gen_hc2cdft_c.ml -1 +1
    M ./genfft/gen_hc2hc.ml -1 +1
    M ./genfft/gen_twiddle.ml -1 +1
    M ./genfft/gen_twiddle_c.ml -1 +1
    M ./genfft/gen_twidsq.ml -1 +1
    M ./genfft/gen_twidsq_c.ml -1 +1
    M ./genfft/twiddle.ml -12 +10
    M ./genfft/twiddle.mli -1 +1
    M ./kernel/twiddle.c -4 +8
    M ./rdft/ct-hc2c-direct.c -4 +7
    M ./rdft/simd/hc2cbv.h -2 +2
    M ./rdft/simd/hc2cfv.h -2 +2
    M ./simd/simd-altivec.h -12 +9
    M ./simd/simd-sse.h -12 +9
    M ./simd/simd-sse2.h -11 +6

Sat Dec 23 10:37:11 EST 2006  athena@fftw.org
  * Implemented unmentionable hack to use 4-way SIMD with an odd number of
  iterations.

    M ./dft/direct.c -9 +34
    M ./rdft/ct-hc2c-direct.c -43 +88
    M ./simd/simd-altivec.h -1 +3
    M ./simd/simd-sse.h -1 +3

Fri Dec 22 22:13:30 EST 2006  athena@fftw.org
  * altivec support for new codelets

    M ./simd/simd-altivec.h -7 +28

Fri Dec 22 19:09:15 EST 2006  athena@fftw.org
  * fixed incorrect computation of W

    M ./genfft/gen_hc2cdft_c.ml -1 +1

Fri Dec 22 18:51:22 EST 2006  athena@fftw.org
  * Implemented 4-way simd hc2cdftv
  
  Also eliminated the twiddle_shift hack.  A zillion changes dictated 
  by this choice, which was in turn necessary for the hc2cdftv thing
  to work.
  

    M ./Makefile.am -13 +8
    M ./configure.ac -3
    M ./dft/codelet-dft.h -9 +9
    M ./dft/codelets/t.c -4 +4
    M ./dft/dftw-direct.c -35 +30
    M ./dft/dftw-directsq.c -7 +4
    M ./dft/simd/q1b.c -6 +6
    M ./dft/simd/q1f.c -6 +6
    M ./dft/simd/t.c -14 +14
    M ./dft/simd/t3b.h +1
    M ./dft/simd/t3f.h +1
    M ./dft/simd/ts.c -6 +6
    M ./dft/simd/ts.h +1
    M ./genfft/Makefile.am -17 +10
    R ./genfft/gen_conv.ml
    M ./genfft/gen_hc2c.ml -25 +19
    M ./genfft/gen_hc2cdft.ml -19 +19
    M ./genfft/gen_hc2cdft_c.ml -20 +24
    M ./genfft/gen_hc2hc.ml -23 +17
    M ./genfft/gen_mdct.ml -9 +9
    M ./genfft/gen_notw.ml -8 +8
    M ./genfft/gen_notw_c.ml -6 +6
    M ./genfft/gen_r2cb.ml -9 +9
    M ./genfft/gen_r2cf.ml -9 +9
    M ./genfft/gen_r2r.ml -6 +6
    M ./genfft/gen_twiddle.ml -37 +39
    M ./genfft/gen_twiddle_c.ml -38 +42
    M ./genfft/gen_twidsq.ml -42 +44
    M ./genfft/gen_twidsq_c.ml -44 +47
    M ./genfft/genutil.ml -6 +6
    M ./genfft/simd.ml -6 +7
    M ./genfft/simd.mli -2 +1
    M ./genfft/variable.ml -7 +12
    M ./genfft/variable.mli -1 +3
    M ./kernel/ifftw.h -7
    M ./kernel/twiddle.c -14
    M ./rdft/codelet-rdft.h -5 +5
    M ./rdft/codelets/hc2c.c -2 +2
    M ./rdft/conf.c -1 +1
    M ./rdft/ct-hc2c-direct.c -47 +36
    M ./rdft/ct-hc2c.c -1 +3
    M ./rdft/hc2hc-direct.c -39 +31
    M ./rdft/simd/codelets/Makefile.am -2 +2
    M ./rdft/simd/hc2cbv.c -7 +8
    M ./rdft/simd/hc2cbv.h -4 +3
    M ./rdft/simd/hc2cfv.c -7 +8
    M ./rdft/simd/hc2cfv.h -4 +3
    M ./simd/simd-sse.h +4
    M ./simd/simd-sse2.h -3 +5
    M ./simd/simd.h -2
    M ./tests/Makefile.am +9

Fri Dec 22 08:45:46 EST 2006  athena@fftw.org
  * Fixed verification of rdft2 problems with new format.

    M ./tests/hook.c -1 +5

Fri Dec 22 00:05:59 EST 2006  athena@fftw.org
  * Added file

    A ./rdft/simd/Makefile.am

Fri Dec 22 00:02:50 EST 2006  athena@fftw.org
  * Hmm, previous commit did not work

    A ./rdft/simd/
    A ./rdft/simd/codelets/
    A ./rdft/simd/codelets/Makefile.am
    A ./rdft/simd/hc2hcv.h
     ./rdft/simd/hc2hcv.h -> ./rdft/simd/hc2cfv.h
    A ./rdft/simd/hc2cbv.h
    A ./rdft/simd/hc2cv.c
     ./rdft/simd/hc2cv.c -> ./rdft/simd/hc2cfv.c
    M ./rdft/simd/codelets/Makefile.am +51
    A ./rdft/simd/hc2cbv.c
    M ./rdft/simd/hc2cbv.h +29
    M ./rdft/simd/hc2cfv.c +41
    M ./rdft/simd/hc2cfv.h +29

Thu Dec 21 23:58:33 EST 2006  athena@fftw.org
  * Added SIMD r2cdft codelets.

    A ./genfft/gen_hc2cdft_c.ml
    M ./Makefile.am -14 +22
    M ./configure.ac +5
    M ./dft/simd/n1b.h -1
    M ./dft/simd/n1f.h -1
    M ./dft/simd/n2b.h -1
    M ./dft/simd/n2f.h -1
    M ./dft/simd/n2s.h -1
    M ./genfft/Makefile.am -8 +14
    M ./genfft/algsimp.ml -2 +12
    M ./genfft/c.ml +1
    M ./genfft/expr.ml -1 +3
    M ./genfft/expr.mli -1 +1
    M ./genfft/gen_hc2cdft_c.ml +217
    M ./genfft/simd.ml -2 +9
    M ./genfft/to_alist.ml +1
    M ./kernel/ifftw.h +6
    M ./rdft/Makefile.am -1 +1
    M ./rdft/codelet-rdft.h +5
    M ./rdft/codelets/hc2c.c -2 +12
    M ./rdft/conf.c +4
    M ./rdft/ct-hc2c-direct.c -5 +60
    M ./rdft/hc2hc-direct.c -5
    M ./rdft/hc2hc.h -2
    M ./rdft/khc2hc.c -1
    M ./simd/nonportable/sse.c -9 +4
    M ./simd/nonportable/sse2.c -9 +4
    M ./simd/simd-sse.h -4 +4
    M ./simd/simd-sse2.h -4 +7
    M ./simd/sse.c -2 +2
    M ./simd/sse2.c -2 +2
    M ./support/Makefile.codelets +1

Thu Dec 21 21:19:21 EST 2006  athena@fftw.org
  * Bug in buffering, grrr...

    M ./rdft/ct-hc2c-direct.c -1 +1

Thu Dec 21 20:58:14 EST 2006  athena@fftw.org
  * Oops, memory leak.

    M ./rdft/hc2hc-direct.c +1

Thu Dec 21 17:12:31 EST 2006  athena@fftw.org
  * minor changes, cleanup.

    M ./rdft/ct-hc2c.c -2
    M ./rdft/hc2hc.c -16 +10
    M ./threads/hc2hc.c -17 +12

Wed Dec 20 22:09:28 EST 2006  athena@fftw.org
  * Unified hc2hc-direct, hc2hc-directbuf.  Cleanup.

    M ./rdft/Makefile.am -4 +3
    M ./rdft/ct-hc2c-direct.c -8 +8
    R ./rdft/hc2hc-common.c
    M ./rdft/hc2hc-direct.c -44 +153
    R ./rdft/hc2hc-directbuf.c
    M ./rdft/hc2hc.h -4

Wed Dec 20 17:55:56 EST 2006  athena@fftw.org
  * removed obsolete rdft2-radix2

    M ./rdft/Makefile.am -1 +1
    M ./rdft/conf.c -1
    M ./rdft/rdft.h -1
    R ./rdft/rdft2-radix2.c

Wed Dec 20 17:51:20 EST 2006  athena@fftw.org
  * implemented reduction rdft2->dft

    A ./genfft/gen_hc2cdft.ml
    M ./genfft/Makefile.am -9 +16
    M ./genfft/gen_hc2c.ml -1 +1
    M ./genfft/gen_hc2cdft.ml +207
    M ./rdft/codelet-rdft.h -2 +7
    M ./rdft/codelets/r2cb/Makefile.am -1 +12
    M ./rdft/codelets/r2cf/Makefile.am -1 +12
    M ./rdft/ct-hc2c-direct.c -5 +8
    M ./rdft/ct-hc2c.c -24 +95
    M ./rdft/ct-hc2c.h -2 +6
    M ./rdft/khc2c.c -2 +3
    M ./support/Makefile.codelets +1

Wed Dec 20 09:29:39 EST 2006  athena@fftw.org
  * Implemented buffered direct-r2c, direct-hc2c.
  Also, removed some old cruft:
  
  * okp() functions were never used and a pain to maintain---now they
    are gone.
  
  * ``m'' in hc2hc and hc2c codelets is now the number of iterations,
    not the ``logical'' m.

    M ./genfft/gen_hc2c.ml -5 +3
    M ./genfft/gen_hc2hc.ml -9 +9
    M ./genfft/gen_r2cb.ml -4 +1
    M ./genfft/gen_r2cf.ml -4 +1
    M ./genfft/gen_r2r.ml -5 +1
    M ./rdft/codelet-rdft.h -30 +4
    M ./rdft/codelets/hc2c.c -14 +2
    M ./rdft/codelets/hfb.c -14 +2
    M ./rdft/codelets/r2c.c -18 +4
    M ./rdft/codelets/r2r.c -15 +1
    M ./rdft/ct-hc2c-direct.c -37 +127
    M ./rdft/direct-r2c.c -41 +189
    M ./rdft/direct-r2r.c -15 +6
    M ./rdft/direct2.c -20 +11
    M ./rdft/hc2hc-direct.c -23 +9
    M ./rdft/hc2hc-directbuf.c -79 +42
    M ./rdft/kr2c.c +1
    M ./rdft/rdft.h +1

Tue Dec 19 17:07:04 EST 2006  stevenj@fftw.org
  * added memcpy-loop rank0 solver (it makes a 5-20% difference for transposes of large tuples)

    M ./rdft/rank0.c +33

Tue Dec 19 16:15:54 EST 2006  stevenj@fftw.org
  * new variable to disable libbench2's problem allocation during speed benchmarking (to benchmark MPI transforms where the array does not fit into the memory of a single process)

    M ./libbench2/bench-user.h +2
    M ./libbench2/speed.c -3 +8
    M ./mpi/mpi-bench.c -5 +15

Tue Dec 19 14:55:08 EST 2006  stevenj@fftw.org
  * allow transpose-inplace to use input as scratch for DESTROY_INPUT plans (to avoid non-square in-place transpositions) ... on supersgj, the planner often prefers transpose-inplace to transpose-alltoall in this case (apparently MPI_Alltoall in LAM MPI isn't that great)

    M ./mpi/transpose-inplace.c -52 +99

Tue Dec 19 17:07:14 EST 2006  athena@fftw.org
  * For some reason HB2 codelets were not generated.

    M ./rdft/codelets/r2cb/Makefile.am -2 +2
    M ./rdft/codelets/r2cf/Makefile.am -1 +1

Tue Dec 19 15:12:39 EST 2006  athena@fftw.org
  * split rdft/direct.c into direct-r2r and direct-r2c, since the file was getting out of control.

    A ./rdft/direct-r2c.c
    A ./rdft/direct-r2r.c
    R ./rdft/direct.c
    M ./rdft/Makefile.am -4 +5
    M ./rdft/direct-r2c.c +195
    M ./rdft/direct-r2r.c +154

Tue Dec 19 02:59:35 EST 2006  stevenj@fftw.org
  * added dft-rank1 solver - MPI now supports 1d complex DFTs!

    M ./mpi/Makefile.am -2 +2
    M ./mpi/api.c -9 +54
    A ./mpi/choose-radix.c
    M ./mpi/conf.c +1
    M ./mpi/dft-problem.c -2 +2
    A ./mpi/dft-rank1.c
    M ./mpi/fftw3-mpi.h -2 +8
    M ./mpi/ifftw-mpi.h +4
    M ./mpi/mpi-bench.c -25 +24
    M ./mpi/mpi-dft.h -4 +5
    M ./mpi/mpi-transpose.h -3 +3
    M ./mpi/transpose-problem.c -1 +1
    M ./tests/bench.c -8 +8
    M ./tests/fftw-bench.h -1 +1

Tue Dec 19 01:27:20 EST 2006  stevenj@fftw.org
  * fftw_flops must call cost_hook directly; iestimate_cost always uses COST_MAX

    M ./api/flops.c -1 +7
    M ./kernel/ifftw.h -2 +2
    M ./kernel/planner.c -4 +3

Tue Dec 19 01:16:54 EST 2006  stevenj@fftw.org
  * fftw_flops and fftw_estimate_cost must now be called from every process, to prevent deadlocks in the MPI code (since they sum/max the cost over all processes)

    M ./tests/fftw-bench.c -7 +11

Tue Dec 19 00:55:34 EST 2006  stevenj@fftw.org
  * whoops, typo in assert

    M ./mpi/block.c -1 +1

Tue Dec 19 00:51:07 EST 2006  stevenj@fftw.org
  * remove multiplication by FFT_SIGN

    M ./kernel/trig.c -2 +7

Mon Dec 18 22:51:45 EST 2006  stevenj@fftw.org
  * need to synchronize ESTIMATE costs in MPI planner, and sum ESTIMATE costs for flop reporting: generalize measure_hook to cost_hook(..., {COST_SUM, COST_MAX})

    M ./api/flops.c -1 +1
    M ./kernel/ifftw.h -3 +6
    M ./kernel/planner.c -8 +12
    M ./mpi/api.c -6 +7

Mon Dec 18 15:36:15 EST 2006  stevenj@fftw.org
  * previous patch slowed down transpose-alltoall when TRANSPOSED_IN and DESTROY_INPUT; now allow planner to choose old behavior in this case 

    M ./mpi/transpose-alltoall.c -11 +31

Mon Dec 18 15:15:39 EST 2006  stevenj@fftw.org
  * transpose-alltoall doesn't require input to be destroyed if TRANSPOSED_IN is set

    M ./mpi/transpose-alltoall.c -26 +41

Mon Dec 18 17:41:25 EST 2006  athena@fftw.org
  * Added t2-style hc2c codelets, fixed typos.

    M ./api/plan-guru-dft-c2r.h -1 +1
    M ./api/plan-guru-dft-r2c.h -1 +1
    M ./api/plan-guru-dft.h -2 +2
    M ./rdft/codelets/r2cb/Makefile.am -1 +9
    M ./rdft/codelets/r2cf/Makefile.am -1 +9

Mon Dec 18 16:02:42 EST 2006  athena@fftw.org
  * Renamed certain variables to avoid calling an output stride `is'.

    M ./rdft/codelet-rdft.h -1 +1
    M ./rdft/direct.c -17 +17
    M ./rdft/direct2.c -7 +7

Mon Dec 18 15:54:43 EST 2006  athena@fftw.org
  * Oops---wrong stride

    M ./rdft/ct-hc2c.c -1 +1

Mon Dec 18 14:59:16 EST 2006  athena@fftw.org
  * Oops, forgot to add file

    A ./rdft/kr2c.c

Mon Dec 18 14:17:02 EST 2006  athena@fftw.org
  * Renamed r2hc/hc2r codelets to r2c
  After the recent changes, r2hc/hc2r codelets became rdft2
  problems, so I renamed them accordingly to r2cf/r2cb. 
  Codelet parameters are now a real array and a complex array, instead
  of an input array and an output array, and forward and backward
  codelets have the same type, which removes some clutter from the rdft
  code.

     ./genfft/gen_hc2r.ml -> ./genfft/gen_r2cb.ml
     ./genfft/gen_r2hc.ml -> ./genfft/gen_r2cf.ml
     ./rdft/codelets/hc2r -> ./rdft/codelets/r2cb
     ./rdft/codelets/r2hc -> ./rdft/codelets/r2cf
    A ./rdft/codelets/r2c.c
    A ./rdft/codelets/r2cb.h
    A ./rdft/codelets/r2cbIII.h
    A ./rdft/codelets/r2cf.h
    A ./rdft/codelets/r2cfII.h
    M ./Makefile.am -2 +2
    M ./configure.ac -2 +2
    M ./doc/fftw3.texi -1 +1
    M ./genfft/Makefile.am -9 +9
    M ./genfft/gen_r2cb.ml -58 +51
    M ./genfft/gen_r2cf.ml -58 +51
    M ./rdft/Makefile.am -3 +3
    M ./rdft/codelet-rdft.h -59 +16
    M ./rdft/codelets/Makefile.am -3 +3
    R ./rdft/codelets/hc2r.c
    R ./rdft/codelets/hc2r.h
    R ./rdft/codelets/hc2rIII.h
    M ./rdft/codelets/r2c.c +51
    M ./rdft/codelets/r2cb/Makefile.am -21 +21
    M ./rdft/codelets/r2cb.h +23
    M ./rdft/codelets/r2cbIII.h +23
    M ./rdft/codelets/r2cf/Makefile.am -20 +20
    M ./rdft/codelets/r2cf.h +23
    M ./rdft/codelets/r2cfII.h +23
    R ./rdft/codelets/r2hc.c
    R ./rdft/codelets/r2hc.h
    R ./rdft/codelets/r2hcII.h
    M ./rdft/conf.c -2 +2
    M ./rdft/ct-hc2c.c -2 +2
    M ./rdft/direct.c -46 +28
    M ./rdft/direct2.c -72 +23
    R ./rdft/khc2r.c
    R ./rdft/kr2hc.c
    M ./rdft/rdft.h -4 +2
    M ./support/Makefile.codelets -2 +2

Mon Dec 18 10:48:07 EST 2006  athena@fftw.org
  * Implemented backward radix-2k rdft2.

    A ./rdft/codelets/hc2cf.h
    A ./rdft/codelets/hc2cb.h
    M ./genfft/gen_hc2c.ml -26 +30
    M ./rdft/codelets/Makefile.am -1 +1
    M ./rdft/codelets/hc2c.c -1 +5
    R ./rdft/codelets/hc2c.h
    M ./rdft/codelets/hc2cb.h +23
    M ./rdft/codelets/hc2cf.h +23
    M ./rdft/codelets/hc2r/Makefile.am -1 +11
    M ./rdft/codelets/r2hc/Makefile.am -7 +7
    M ./rdft/ct-hc2c.c -3 +25
    M ./rdft/rdft2-radix2.c -72 +1

Mon Dec 18 13:56:09 EST 2006  stevenj@fftw.org
  * move extract_reim into kernel, since it is used by internal MPI stuff and not just in the API code any more

     ./api/extract-reim.c -> ./kernel/extract-reim.c
    M ./api/Makefile.am -1 +1
    M ./api/api.h -1 +1
    M ./api/plan-many-dft-c2r.c -1 +1
    M ./api/plan-many-dft-r2c.c -1 +1
    M ./api/plan-many-dft.c -2 +2
    M ./kernel/Makefile.am -5 +6
    M ./kernel/extract-reim.c -6 +6
    M ./kernel/ifftw.h +1
    M ./mpi/dft-rank-geq2.c -3
    M ./mpi/dft-rank1-bigvec.c -3
    M ./mpi/dft-serial.c -3

Mon Dec 18 08:40:14 EST 2006  athena@fftw.org
  * Do not check r1==cr unless rnk>0

    M ./rdft/problem2.c -1 +5

Sun Dec 17 21:03:50 EST 2006  athena@fftw.org
  * Implemented radix-2k RDFT2, forward only for now

    M ./api/execute-dft-c2r.c -1 +2
    M ./api/execute-dft-r2c.c -1 +2
    M ./api/execute-split-dft-c2r.c -1 +2
    M ./api/execute-split-dft-r2c.c -1 +2
    M ./api/f77funcs.h -4 +8
    M ./api/plan-guru-dft-c2r.h -8 +8
    M ./api/plan-guru-dft-r2c.h -9 +9
    M ./api/plan-guru-split-dft-c2r.h -6 +6
    M ./api/plan-guru-split-dft-r2c.h -9 +9
    M ./api/plan-many-dft-c2r.c -3 +3
    M ./api/plan-many-dft-r2c.c -1 +1
    M ./dft/problem.c -3 +5
    M ./genfft/Makefile.am -5 +11
    A ./genfft/gen_hc2c.ml
    M ./genfft/gen_hc2hc.ml -30 +30
    M ./genfft/gen_hc2r.ml -7 +16
    M ./genfft/gen_r2hc.ml -8 +18
    M ./rdft/Makefile.am -1 +2
    M ./rdft/buffered2.c -31 +45
    M ./rdft/codelet-rdft.h -11 +41
    M ./rdft/codelets/Makefile.am -1 +1
    A ./rdft/codelets/hc2c.c
    A ./rdft/codelets/hc2c.h
    M ./rdft/codelets/hc2r.c -4 +5
    M ./rdft/codelets/hfb.c -4 +4
    M ./rdft/codelets/r2hc.c -4 +5
    M ./rdft/codelets/r2hc/Makefile.am -1 +11
    A ./rdft/ct-hc2c-direct.c
    A ./rdft/ct-hc2c.c
    A ./rdft/ct-hc2c.h
    M ./rdft/direct.c -16 +21
    M ./rdft/direct2.c -15 +32
    M ./rdft/hc2hc-common.c -2 +2
    M ./rdft/hc2hc-direct.c -4 +4
    M ./rdft/hc2hc-directbuf.c -8 +8
    M ./rdft/hc2hc-generic.c -4 +3
    M ./rdft/hc2hc.c -4 +4
    A ./rdft/khc2c.c
    M ./rdft/nop2.c -7 +10
    M ./rdft/problem.c -2 +1
    M ./rdft/problem2.c -38 +117
    M ./rdft/rank-geq2-rdft2.c -13 +17
    M ./rdft/rank0-rdft2.c -35 +44
    M ./rdft/rdft.h -8 +27
    M ./rdft/rdft2-inplace-strides.c -2 +6
    M ./rdft/rdft2-radix2.c -131 +37
    M ./rdft/solve2.c -1 +3
    M ./rdft/vrank-geq1-rdft2.c -7 +7
    M ./support/Makefile.codelets +1
    M ./tests/hook.c -8 +23
    M ./threads/vrank-geq1-rdft2.c -10 +10

Mon Dec 18 01:23:45 EST 2006  stevenj@fftw.org
  * separate TRANSPOSED/SCRAMBLED flags internally (this is required so that dft-rank1-bigvec and the future dft-rank1 won't have incompatible SCRAMBLED formats)

    M ./mpi/api.c -16 +2
    M ./mpi/dft-rank-geq2.c -7 +7
    M ./mpi/dft-rank1-bigvec.c -8 +9
    M ./mpi/dft-serial.c -1 +1
    M ./mpi/ifftw-mpi.h -1 +8
    M ./mpi/mpi-dft.h -1 +2
    M ./mpi/mpi-transpose.h -2 +2
    M ./mpi/transpose-alltoall.c -3 +4
    M ./mpi/transpose-inplace.c -6 +7
    M ./mpi/transpose-radix2.c -5 +6

Mon Dec 18 01:02:27 EST 2006  stevenj@fftw.org
  * ops_add -> ops_add2 where possible, to shrink code

    M ./mpi/dft-rank-geq2.c -8 +4
    M ./mpi/dft-rank1-bigvec.c -4 +2
    M ./mpi/transpose-alltoall.c -6 +3
    M ./mpi/transpose-inplace.c -8 +4
    M ./mpi/transpose-radix2.c -10 +5
    M ./rdft/vrank3-transpose.c -9 +5

Mon Dec 18 00:43:02 EST 2006  stevenj@fftw.org
  * added dft-rank1-bigvec solver (easy case for 1d parallel transforms)

    M ./mpi/Makefile.am -1 +1
    M ./mpi/api.c -2 +14
    M ./mpi/conf.c +1
    A ./mpi/dft-rank1-bigvec.c
    M ./mpi/mpi-dft.h +1

Sun Dec 17 20:42:21 EST 2006  stevenj@fftw.org
  * rewrote MPI stuff to use dtensor data structure
  
  A dtensor is an ordered tuple of triplets (n, ib, ob) giving the size of
  a dimension (n) and its input and output block sizes of a distributed
  row-major multi-dimensional array.  An MPI DFT (etc.) is now specified
  in terms of dtensors, which provide a much more flexible data layout. 
  
  For example, we can now describe multidimensional block distributions,
  which are important if the number of processors is greater than the
  size of any given dimension.  Currently, we only have solvers for
  1d slab distributions, and this is all that is supported in the basic
  and advanced APIs.  The guru API allows one to specify more general
  distributions, however, which will be useful when/if we have solvers
  for this case.
  
  We now also don't need a TRANSPOSED flag, at least internally, since
  TRANSPOSED multi-dimensional DFT plans just correspond to dtensors
  where the input and output block distributions are different.
  
  Other changes include the use of the XM(foo) macro for X(mpi_foo).
  

    M ./mpi/Makefile.am -1 +1
    M ./mpi/any-true.c -1 +1
    M ./mpi/api.c -129 +335
    M ./mpi/block.c -32 +95
    M ./mpi/conf.c -6 +6
    M ./mpi/dft-problem.c -46 +33
    M ./mpi/dft-rank-geq2.c -60 +72
    M ./mpi/dft-serial.c -26 +20
    M ./mpi/dft-solve.c -1 +1
    A ./mpi/dtensor.c
    M ./mpi/fftw3-mpi.h -24 +38
    M ./mpi/ifftw-mpi.h -22 +60
    M ./mpi/mpi-bench.c -115 +289
    M ./mpi/mpi-dft.h -12 +13
    M ./mpi/mpi-transpose.h -10 +11
    M ./mpi/transpose-alltoall.c -17 +16
    M ./mpi/transpose-inplace.c -24 +21
    M ./mpi/transpose-problem.c -19 +18
    M ./mpi/transpose-radix2.c -13 +11
    M ./mpi/transpose-solve.c -1 +1
    M ./tests/bench.c +4
    M ./tests/fftw-bench.c +2
    M ./tests/fftw-bench.h +1

Fri Dec 15 16:01:23 EST 2006  athena@fftw.org
  * Distinguished mutexes from semaphores.  
  The distinction is useful because the linux implementation of
  sem_post() in unnecessarily slow when semaphores are used for mutual
  exclusion.  This change made spinlocks messier to implement, so I
  excised them.

    M ./tests/fftw-bench.c -8
    M ./threads/threads.c -105 +40

Fri Dec 15 12:46:11 EST 2006  athena@fftw.org
  * Use posix semaphores where available.  
  Paranoid declaration of all shared variables as ``volatile''.  Paranoid
  initialization of all shared variables within locks.

    M ./threads/threads.c -36 +68

Wed Dec 13 20:12:13 EST 2006  Matteo Frigo <athena@fftw.org>
  * paranoia

    M ./threads/threads.c -2 +2

Tue Dec 12 17:28:13 EST 2006  stevenj@fftw.org
  * punt on detecting unsolvable rdft2 problems; make r==iio rdft2 problems unsolvable, since it doesn't look like we've consistently checked for this case and it's not clear why we would want to support it (it was also not documented in the manual)

    M ./doc/fftw3.texi -1 +2
    M ./rdft/problem2.c -30 +2

Sat Dec  9 12:14:13 EST 2006  athena@fftw.org
  * Obey stupid const rules

    M ./api/api.h -2 +2
    M ./api/apiplan.c -1 +1
    M ./dft/dft.h -3 +3
    M ./dft/indirect.c -4 +4
    M ./dft/problem.c -9 +8
    M ./kernel/ifftw.h -5 +5
    M ./kernel/planner.c -2 +2
    M ./kernel/problem.c -4 +4
    M ./rdft/buffered2.c -1 +1
    M ./rdft/dht-rader.c -1 +1
    M ./rdft/indirect.c -4 +4
    M ./rdft/problem.c -14 +13
    M ./rdft/problem2.c -9 +8
    M ./rdft/rank-geq2-rdft2.c -1 +1
    M ./rdft/rdft-dht.c -1 +1
    M ./rdft/rdft.h -13 +13
    M ./rdft/rdft2-radix2.c -5 +5

Fri Dec  8 18:21:50 EST 2006  stevenj@fftw.org
  * added unsolvable check for rdft2 problem
  
  An in-place rdft2 problem is ill-formed if the real data, including the 
  extra "padding" elements, do not coincide with the complex data.
  
  CHANGE: the new code considers all in-place split r2c and c2r problems 
  to be ill-formed.  Previously, these could be done, but only if the
  entire multi-dimensional array fit into the buffer, which is kind of 
  stupid.  I'm not sure it's worth it to even try to support the
  split in-place r2c case.

    M ./rdft/problem2.c -1 +33

Fri Dec  8 13:47:53 EST 2006  stevenj@fftw.org
  * check in-placeness after joining taints

    M ./dft/problem.c -9 +9

Fri Dec  8 13:43:44 EST 2006  athena@fftw.org
  * Grrr... paranoid-check was not testing in exhaustive mode

    M ./tests/Makefile.am -5 +5

Fri Dec  8 10:00:30 EST 2006  Matteo Frigo <athena@fftw.org>
  * Implemented PROBLEM_UNSOLVABLE.  
  In-place DFT and RDFT problems with inconsistent I/O strides are
  now unsolvable, and we don't check for them any longer in solvers.
  
  While I was at it, declared all problem pointers to be ``const''
  for extra safety.

    M ./api/api.h -2 +2
    M ./api/apiplan.c -3 +5
    M ./dft/buffered.c -4 +1
    M ./dft/dft.h -4 +4
    M ./dft/direct.c -8 +6
    M ./dft/indirect.c -4 +4
    M ./dft/problem.c -11 +15
    M ./dft/vrank-geq1.c -3
    M ./kernel/ifftw.h -6 +10
    M ./kernel/planner.c -6 +6
    M ./kernel/problem.c -1 +40
    M ./rdft/buffered.c -4 +1
    M ./rdft/buffered2.c -1 +1
    M ./rdft/dht-rader.c -1 +1
    M ./rdft/direct.c -4 +3
    M ./rdft/indirect.c -4 +4
    M ./rdft/problem.c -14 +17
    M ./rdft/problem2.c -10 +10
    M ./rdft/rank-geq2-rdft2.c -1 +1
    M ./rdft/rdft-dht.c -1 +1
    M ./rdft/rdft.h -13 +13
    M ./rdft/rdft2-radix2.c -5 +5
    M ./rdft/vrank-geq1.c -2

Thu Dec  7 20:13:46 EST 2006  Matteo Frigo <athena@fftw.org>
  * Avoid qsort'ing one element.

    M ./kernel/tensor7.c -6 +2

Thu Dec  7 18:25:47 EST 2006  Matteo Frigo <athena@fftw.org>
  * In-place vrank>=1 is now applicable only if the problem is really in-place.

    M ./dft/buffered.c -7 +12
    M ./dft/direct.c -11 +11
    M ./dft/vrank-geq1.c +3
    M ./kernel/ifftw.h +2
    M ./kernel/tensor7.c +41
    M ./rdft/buffered.c -7 +12
    M ./rdft/direct.c -7 +5
    M ./rdft/vrank-geq1.c +2

Tue Dec  5 12:21:38 EST 2006  athena@fftw.org
  * unused variable

    M ./kernel/align.c +1

Sun Dec  3 19:16:33 EST 2006  Matteo Frigo <athena@fftw.org>
  * Removed CVS $Id$ everywhere, since darcs does not update them.

    M ./api/fftw3.h -1
    M ./api/version.c -1
    M ./commercialize.sh +1
    M ./dft/buffered.c -1
    M ./dft/codelet-dft.h -1
    M ./dft/codelets/standard/Makefile.am +1
    M ./dft/conf.c -1
    M ./dft/ct.c -1
    M ./dft/dft.h -1
    M ./dft/dftw-direct.c -1
    M ./dft/dftw-directsq.c -1
    M ./dft/direct.c -1
    M ./dft/indirect.c -1
    M ./dft/kdft-dif.c -1
    M ./dft/kdft-difsq.c -1
    M ./dft/kdft-dit.c -1
    M ./dft/kdft.c -1
    M ./dft/nop.c -1
    M ./dft/plan.c -1
    M ./dft/problem.c -1
    M ./dft/rank-geq2.c -1
    M ./dft/solve.c -1
    M ./dft/vrank-geq1.c -1
    M ./dft/zero.c -1
    M ./doc/fftw3.texi -1
    M ./genfft/algsimp.ml -2
    M ./genfft/algsimp.mli -2
    M ./genfft/annotate.ml -2
    M ./genfft/annotate.mli -1
    M ./genfft/assoctable.ml -1
    M ./genfft/assoctable.mli -1
    M ./genfft/c.ml -1
    M ./genfft/c.mli -1
    M ./genfft/complex.ml -1
    M ./genfft/complex.mli -1
    M ./genfft/conv.mli -1
    M ./genfft/dag.ml -1
    M ./genfft/dag.mli -1
    M ./genfft/expr.ml -1
    M ./genfft/expr.mli -1
    M ./genfft/fft.ml -2
    M ./genfft/fft.mli -2
    M ./genfft/gen_conv.ml -3 +1
    M ./genfft/gen_hc2hc.ml -3 +1
    M ./genfft/gen_hc2r.ml -3 +1
    M ./genfft/gen_mdct.ml -3 +1
    M ./genfft/gen_notw.ml -3 +1
    M ./genfft/gen_notw_c.ml -3 +1
    M ./genfft/gen_r2hc.ml -3 +1
    M ./genfft/gen_r2r.ml -3 +1
    M ./genfft/gen_twiddle.ml -3 +1
    M ./genfft/gen_twiddle_c.ml -3 +1
    M ./genfft/gen_twidsq.ml -3 +1
    M ./genfft/gen_twidsq_c.ml -3 +1
    M ./genfft/genutil.ml -8 +1
    M ./genfft/littlesimp.ml -1
    M ./genfft/littlesimp.mli -1
    M ./genfft/magic.ml -1
    M ./genfft/monads.ml -1
    M ./genfft/number.ml -1
    M ./genfft/number.mli -1
    M ./genfft/oracle.ml -1
    M ./genfft/oracle.mli -1
    M ./genfft/schedule.ml -1
    M ./genfft/schedule.mli -1
    M ./genfft/simd.ml -1
    M ./genfft/simd.mli -1
    M ./genfft/simdmagic.ml -1
    M ./genfft/to_alist.ml -1
    M ./genfft/to_alist.mli -1
    M ./genfft/trig.ml -1
    M ./genfft/trig.mli -1
    M ./genfft/twiddle.ml -1
    M ./genfft/twiddle.mli -1
    M ./genfft/unique.ml -1
    M ./genfft/unique.mli -1
    M ./genfft/util.ml -1
    M ./genfft/util.mli -1
    M ./genfft/variable.ml -1
    M ./genfft/variable.mli -1
    M ./kernel/align.c -1
    M ./kernel/alloc.c -1
    M ./kernel/assert.c -1
    M ./kernel/awake.c -1
    M ./kernel/cycle.h -1
    M ./kernel/debug.c -1
    M ./kernel/iabs.c -1
    M ./kernel/ifftw.h -1
    M ./kernel/kalloc.c -1
    M ./kernel/minmax.c -1
    M ./kernel/ops.c -1
    M ./kernel/pickdim.c -1
    M ./kernel/plan.c -1
    M ./kernel/planner.c -1
    M ./kernel/primes.c -1
    M ./kernel/print.c -1
    M ./kernel/problem.c -1
    M ./kernel/scan.c -1
    M ./kernel/solver.c -1
    M ./kernel/solvtab.c -1
    M ./kernel/stride.c -1
    M ./kernel/tensor.c -1
    M ./kernel/tensor1.c -1
    M ./kernel/tensor2.c -1
    M ./kernel/tensor4.c -1
    M ./kernel/tensor5.c -1
    M ./kernel/tensor7.c -1
    M ./kernel/tensor8.c -1
    M ./kernel/tensor9.c -1
    M ./kernel/timer.c -1
    M ./kernel/trig.c -1
    M ./kernel/twiddle.c -1
    M ./libbench/accopy-from.c -1
    M ./libbench/accopy-to.c -1
    M ./libbench/allocate.c -1
    M ./libbench/bench-main.c -1
    M ./libbench/bench-user.h -1
    M ./libbench/bench.h -1
    M ./libbench/can-do.c -1
    M ./libbench/ccopy-from.c -1
    M ./libbench/ccopy-to.c -1
    M ./libbench/deallocate.c -1
    M ./libbench/getopt-utils.c -1
    M ./libbench/info.c -1
    M ./libbench/main.c -1
    M ./libbench/prime.c -1
    M ./libbench/problem.c -1
    M ./libbench/report.c -1
    M ./libbench/speed.c -1
    M ./libbench/timer.c -1
    M ./libbench/verify.c -1
    M ./libbench/zero.c -1
    M ./libbench2/aligned-main.c -1
    M ./libbench2/allocate.c -1
    M ./libbench2/bench-main.c -1
    M ./libbench2/bench-user.h -1
    M ./libbench2/bench.h -1
    M ./libbench2/can-do.c -1
    M ./libbench2/dotens2.c -1
    M ./libbench2/info.c -1
    M ./libbench2/main.c -1
    M ./libbench2/problem.c -1
    M ./libbench2/report.c -1
    M ./libbench2/speed.c -1
    M ./libbench2/tensor.c -1
    M ./libbench2/timer.c -1
    M ./libbench2/useropt.c -1
    M ./libbench2/verify-dft.c -1
    M ./libbench2/verify-lib.c -1
    M ./libbench2/verify-rdft2.c -1
    M ./libbench2/verify.c -1
    M ./libbench2/zero.c -1
    M ./mpi/conf.c -1
    M ./rdft/buffered.c -1
    M ./rdft/buffered2.c -1
    M ./rdft/codelets/hc2r/Makefile.am +1
    M ./rdft/codelets/r2hc/Makefile.am +1
    M ./rdft/conf.c -1
    M ./rdft/dft-r2hc.c -1
    M ./rdft/dht-r2hc.c -1
    M ./rdft/direct.c -1
    M ./rdft/direct2.c -1
    M ./rdft/hc2hc-direct.c -1
    M ./rdft/hc2hc-directbuf.c -1
    M ./rdft/indirect.c -1
    M ./rdft/khc2hc.c -1
    M ./rdft/khc2r.c -1
    M ./rdft/kr2hc.c -1
    M ./rdft/kr2r.c -1
    M ./rdft/nop.c -1
    M ./rdft/nop2.c -1
    M ./rdft/plan.c -1
    M ./rdft/plan2.c -1
    M ./rdft/problem.c -1
    M ./rdft/problem2.c -1
    M ./rdft/rank-geq2-rdft2.c -1
    M ./rdft/rank-geq2.c -1
    M ./rdft/rank0-rdft2.c -1
    M ./rdft/rank0.c -1
    M ./rdft/rdft-dht.c -1
    M ./rdft/rdft2-inplace-strides.c -1
    M ./rdft/rdft2-radix2.c -1
    M ./rdft/rdft2-tensor-max-index.c -1
    M ./rdft/solve.c -1
    M ./rdft/solve2.c -1
    M ./rdft/vrank-geq1-rdft2.c -1
    M ./rdft/vrank-geq1.c -1
    M ./rdft/vrank3-transpose.c -1
    M ./reodft/conf.c -1
    M ./reodft/redft00e-r2hc-pad.c -1
    M ./reodft/redft00e-r2hc.c -1
    M ./reodft/reodft00e-splitradix.c -1
    M ./reodft/reodft010e-r2hc.c -1
    M ./reodft/reodft11e-r2hc-odd.c -1
    M ./reodft/reodft11e-r2hc.c -1
    M ./reodft/reodft11e-radix2.c -1
    M ./reodft/rodft00e-r2hc-pad.c -1
    M ./reodft/rodft00e-r2hc.c -1
    M ./simd/altivec.c -1
    M ./simd/nonportable/sse.c -1
    M ./simd/nonportable/sse2.c -1
    M ./simd/sse.c -1
    M ./simd/sse2.c -1
    M ./simd/taint.c -1
    M ./simd/x86-cpuid.h -1
    M ./threads/conf.c -1
    M ./threads/ct.c -1
    M ./threads/dft-vrank-geq1.c -1
    M ./threads/rdft-vrank-geq1.c -1
    M ./threads/vrank-geq1-rdft2.c -1

Sun Dec  3 16:11:17 EST 2006  Matteo Frigo <athena@fftw.org>
  * generalized dftw to encompass q codelets.  As a side effect, q codelets are now threaded.

    R ./dft/ctsq.c
    A ./dft/dftw-directsq.c
    M ./dft/Makefile.am -2 +2
    M ./dft/ct.c -25 +55
    M ./dft/ct.h -6 +9
    M ./dft/dftw-direct.c -59 +72
    M ./dft/dftw-directsq.c +163
    M ./dft/dftw-generic.c -24 +32
    M ./dft/dftw-genericbuf.c -30 +37
    M ./dft/indirect-transpose.c -1 +1
    M ./dft/kdft-difsq.c -1 +1
    M ./libbench2/my-getopt.c -3 +3
    M ./threads/ct.c -28 +53

Sat Nov 25 16:34:38 EST 2006  stevenj@fftw.org
  * add missing __declspec attribute to threads API functions when compiling for Windows (thanks to Robert O. Morris for the bug report)

    M ./api/f77api.c -29 +1
    M ./api/x77.h +28
    M ./threads/f77api.c +13
    M ./threads/f77funcs.h -3 +3

Mon Nov 20 17:39:20 EST 2006  stevenj@fftw.org
  * add AC_SUBST to AX_OPENMP, thanks to Sebastien Maret for the suggestion

    M ./m4/ax_openmp.m4 -1 +2

Mon Oct 16 23:02:29 EDT 2006  stevenj@fftw.org
  * not gcc bug for MIPS (thanks to Jonathan Day)

    M ./doc/FAQ/fftw-faq.bfnn +4

Sat Sep 23 17:52:36 EDT 2006  stevenj@fftw.org
  * in maintainer/debug mode, don't modify CFLAGS if they were explicitly set (-pedantic seems to cause problems with LAM's mpicc, so I need a way to override)

    M ./configure.ac +2

Wed Nov 22 18:14:47 EST 2006  athena@fftw.org
  * Removed obsolete comment.

    M ./dft/dftw-generic.c -1

Sun Nov 19 11:21:44 EST 2006  athena@fftw.org
  * Use p->v when comparing TW_FULL fields.

    M ./kernel/twiddle.c -2 +1

Thu Nov 16 14:49:05 EST 2006  athena@fftw.org
  * removed useless definition

    M ./simd/simd.h -1

Mon Nov 13 09:18:32 EST 2006  athena@fftw.org
  * paranoid avoidance of integer overflows

    M ./libbench2/timer.c -3 +3

Mon Nov 13 09:00:11 EST 2006  athena@fftw.org
  * avoid potential overflows in cycle counters
  At the suggestion of Alex Cichowski, convert all ticks
  to double before operating on them, to avoid potential
  signed/unsigned confusion and integer overflow.

    M ./kernel/cycle.h -5 +8

Sun Nov  5 09:00:52 EST 2006  Matteo Frigo <athena@fftw.org>
  * Removed unused struct field

    M ./threads/threads.c -1

Sat Nov  4 09:43:13 EST 2006  Matteo Frigo <athena@fftw.org>
  * use pthread condition variables instead of semaphores
  Condition variables are more likely to be portable everywhere, and
  somehow they appear to introduce less overhead at least on my
  linux box.

    M ./threads/threads.c -6 +19

Tue Oct 31 20:45:24 EST 2006  Matteo Frigo <athena@fftw.org>
  * Imprecise help message.

    M ./libbench2/my-getopt.c -1 +1

Mon Oct 30 20:13:35 EST 2006  athena@fftw.org
  * Experimental implementation of spinlocks.
  This patch implements spinlocks via a semi-portable hack, and adds
  the -ospinlocks option to the bench program so that we can play with them.

    M ./tests/fftw-bench.c +8
    M ./threads/threads.c -28 +104

Thu Oct 26 22:29:18 EDT 2006  athena@fftw.org
  * Updated manual for new openmp configure options.

    M ./doc/fftw3.texi -20 +17

Thu Oct 26 21:52:39 EDT 2006  athena@fftw.org
  * Added back openmp.
  Rationalized threads naming conventions:
  
    * threads explicitly managed by us are enabled by --enable-threads,
      predicated on HAVE_THREADS, etc.
    * openmp is enabled by --enable-openmp, predicated on HAVE_OPENMP, etc.
    * SMP denotes either THREADS or OPENMP.

    M ./Makefile.am -1 +1
    M ./configure.ac -10 +27
    M ./kernel/alloc.c -1 +1
    M ./kernel/ifftw.h -1 +1
    M ./mpi/Makefile.am -1 +1
    M ./tests/Makefile.am -5 +5
    M ./tests/fftw-bench.c -3 +7
    M ./threads/Makefile.am -2 +2
    M ./threads/api.c -1 +16
    M ./threads/conf.c -2 +2
    A ./threads/openmp.c
    M ./threads/threads.c -13 +19
    M ./threads/threads.h -2 +2
    M ./tools/Makefile.am -1 +1
    M ./tools/fftw-wisdom.c -5 +9

Mon Oct 23 20:14:31 EDT 2006  athena@fftw.org
  * different thread protocols

    M ./threads/threads.c -80 +71

Sun Oct 22 14:49:32 EDT 2006  athena@fftw.org
  * fix memory leak
  Added pthread_attr_destroy to avoid memory leak.

    M ./threads/threads.c +1

Sun Oct 22 14:23:30 EDT 2006  athena@fftw.org
  * Experimental new pthread implementation that recycles threads.

    M ./threads/threads.c -528 +155

Tue Oct 24 23:28:10 EDT 2006  athena@fftw.org
  * switched buddies
  Switched order of buddies in rdft2 rank-geq2 for consistency
  with analogous dft and rdft solvers.  Furthermore, this change reduces
  the MEASURE planning time for rank == 3.

    M ./rdft/rank-geq2-rdft2.c -4 +1

Sat Oct 21 10:10:00 EDT 2006  Matteo Frigo <athena@fftw.org>
  * Typo.

    M ./tools/fftw_wisdom.1.in -1 +1

Sat Oct 21 09:56:50 EDT 2006  Matteo Frigo <athena@fftw.org>
  * Out of place is the default.  Thanks to Kirk Kern for pointing this out.

    M ./tests/README -2 +2

Fri Sep 29 01:36:11 EDT 2006  stevenj@fftw.org
  * rename "test" to "tst", since a user (Igor Levicki) reports that "test" is a reserved words in some x86 assemblers

    M ./simd/x86-cpuid.h -10 +10

Tue Sep 26 09:01:08 EDT 2006  Matteo Frigo <athena@fftw.org>
  * Stylistic change.

    M ./kernel/timer.c -2 +1

Tue Sep 26 08:45:37 EDT 2006  athena@fftw.org
  * Do not set tmin=1e10, since a large FFT may take longer than that.

    M ./kernel/timer.c -5 +4

Sat Sep 23 22:07:10 EDT 2006  athena@fftw.org
  * Disable certain gcc optimizations.
  When PRECOMPUTE_ARRAY_INDICES is #define'd, array indices have the
  form array[stride[k]] for compile-time constant k.  Apparently new
  gcc's copy stride[k] onto the stack before the codelet loop, which is
  an idiotic optimization if ever there was one.  This patch confuses
  gcc enough to prevent this optimization.

    M ./kernel/ifftw.h -3 +6
    M ./kernel/stride.c -1 +1

Sat Sep 23 13:02:58 EDT 2006  stevenj@fftw.org
  * re-enable TOMS algorithm - it is the best for large vector lengths, since for such sizes the cache line is not an issue and the bookkeeping overhead is negligible

    M ./rdft/vrank3-transpose.c -18 +15

Thu Sep 21 15:40:15 EDT 2006  stevenj@fftw.org
  * add measure_hook so that MPI can synchronize timing measurements (otherwise different processors might end up with different MPI plans, yikes!)

    M ./kernel/ifftw.h +2
    M ./kernel/planner.c +5
    M ./mpi/api.c -2 +26

Tue Sep 19 21:26:19 EDT 2006  stevenj@fftw.org
  * added O(p log p) transpose algorithm (radix 2)

    M ./mpi/Makefile.am -1 +1
    M ./mpi/conf.c +1
    M ./mpi/mpi-transpose.h +1
    A ./mpi/transpose-radix2.c

Tue Sep 19 21:05:09 EDT 2006  stevenj@fftw.org
  * comments

    M ./mpi/testsched.c -8 +10

Tue Sep 19 19:54:58 EDT 2006  stevenj@fftw.org
  * whoops

     ./mpi/any_true.c -> ./mpi/any-true.c
    M ./mpi/Makefile.am -1 +1

Tue Sep 19 19:49:01 EDT 2006  stevenj@fftw.org
  * synchronize planning so that if one process fails to create a plan then all of them do.

    M ./mpi/Makefile.am -1 +1
    A ./mpi/any_true.c
    M ./mpi/dft-rank-geq2.c -4 +4
    M ./mpi/dft-serial.c -1 +1
    M ./mpi/ifftw-mpi.h +3
    M ./mpi/transpose-alltoall.c -5 +5
    M ./mpi/transpose-inplace.c -5 +5

Tue Sep 19 18:17:38 EDT 2006  stevenj@fftw.org
  * call MPI_Alltoall instead of MPI_Alltoallv for equal-blocks case, in case MPI implementation has special optimizations for the common case of equal sizes

    M ./mpi/transpose-alltoall.c -6 +19

Tue Sep 19 12:07:35 EDT 2006  stevenj@fftw.org
  * whoops

    M ./tools/Makefile.am -1 +1

Tue Sep 19 02:20:06 EDT 2006  stevenj@fftw.org
  * typo in comment

    M ./mpi/testsched.c -3 +3

Tue Sep 19 01:58:55 EDT 2006  stevenj@fftw.org
  * more filename simplifications

     ./mpi/mpi-dft-rank-geq2.c -> ./mpi/dft-rank-geq2.c
     ./mpi/mpi-dft-serial.c -> ./mpi/dft-serial.c
     ./mpi/mpi-transpose-alltoall.c -> ./mpi/transpose-alltoall.c
     ./mpi/mpi-transpose-inplace.c -> ./mpi/transpose-inplace.c
     ./mpi/problem.c -> ./mpi/dft-problem.c
     ./mpi/solve.c -> ./mpi/dft-solve.c
     ./mpi/tproblem.c -> ./mpi/transpose-problem.c
     ./mpi/tsolve.c -> ./mpi/transpose-solve.c
    M ./mpi/Makefile.am -3 +3

